2005-04-28 08:26  robocop

	* firebird2/src/isql/isql.epp (1.141):
	
	Another fix for the -b (Bail On Error) option when SQL commands are
	issued and no db connection exists yet.  Apply Miroslav Penchev's
	patch for bug with -Q always returning 1 to the operating system,
	discovered by Ivan Prenosil.

2005-04-28 08:12  robocop

	* firebird2/src/jrd/met.epp (1.157):
	
	Misc.

2005-04-28 07:28  robocop

	* firebird2/src/jrd/ThreadData.cpp (1.4):
	
	Misc.

2005-04-28 07:27  robocop

	* firebird2/src/: msgs/facilities.sql (1.15), msgs/history.sql
	(1.10), include/gen/msgs.h (1.25):
	
	Updating messages and history after Dmitry's changes.

2005-04-27 20:06  dimitr

	* firebird2/src/jrd/dyn_def.epp (1.91):
	
	Minor corrections.

2005-04-27 19:56  dimitr

	* firebird2/src/msgs/messages.sql (1.22):
	
	Minor corrections.

2005-04-26 15:51  arnobrinkman

	* firebird2/doc/WhatsNew (1.63):
	
	no message

2005-04-26 15:32  arnobrinkman

	* firebird2/src/dsql/pass1.cpp (1.203):
	
	Remove non-sense comment

2005-04-26 13:46  arnobrinkman

	* firebird2/src/dsql/pass1.cpp (1.202):
	
	Fix SF bug #1016969
	
	-804 Data type unknown with searched CASE and parameters in results

2005-04-25 22:33  dimitr

	* firebird2/doc/WhatsNew (1.62):
	
	Updated docs.

2005-04-25 22:31  dimitr

	* firebird2/src/jrd/exe.cpp (1.145):
	
	Check whether a row we perform positioned update/delete against is
	actually fetched.

2005-04-25 21:45  dimitr

	* firebird2/src/jrd/vio.cpp (1.130):
	
	Corrected the returned error code.

2005-04-25 19:19  dimitr

	* firebird2/doc/WhatsNew (1.61):
	
	Updated docs.

2005-04-25 08:54  arnobrinkman

	* firebird2/src/jrd/met.epp (1.156):
	
	Add comment

2005-04-25 07:23  robocop

	* firebird2/src/isql/isql.epp (1.140):
	
	Fix indentation.

2005-04-24 20:32  arnobrinkman

	* firebird2/src/jrd/met.epp (1.155):
	
	Fix bug #1168898 With sub-select in CHECK constraint and CHECK
	constraint is part of domain.  A table T with single column C who
	uses this domain.  Then no VIEW could be created on Table T which
	uses simple column C.

2005-04-24 20:26  arnobrinkman

	* firebird2/src/dsql/pass1.cpp (1.201):
	
	Fix bug with VALUE keyword in check constraint and bug Found by Tom
	Cole with VALUE keyword where VALUE represents a column

2005-04-23 14:16  dimitr

	* firebird2/src/jrd/: Optimizer.cpp (1.23), Optimizer.h (1.6):
	
	Tuned reduce factors again.

2005-04-21 19:35  arnobrinkman

	* firebird2/src/jrd/opt.cpp (1.236):
	
	Fix bug with ORDER BY and DISTINCT on OUTER JOIN where the ORDER BY
	clause was given to a deeper rse, but shouldn't because the
	distinct should be applied first.  Reproducable query: SELECT  
	DISTINCT r.rdb$relation_name, r.rdb$relation_id FROM  
	rdb$relations r   LEFT JOIN rdb$relation_fields f ON
	(f.rdb$relation_name = r.rdb$relation_name) ORDER BY  
	r.rdb$relation_id

2005-04-20 16:29  kkuznetsov

	* firebird2/: configure.in (1.224),
	builds/install/arch-specific/solx86gcc/Makefile.in (1.3),
	builds/install/arch-specific/solx86gcc/CS/pkginfo.in (1.2),
	builds/install/arch-specific/solx86gcc/LIBGCC/pkginfolg.in (1.2),
	builds/install/arch-specific/solx86gcc/SS/pkginfo.in (1.2):
	
	Make Solaris install scripts "unified" for sparc and x86

2005-04-20 15:06  arnobrinkman

	* firebird2/src/dsql/: make.cpp (1.87), pass1.cpp (1.200):
	
	Second fix for items-list where NULLs default descriptor shouldn't
	be used to determine the final output descriptor.  Only UNIONs were
	affected by this bug.

2005-04-20 09:47  kkuznetsov

	* firebird2/configure.in (1.223):
	
	Revert my previos commit as autoconf fails with 2 equally filenames
	beetween case

2005-04-19 11:55  arnobrinkman

	* firebird2/src/dsql/make.cpp (1.86):
	
	Fix bug with alias hiding datatype by datatype-list coercion

2005-04-19 10:23  kkuznetsov

	* firebird2/builds/posix/prefix.solaris (1.15):
	
	misc cleanup

2005-04-19 10:05  kkuznetsov

	* firebird2/configure.in (1.222):
	
	misc

2005-04-18 18:05  kkuznetsov

	* firebird2/: builds/install/arch-specific/solaris/Makefile.in
	(1.2), builds/install/arch-specific/solaris/CS/pkginfo.in (1.1),
	builds/install/arch-specific/solaris/CS/postinstall.in (1.1),
	builds/install/arch-specific/solaris/CS/postremove.in (1.1),
	builds/install/arch-specific/solaris/CS/preinstall.in (1.1),
	builds/install/arch-specific/solaris/CS/prototype.in (1.1),
	builds/install/arch-specific/solaris/SS/pkginfo.in (1.1),
	builds/install/arch-specific/solaris/SS/postinstall.in (1.1),
	builds/install/arch-specific/solaris/SS/postremove.in (1.1),
	builds/install/arch-specific/solaris/SS/preinstall.in (1.1),
	builds/install/arch-specific/solaris/SS/prototype.in (1.1),
	configure.in (1.221):
	
	Try to pick-up Ray Holme Solaris spark32 port into FB2 (not tested
	yet)

2005-04-18 05:36  robocop

	* firebird2/src/common/classes/tree.h (1.47):
	
	Misc.

2005-04-18 05:32  robocop

	* firebird2/src/jrd/: ThreadData.cpp (1.3), jrd.cpp (1.209):
	
	We can live with static_cast for these cases.

2005-04-18 05:26  robocop

	* firebird2/src/common/classes/tree.h (1.46):
	
	Be in sync with our header protection convention.

2005-04-18 05:25  robocop

	* firebird2/src/burp/restore.epp (1.91):
	
	Cleanup. No need to test if sizeof() is bigger than zero.

2005-04-18 05:24  robocop

	* firebird2/src/: burp/burp.cpp (1.98), remote/inet_server.cpp
	(1.54), dsql/parse.y (1.173):
	
	Misc.

2005-04-18 05:22  robocop

	* firebird2/src/jrd/exe.cpp (1.144):
	
	Fix recently committed strange indentation.

2005-04-18 05:21  robocop

	* firebird2/src/msgs/history.sql (1.9):
	
	Keeping the history manually.

2005-04-16 20:21  dimitr

	* firebird2/src/dsql/ddl.cpp (1.132):
	
	Fixed issue reported by Adriano.

2005-04-16 19:28  dimitr

	* firebird2/src/jrd/Optimizer.cpp (1.22):
	
	Third attempt to apply reduced selectivity properly.

2005-04-16 18:57  dimitr

	* firebird2/src/jrd/Optimizer.cpp (1.21):
	
	Code simplification and some style corrections.

2005-04-15 16:54  dimitr

	* firebird2/src/jrd/: Optimizer.cpp (1.20), Optimizer.h (1.5):
	
	1) Fixed wrong index usage for nested loop joins (indexed
	relationship must be a requirement).  2) Better optimizaton for
	tables with zero selectivities.  3) Fixed wrong choice of index in
	the case of the same selectivity and number of indices.  4) Fixed
	wrong total selectivity calculated for compound non-equality
	comparisons.  5) Some constants tuning based on two weeks of the
	extreme testing.  Subject of Arno's review, although all my tests
	show much better results without any regressions.

2005-04-15 16:33  dimitr

	* firebird2/src/jrd/exe.cpp (1.143):
	
	Fixed yet another case of database corruption due to pre-triggers. 
	More to come.

2005-04-15 08:25  dimitr

	* firebird2/src/jrd/validation.cpp (1.3):
	
	Fixed SEGV when a broken index was being validated.

2005-04-14 19:03  alexpeshkoff

	* firebird2/src/: jrd/jrd.cpp (1.208), jrd/jrd_proto.h (1.37),
	jrd/svc.cpp (1.141), remote/inet_server.cpp (1.53):
	
	fixed windows build

2005-04-13 15:02  kkuznetsov

	* firebird2/builds/posix/prefix.solaris-64gcc (1.3):
	
	Some more moving from solx86 to sol-sparc-64

2005-04-13 13:46  dimitr

	* firebird2/src/burp/restore.epp (1.90):
	
	Fixed bug when a computed column of blob/array type zeroes the
	first column of the table being restored.  In short words, some
	data were lost during restore.

2005-04-13 09:46  kkuznetsov

	* firebird2/builds/posix/prefix.solaris-64gcc (1.2):
	
	Some workarounds

2005-04-13 03:06  asfernandes

	* firebird2/src/jrd/jrd.cpp (1.207):
	
	Fixed SF #1155520 - Any user can replace databases created by
	others

2005-04-11 17:32  alexpeshkoff

	* firebird2/src/: jrd/jrd.cpp (1.206), jrd/jrd_proto.h (1.36),
	jrd/svc.cpp (1.140), remote/inet_server.cpp (1.52):
	
	Shutdown SS without SYSDBA password

2005-04-09 20:48  hvlad

	* firebird2/src/jrd/svc.cpp (1.139):
	
	Cleanup

2005-04-09 20:44  hvlad

	* firebird2/src/: burp/burp.cpp (1.97), burp/burp.h (1.65),
	burp/burpswi.h (1.13), burp/restore.epp (1.89), jrd/jrd.cpp
	(1.205), msgs/facilities.sql (1.14), msgs/messages.sql (1.21):
	
	1. New switch for gbak -RECREATE_DATABASE [OVERWRITE].	    Simple
	RECREATE_DATABASE is equal to CREATE_DATABASE,	   
	RECREATE_DATABASE OVERWRITE is equal to REPLACE_DATABASE.  2. gbak
	uses isc_dpb_overwrite to create database over existing files 3.
	engine overwrite existing files only if asked explicitly by    
	user by setting isc_dpb_overwrite to 1 4. fixed unregistered bug -
	when gbak uses service manager and passed     command line contains
	invalid switch. Service reports error and     finish but not call
	Service::svc_started therefore response is not	   send and gbak is
	stalled forever

2005-04-07 16:59  kkuznetsov

	* firebird2/builds/posix/prefix.solaris-64gcc (1.1):
	
	Starting work to port FB2 to Solaris sparc 64 using gcc
	(incomplete)

2005-04-06 17:39  alexpeshkoff

	* firebird2/clean.sh (1.12):
	
	Force clean.sh to exit successfully

2005-04-06 15:02  kkuznetsov

	* firebird2/src/remote/inet.cpp (1.143):
	
	Fix my error which breaking non posix things

2005-04-06 10:46  alexpeshkoff

	* firebird2/builds/misc/security.gbak (1.2):
	
	removed due to new method to create security database

2005-04-05 09:08  kkuznetsov

	* firebird2/builds/install/misc/firebird.conf (1.16):
	
	Changed commented value of TCPNONAGLE to default 1

2005-04-05 08:47  robocop

	* firebird2/src/remote/inet.cpp (1.142):
	
	Style.

2005-04-04 14:57  kkuznetsov

	* firebird2/src/remote/protocol.cpp (1.49):
	
	Temporally block assertion on Solaris platform to go testing

2005-04-04 14:53  kkuznetsov

	* firebird2/: src/remote/inet.cpp (1.141),
	src/common/config/config.cpp (1.61),
	builds/install/misc/firebird.conf (1.15):
	
	Allow setting TCP_NODELAY socket option in Classic Server and make
	if default true on both arhitecture.

2005-04-04 10:33  robocop

	* firebird2/src/isql/: extract.epp (1.56), show.epp (1.69):
	
	This is my first attempt in four years to fix the nonsense code I
	wrote for grants extraction in FB1.

2005-04-04 10:31  robocop

	* firebird2/src/isql/isql.epp (1.139):
	
	Isql shouldn't try to connect twice when extracting metadata, since
	the second attempt may produce a confusing message (the db name has
	been made null at this time).

2005-04-04 10:29  robocop

	* firebird2/src/jrd/isc_file.cpp (1.94):
	
	A better fix.

2005-04-03 12:09  robocop

	* firebird2/src/jrd/isc_file.cpp (1.93):
	
	The client library shouldn't throw exceptions. The loader program
	may be written in any language and thus C++ exceptions don't make
	sense.	Beware of old code that accesses strings out of bounds:
	Firebird::string throws an exception.

2005-04-03 09:06  robocop

	* firebird2/doc/README.isql_enhancements.txt (1.4):
	
	Another little change I forgot to document.

2005-04-03 08:59  robocop

	* firebird2/doc/: README.isql_enhancements.txt (1.3),
	cleaning-todo.txt (1.5), sql.extensions/README.ddl.txt (1.3):
	
	Update some docos.

2005-04-03 08:58  robocop

	* firebird2/src/isql/: isql.epp (1.138), show.epp (1.68):
	
	Fix chaotic output.

2005-04-02 09:07  robocop

	* firebird2/src/isql/isql.epp (1.137):
	
	- Temporary fix for Pavel's  firebird-Field-test-1173948.  - Some
	little tweaks.

2005-04-02 05:51  robocop

	* firebird2/src/isql/: extra_proto.h (1.9), extract.epp (1.55),
	isql.epp (1.136):
	
	I find hard to work with functions that span 800 or more lines.
	Therefore, I modularized process_statement. I took the opportunity
	to get rid of some local variables and fix performance info
	printing.

2005-04-02 05:10  robocop

	* firebird2/src/jrd/: block_cache.h (1.8), flu.cpp (1.50), flu.h
	(1.11), plugin_manager.cpp (1.22), plugin_manager.h (1.19), pwd.cpp
	(1.41), smp.h (1.4), smp_impl.h (1.5):
	
	I hope nobody will take offense because I decided to do the right
	spelling.

2005-04-02 04:57  robocop

	* firebird2/: src/utilities/install/install_client.cpp (1.7),
	src/utilities/install/install_nt.h (1.11),
	src/utilities/install/install_reg.cpp (1.13),
	src/utilities/install/install_svc.cpp (1.20),
	src/utilities/install/services.cpp (1.17),
	builds/win32/msvc6/instclient.dsp (1.4):
	
	Misc.

2005-04-01 12:26  dimitr

	* firebird2/src/jrd/pwd.cpp (1.40):
	
	Fixed lockups spotted by Claudio.

2005-03-31 17:33  dimitr

	* firebird2/builds/win32/msvc7/: engine.vcproj (1.47),
	engine_classic.vcproj (1.47), engine_embed.vcproj (1.35):
	
	Let's see whether VC71 produces better code than VC60.	Previously,
	these modules couldn't be globally optimized (causing to server
	crashes).

2005-03-31 17:27  dimitr

	* firebird2/src/dsql/pass1.cpp (1.199):
	
	Removed the feature that was never used for the last years.  An
	intention was to disallow batch fetches from procedures, but this
	code never worked due to recursion in PASS1_rse().  Accidentally,
	I've fixed the reason in FB2 and now users observe noticable
	performance degradation. To keep the performance, let's do batch
	fetches again. Those who are not sure what their procedures do
	between suspends may use a FOR UPDATE clause anyway.

2005-03-31 09:50  robocop

	* firebird2/src/isql/: extract.epp (1.54), isql.epp (1.135),
	isql_proto.h (1.21), show.epp (1.67):
	
	1.- Replacing raw call to gds__msg_format by ISQL_msg_get; the
	routine was there for years and almost unused.	2.- UDFs are still
	created by sys_flag being NULL, so show_functions() should
	acknowledge that fact.	3.- Implement naive code to show an
	approximate script-related line number when a failure happens.
	(Unlike my private FB1's isql, it doesn't rely on strings subject
	to localization.) 4.- With SET PLANONLY ON, PLAN was activated, but
	with SET PLAN OFF, PLANONLY wasn't deactivated.  5.- Include
	isc_info_sql_stmt_get_segment among statements that are like
	SELECT.  6.- Solve a bad interaction between PLANONLY and
	SQLDA_DISPLAY, where the first being activated didn't allow to see
	the output XSQLDA.  7.- More error detection.

2005-03-31 08:21  robocop

	* firebird2/src/dsql/dsql.cpp (1.144):
	
	Misc.

2005-03-31 08:19  robocop

	* firebird2/src/dsql/: dsql.tab.h (1.53), parse.cpp (1.147),
	parse.y (1.172):
	
	1.- Disambiguate rules between READ BLOB/INSERT BLOB and metadata
	definitions involving blob fields.  2.- Fix the source of DSQL
	crash with READ BLOB.  3.- Fix (1) has the side effect of stopping
	invalid DDL like create table t(b blob 0);

2005-03-30 20:10  arnobrinkman

	* firebird2/doc/ods11-index-structure.html (1.1):
	
	ODS11 index structure description

2005-03-30 19:55  dimitr

	* firebird2/src/dsql/gen.cpp (1.79):
	
	Solved issues with EXEC PROC and input message (related to my
	previous changes).

2005-03-30 07:18  robocop

	* firebird2/src/jrd/dyn_del.epp (1.46):
	
	Fix problems caused by recent privileges-cleanup commit (mainly
	assigning wrong request to the requests array), spotted in source
	code. I guess this causes "message length error" the next time
	DYN_delete_relation is invoked.

2005-03-30 07:12  robocop

	* firebird2/src/dsql/dsql.cpp (1.143):
	
	Variables in context.

2005-03-30 02:45  asfernandes

	* firebird2/doc/sql.extensions/README.trim (1.1):
	
	file README.trim was initially added on branch B2_0_intl.

2005-03-30 02:45  asfernandes

	* firebird2/doc/sql.extensions/README.length (1.1):
	
	file README.length was initially added on branch B2_0_intl.

2005-03-29 19:29  dimitr

	* firebird2/src/jrd/: drq.h (1.9), dyn_del.epp (1.45):
	
	Fixed issue with remaining privileges for non-existing objects.

2005-03-29 11:48  paul_reeves

	* firebird2/builds/win32/msvc6/fb2control.dsp (1.5):
	
	Fix msvc6 project file for cpl applet.

2005-03-29 11:43  dimitr

	* firebird2/src/jrd/: Optimizer.cpp (1.19), dpm.epp (1.59),
	dpm_proto.h (1.18):
	
	Moved page-level code to DPM.

2005-03-29 11:07  dimitr

	* firebird2/src/jrd/Optimizer.cpp (1.18):
	
	Second attempt to fix "divide by zero" issues in the optimizer.

2005-03-29 08:09  dimitr

	* firebird2/src/dsql/dsql.cpp (1.142):
	
	Removed short-curcuit prepare for EXEC PROC requests.

2005-03-29 07:54  dimitr

	* firebird2/src/jrd/dfw.epp (1.146):
	
	Correction.

2005-03-28 23:52  dimitr

	* firebird2/src/jrd/: cmp.cpp (1.171), dfw.epp (1.145), exe.h
	(1.67), jrd.cpp (1.204), jrd.h (1.132), met.epp (1.154),
	met_proto.h (1.44), pcmet.epp (1.33):
	
	1) Deliver trigger type to the compiler level 2) Disallow NEW
	context assignments for POST-triggers

2005-03-28 21:36  dimitr

	* firebird2/src/jrd/dfw.epp (1.144):
	
	Solved restore issues with recent (and future) compiler changes.

2005-03-28 17:39  dimitr

	* firebird2/src/jrd/opt.cpp (1.235):
	
	Oops.

2005-03-28 17:29  dimitr

	* firebird2/src/jrd/Optimizer.cpp (1.17):
	
	Oops.

2005-03-28 17:24  dimitr

	* firebird2/src/jrd/: opt.cpp (1.234), Optimizer.cpp (1.16):
	
	Corrected previous commit + ODS11 branch.

2005-03-28 17:07  dimitr

	* firebird2/src/jrd/opt.cpp (1.233):
	
	Allowed navigation using an expression index.

2005-03-27 17:01  dimitr

	* firebird2/src/jrd/: exe.cpp (1.142), vio.cpp (1.129), vio_proto.h
	(1.26):
	
	1) Made RefetchRecord a public routine 2) Use it in EXE to avoid
	code duplication 3) Some alphabetical code movement

2005-03-27 06:51  robocop

	* firebird2/src/dsql/ddl.cpp (1.131):
	
	Fix DY's copy/paste bug.

2005-03-26 17:09  dimitr

	* firebird2/src/: dsql/ddl.cpp (1.130), dsql/dsql.cpp (1.141),
	dsql/dsql.h (1.72), dsql/dsql.tab.h (1.52), dsql/metd.epp (1.71),
	dsql/metd_proto.h (1.22), dsql/node.h (1.55), dsql/parse.cpp
	(1.146), dsql/parse.y (1.171), dsql/pass1.cpp (1.198),
	jrd/dyn_del.epp (1.44):
	
	Implemented RECREATE EXCEPTION and CREATE OR ALTER EXCEPTION.

2005-03-26 15:05  dimitr

	* firebird2/src/dsql/pass1.cpp (1.197):
	
	More parameter checks in the PSQL case.

2005-03-26 14:30  dimitr

	* firebird2/src/dsql/: parse.y (1.170), pass1.cpp (1.196),
	parse.cpp (1.145):
	
	Parser simplification and minor cleanup.

2005-03-26 12:43  hvlad

	* firebird2/src/jrd/vio.cpp (1.128):
	
	Attempt to fix bug "cannot find record fragment"

2005-03-26 12:41  hvlad

	* firebird2/src/jrd/tpc.cpp (1.21):
	
	Always report system transaction state as tra_commited - missing
	part. Thanks to Oleg LOA

2005-03-26 06:50  robocop

	* firebird2/src/isql/isql.h (1.44):
	
	More WAL deletion.

2005-03-26 06:40  robocop

	* firebird2/src/qli/picstr.cpp (1.27):
	
	Little simplification.

2005-03-26 06:39  robocop

	* firebird2/src/jrd/gds.cpp (1.167):
	
	Use static_cast when converting from void*, not reinterpret_cast.

2005-03-26 06:37  robocop

	* firebird2/src/jrd/: ext.cpp (1.60), ext.h (1.11):
	
	Avoid some casts and unused data members.

2005-03-26 06:33  robocop

	* firebird2/src/isql/: extract.epp (1.53), isql.epp (1.134), isql.h
	(1.43), isql_proto.h (1.20), show.epp (1.66):
	
	1.- Some small buffers with predefined lengths don't need to be
	allocated dynamically.	2.- ISQL_get_index_segments shouldn't
	overflow in extreme cases. Better print an indication that the
	extraction wasn't completed (ellipsis).  3.- Fix bug with
	EXTRACT_list table that was printing ); if it didn't find the
	required table. This in turn caused bugs in other functions.  4.-
	STDERROUT is used in all places with second argument set to true.
	Simplify it.  5.- Delete the code previously commented for WAL. 
	6.- Fix add_row and copy_table. These features were requested to be
	made available in release mode at v1 time by Paul Beach. They
	should now be able to cope with quoted identifiers, too.  7.-
	Complement usage of readNextInputLine when called directly to avoid
	reading garbage or causing memory errors.  8.- Fix several strings
	that should have been declared with MAXPATHLEN since the first
	moment.  9.- Misc bug fixes and B.O. closed.

2005-03-26 06:05  robocop

	* firebird2/src/msgs/: facilities.sql (1.13), history.sql (1.8),
	messages.sql (1.20):
	
	Fixed one msg for isql and added others to support add_row (ADD
	command).

2005-03-26 06:02  robocop

	* firebird2/src/remote/inet_server.cpp (1.51):
	
	Simplify B.O. protection.

2005-03-26 06:01  robocop

	* firebird2/src/extlib/fbudf/: fbudf.cpp (1.21), fbudf.h (1.8),
	fbudf.sql (1.8):
	
	Solve bug with AddMonth when facing January.  Include little
	IsLeapYear function.

2005-03-26 03:36  asfernandes

	* firebird2/builds/posix/Makefile.in.extern.icu (1.1):
	
	file Makefile.in.extern.icu was initially added on branch
	B2_0_intl.

2005-03-25 09:05  dimitr

	* firebird2/src/jrd/opt.cpp (1.232):
	
	Minor RSB tree output change.

2005-03-25 08:54  dimitr

	* firebird2/src/jrd/Optimizer.cpp (1.15):
	
	Fixed "wrong page type" bugcheck.

2005-03-24 22:49  arnobrinkman

	* firebird2/src/jrd/Optimizer.cpp (1.14):
	
	Fix bug #1169728 with explicit navigational PLAN no comparisons in
	the WHERE clause were matched against the navigational index

2005-03-24 22:45  arnobrinkman

	* firebird2/src/jrd/nav.cpp (1.48):
	
	Fix bug #1169884 with IS NULL on segments in compound index and
	using navigational index

2005-03-24 12:16  aafemt

	* firebird2/builds/posix/Makefile.in.examples (1.4):
	
	Comment out dirs with broken files

2005-03-24 12:13  aafemt

	* firebird2/configure.in (1.220):
	
	Comment out dirs with broken files

2005-03-23 21:35  hvlad

	* firebird2/src/jrd/tra.cpp (1.99):
	
	Mark system transaction state as tra_commited in TIP (it was
	wrongly marked as tra_dead)

2005-03-23 21:28  hvlad

	* firebird2/src/jrd/tpc.cpp (1.20):
	
	Patch by Adriano dos Santos Fernandes : always report system
	transaction state as tra_commited (it can be wrongly marked as
	tra_dead in the TIP)

2005-03-23 11:32  alexpeshkoff

	* firebird2/src/remote/inet_server.cpp (1.50):
	
	fixed 2 BOFs, cleanup

2005-03-23 11:24  aafemt

	* firebird2/configure.in (1.219):
	
	Missed directories

2005-03-23 11:10  aafemt

	* firebird2/src/isql/isql.epp (1.133):
	
	Fix for Field-test item #1168910

2005-03-23 09:20  paul_reeves

	* firebird2/builds/install/arch-specific/win32/:
	BuildExecutableInstall.bat (1.8), FirebirdInstall_20.iss (1.7):
	
	Install msvc runtimes in <sys>; ship msvc runtimes with embedded;
	Assume MSVC 7 is default compiler.

2005-03-23 08:14  dimitr

	* firebird2/src/dsql/dsql.cpp (1.140):
	
	Fixed server crashes related to some plan buffer overflows.

2005-03-22 14:36  tsteinmaurer

	* firebird2/builds/install/arch-specific/win32/de/:
	installation_liesmich.txt (1.2), liesmich.txt (1.2):
	
	German translation for the Firebird 2.0 Alpha 1 installer added

2005-03-20 14:55  alexpeshkoff

	* firebird2/src/remote/interface.cpp (1.101):
	
	fix gcc warning

2005-03-20 14:52  alexpeshkoff

	* firebird2/src/jrd/opt.cpp (1.231):
	
	fix gcc warnings

2005-03-20 13:48  alexpeshkoff

	*
	
	fix examples in package
	firebird2/builds/install/arch-specific/linux/classic/postinstall.sh
	.in (1.11):

2005-03-20 12:11  alexpeshkoff

	* firebird2/builds/install/misc/aliases.conf.in (1.2):
	
	fix examples in package

2005-03-20 11:59  alexpeshkoff

	* firebird2/:
	builds/install/arch-specific/linux/classic/makeInstallImage.sh.in
	(1.11), configure.in (1.218):
	
	fix examples in package

2005-03-20 05:35  robocop

	* firebird2/src/utilities/fbcpl/: ctrlpan.h (1.3), fbdialog.cpp
	(1.4), fbdialog.h (1.4), fbpanel.cpp (1.4), fbpanel.h (1.4):
	
	Solve several issues in the recently posted Control Panel applet: -
	Cleanup.  - Adjust the #ifdef protecting headers to our style.	-
	Correct some C++ misuses like redundant casts and switch-case
	without break.	- Correct some CString and Win32 API misuses that
	lead either to random failures or memory leaks.  - Be consistent
	with bool and constness.

2005-03-20 05:24  robocop

	* firebird2/:
	builds/install/arch-specific/win32/FirebirdInstall_20.iss (1.6),
	src/utilities/gsec/gsec.h (1.21), src/jrd/opt.cpp (1.230),
	src/utilities/install/install_svc.cpp (1.19):
	
	Misc.

2005-03-20 05:21  robocop

	* firebird2/builds/win32/msvc6/fb2control.dsp (1.4):
	
	Fixing the MSVC6 build after Paul Reeves' changes, second part.

2005-03-19 17:55  dimitr

	* firebird2/src/jrd/: opt.cpp (1.229), Optimizer.cpp (1.13):
	
	1) Fixed bug with the lost sort node that caused unordered data to
	be returned.  2) Fixed badly optimized join orders in triggers.

2005-03-19 08:51  robocop

	* firebird2/builds/win32/msvc6/fb2control.dsp (1.3):
	
	Fixing the MSVC6 build after Paul Reeves' changes.

2005-03-18 12:25  paul_reeves

	* firebird2/:
	builds/install/arch-specific/win32/BuildExecutableInstall.bat
	(1.7), builds/install/arch-specific/win32/FirebirdInstall_20.iss
	(1.5), builds/win32/make_all.bat (1.33),
	builds/win32/msvc7/Firebird2.sln (1.22),
	builds/win32/msvc7/fb2control.vcproj (1.3), src/jrd/isc_version.h
	(1.4):
	
	Final tweaks for Win32 Alpha1 builds.

2005-03-18 10:22  paul_reeves

	* firebird2/src/: utilities/fbcpl/FBControl.rc (1.3),
	utilities/fbcpl/fbcontrol.def (1.3), utilities/fbcpl/fbdialog.cpp
	(1.3), utilities/fbcpl/fbdialog.h (1.3),
	utilities/fbcpl/fbpanel.cpp (1.3), utilities/fbcpl/fbpanel.h (1.3),
	iscguard/iscguard.h (1.10):
	
	Minor fixes to make cpl applet compatible with fb2 codebase.

2005-03-18 10:20  paul_reeves

	* firebird2/src/utilities/install/: install_nt.h (1.10),
	install_svc.cpp (1.18), servi_proto.h (1.10), services.cpp (1.16):
	
	forward port service descriptions from fb 1.5

2005-03-18 06:13  aafemt

	* firebird2/builds/install/arch-specific/mingw/super/:
	FirebirdInstall_15.iss (1.2), Readme.txt (1.2),
	installation_readme.txt (1.2), firebird_install_logo1.bmp (1.2):
	
	Drop outdated duplicates

2005-03-16 15:46  paul_reeves

	*
	
	Bring installation_readme.txt up-to-date.
	firebird2/builds/install/arch-specific/win32/installation_readme.tx
	t (1.5):

2005-03-16 14:15  paul_reeves

	* firebird2/:
	builds/install/arch-specific/win32/BuildExecutableInstall.bat
	(1.6), src/jrd/isc_version.h (1.3):
	
	Minor fix to Win32 build script. Sync isc_version.h.

2005-03-16 11:53  paul_reeves

	* firebird2/builds/install/arch-specific/win32/:
	FirebirdInstallEnvironmentChecks.inc (1.4),
	FirebirdInstallSupportFunctions.inc (1.2), FirebirdInstall_20.iss
	(1.4):
	
	Improve detection of previous Windows installs.

2005-03-16 11:51  paul_reeves

	* firebird2/builds/install/arch-specific/win32/pl/:
	custom_messages_pl.inc (1.1), czytajto.txt (1.1),
	instalacja_czytajto.txt (1.1):
	
	Add Polish translation of Win32 installer.

2005-03-16 02:08  robocop

	* firebird2/builds/install/arch-specific/win32/Readme.txt (1.4):
	
	We renamed the list to become firebird-support a lot of time ago.

2005-03-16 02:04  robocop

	* firebird2/builds/install/arch-specific/linux/:
	classic/postinstall.sh.in (1.10), misc/changeDBAPassword.sh.in
	(1.4), misc/changeGdsLibraryCompatibleLink.sh.in (1.2):
	
	Fixing typos

2005-03-15 12:46  alexpeshkoff

	*
	
	removed unused link /usr/include/gds.h
	firebird2/builds/install/arch-specific/linux/classic/makeInstallIma
	ge.sh.in (1.10):

2005-03-15 10:27  paul_reeves

	* firebird2/builds/install/arch-specific/win32/ba/:
	Instalacija_ProcitajMe.txt (1.1), ProcitajMe.txt (1.1),
	custom_messages_ba.inc (1.1):
	
	Add Bosnian translation of Win32 installer.

2005-03-15 08:33  kkuznetsov

	* firebird2/src/jrd/isc_s_proto.h (1.17):
	
	Cleanup unneeded extern "C"

2005-03-15 03:09  robocop

	* firebird2/src/jrd/jrd.cpp (1.203):
	
	Fix role parsing bug. I warned the committer five months ago, but
	it got lost among his duties, so I'm fixing it now with the same
	suggestion I gave then.  Demonstration: SQL> connect isqltest.fdb
	role "your bug""""is here"; and see what you get inside
	options.dpb_role_name in jrd.cpp at line 946.

2005-03-14 19:08  dimitr

	* firebird2/doc/README.user.embedded (1.4):
	
	Minor corrections

2005-03-14 15:55  paul_reeves

	* firebird2/builds/install/arch-specific/win32/:
	BuildExecutableInstall.bat (1.5), FirebirdInstall_20.iss (1.3),
	Readme.txt (1.3), installation_readme.txt (1.4):
	
	Update Win32 install scripts, and readme's.

2005-03-14 15:50  kkuznetsov

	* firebird2/builds/install/arch-specific/solx86gcc/CS/prototype.in
	(1.2):
	
	Solaris install system: classic

2005-03-14 15:47  paul_reeves

	* firebird2/builds/install/arch-specific/win32/:
	FirebirdInstallEnvironmentChecks.inc (1.3), custom_messages.inc
	(1.2), de/custom_messages_de.inc (1.2), fr/custom_messages_fr.inc
	(1.2), hu/custom_messages_hu.inc (1.2), pt/custom_messages_pt.inc
	(1.2), si/custom_messages_si.inc (1.2):
	
	make custom_messages.inc more version agnostic.

2005-03-14 15:40  paul_reeves

	* firebird2/builds/win32/msvc6/: fb2control.dsp (1.2),
	Firebird2.dsw (1.35):
	
	Add fb2control.dsp

2005-03-14 15:36  paul_reeves

	* firebird2/builds/win32/msvc7/: Firebird2.sln (1.21),
	fb2control.vcproj (1.2), instclient.vcproj (1.5):
	
	Add fbcontrol.vcproj. Bring instclient.vcproj file into line with
	7.1

2005-03-14 15:29  paul_reeves

	* firebird2/src/jrd/isc_version.h (1.2):
	
	Update isc_version.h to keep installers, o/s versioning and ibx
	happy.

2005-03-14 15:17  paul_reeves

	* firebird2/src/utilities/fbcpl/: FBControl.rc (1.2), ctrlpan.cpp
	(1.2), ctrlpan.h (1.2), fbcontrol.clw (1.2), fbcontrol.cpp (1.2),
	fbcontrol.def (1.2), fbcontrol.h (1.2), fbdialog.cpp (1.2),
	fbdialog.h (1.2), fbpanel.cpp (1.2), fbpanel.h (1.2), resource.h
	(1.2), stdafx.cpp (1.2), stdafx.h (1.2), res/fbcontrol.rc2 (1.2),
	res/server.ico (1.2), res/server_stop.ico (1.2):
	
	forward port the source for the cpl applet.

2005-03-13 17:12  alexpeshkoff

	* firebird2/configure.in (1.217):
	
	merge 1.5 install files to 2.0

2005-03-13 17:04  alexpeshkoff

	* firebird2/builds/install/arch-specific/linux/:
	classic/makeInstallImage.sh.in (1.9), classic/postinstall.sh.in
	(1.9), classic/postuninstall.sh.in (1.2), classic/preinstall.sh.in
	(1.5), classic/preuninstall.sh.in (1.3), classic/rpmheader.txt.in
	(1.3), misc/changeDBAPassword.sh.in (1.3),
	misc/changeGdsLibraryCompatibleLink.sh.in (1.1),
	misc/createAliasDB.sh.in (1.1), misc/firebird.init.d.debian.in
	(1.2), misc/firebird.init.d.mandrake.in (1.2),
	misc/firebird.init.d.suse.in (1.2):
	
	merge 1.5 install files to 2.0

2005-03-13 17:00  alexpeshkoff

	* firebird2/builds/install/misc/: changeDBAPassword.sh.in (1.2),
	fb_config.in (1.1):
	
	merge 1.5 install files to 2.0

2005-03-13 13:17  arnobrinkman

	* firebird2/src/dsql/make.cpp (1.85):
	
	Fix typos found by Tom Cole

2005-03-13 06:36  robocop

	* firebird2/src/jrd/isc_file.cpp (1.92):
	
	After Dmitry fixed improper loopback connection via XNET on
	2005-03-09, I can no longer connect locally on Win32. Here's the
	fix.

2005-03-12 03:46  robocop

	* firebird2/src/jrd/functions.cpp (1.23):
	
	Little correction.

2005-03-11 16:19  kkuznetsov

	* firebird2/builds/install/arch-specific/solx86gcc/: CS/pkginfo.in
	(1.1), CS/postinstall.in (1.1), CS/postremove.in (1.1),
	CS/preinstall.in (1.1), CS/prototype.in (1.1), LIBGCC/pkginfolg.in
	(1.1), LIBGCC/prototypelg.in (1.1), SS/pkginfo.in (1.1),
	SS/postinstall.in (1.1), SS/postremove.in (1.1), SS/preinstall.in
	(1.1), SS/prototype.in (1.1):
	
	Solaris packaging system next parts (incomplete)

2005-03-11 16:00  kkuznetsov

	* firebird2/configure.in (1.216):
	
	Solaris install system

2005-03-11 15:54  kkuznetsov

	* firebird2/builds/install/: arch-specific/solx86gcc/Makefile.in
	(1.2), misc/aliases.conf.in (1.1), misc/firebird.init.d.Solaris.in
	(1.1):
	
	Solaris install system parts incomplete

2005-03-11 09:34  dimitr

	* firebird2/src/jrd/: evl.cpp (1.133), exe.cpp (1.141), req.h
	(1.46):
	
	Removed unused crap.

2005-03-11 01:34  robocop

	* firebird2/doc/WhatsNew (1.60):
	
	Misc.

2005-03-10 11:27  aafemt

	* firebird2/src/jrd/Optimizer.cpp (1.12):
	
	There is no need for MSVC hacks if MSVC is not used

2005-03-10 11:23  aafemt

	* firebird2/src/remote/inet.cpp (1.140):
	
	no more THD_* stuff in client

2005-03-10 03:35  robocop

	* firebird2/doc/: README.isql_enhancements.txt (1.2),
	sql.extensions/README.ddl.txt (1.2):
	
	Write my pending documentation.

2005-03-09 17:26  dimitr

	* firebird2/src/remote/interface.cpp (1.100):
	
	Fixed improper loopback connection via XNET.

2005-03-09 11:24  hvlad

	* firebird2/builds/win32/: make_boot.bat (1.27), run_all.bat (1.6):
	
	1. Take in account CLEAN parameter when builded build_msg and
	codes. This decreased build time 2. run_all now produced RELEASE
	builds

2005-03-09 11:17  hvlad

	* firebird2/builds/win32/msvc7/build_msg.vcproj (1.5):
	
	Direct DEBUG build to debug directory

2005-03-09 07:53  skidder

	* firebird2/src/isql/isql.epp (1.132):
	
	Calling clear_history like that breaks the builds. But even when
	build is fixed, call like that causes SIGSEGV due to editline
	history not being initalized when ISQL is used in non-interactive
	mode. Since clear_history doesn't free all the editline memory
	there is no big point in using it here anyways...

2005-03-07 23:59  arnobrinkman

	* firebird2/src/jrd/Optimizer.cpp (1.11):
	
	fix divide by zero issues and add some comments

2005-03-07 16:14  dimitr

	* firebird2/doc/WhatsNew (1.59):
	
	Decribed recent changes.

2005-03-07 08:37  robocop

	* firebird2/builds/win32/make_all.bat (1.32):
	
	Include fbembed in MSVC6 build.

2005-03-05 02:43  robocop

	* firebird2/: builds/install/arch-specific/freebsd/install.sh.in
	(1.8), builds/install/arch-specific/netbsd/install.sh.in (1.2),
	builds/install/arch-specific/sinixz/prototype.in (1.6),
	builds/install/arch-specific/win32/installation_readme.txt (1.3),
	builds/posix/Makefile.in.firebird (1.60),
	builds/posix/Makefile.in.libfbclient (1.28),
	builds/posix/Makefile.in.libfbembed (1.14),
	builds/posix/Makefile.in.refDatabases (1.26), doc/README.NTSecurity
	(1.2), doc/README.instsvc (1.4), doc/README.sha1 (1.3),
	doc/README.user.embedded (1.3), doc/WhatsNew (1.58),
	src/dbs/security.gdl (1.2):
	
	Correct some files to refer to FB2 and security2.fdb

2005-03-04 11:07  paul_reeves

	* firebird2/builds/:
	install/arch-specific/win32/BuildExecutableInstall.bat (1.4),
	install/arch-specific/win32/FirebirdInstallEnvironmentChecks.inc
	(1.2), install/arch-specific/win32/FirebirdInstall_20.iss (1.2),
	install/arch-specific/win32/strip_comments.sed (1.1),
	win32/msvc7/engine.vcproj (1.46), win32/msvc7/engine_classic.vcproj
	(1.46), win32/msvc7/engine_embed.vcproj (1.34),
	win32/msvc7/fbclient.vcproj (1.39),
	win32/msvc7/fbclient_static.vcproj (1.17):
	
	Update Win32 MSVC7 project files. Fix some Win32 packaging issues.

2005-03-04 10:21  robocop

	* firebird2/src/isql/isql.h (1.42):
	
	Totally misc.

2005-03-04 10:17  robocop

	* firebird2/src/isql/: isql.epp (1.131), isql.h (1.41):
	
	1.- Stop possible crash with long terminators. Pending other checks
	for the future.  2.- Complete Damyan Ivanov's patch to allow BAIL
	detect really most error conditions.  3.- Create two functions to
	handle part of the bulky processing of isql's built-in commands. 
	4.- Make SET SQLDA_DISPLAY work in release versions and derive
	functionality to two new functions.  5.- Change Borland's moronic
	usage of a FIFO implemented in a linked list to handle the needs of
	a LIFO, simplying code and avoiding the associated logic pain.	6.-
	Avoid several SQL> prompts when using the INPUT command
	interactively.	7.- Free several resources on exit. Stop some
	additional memory leaks.  8.- Signal we are processing the INPUT
	command only when the file can be opened.  9.- Put the cursor
	declaration inside the code protected for scrollable cursors, in
	case it's needed there, since isql doesn't do positioned updates.
	
	Remember to report random behavior, crashes, segmentation faults,
	core dumps and BSOD's.

2005-03-04 02:01  robocop

	* firebird2/builds/win32/msvc6/: engine.dsp (1.57),
	engine_classic.dsp (1.53), engine_embed.dsp (1.32), fbclient.dsp
	(1.50), fbclient_static.dsp (1.18):
	
	Make FB2 buildable with MSVC6 again after Konstantin's changes.

2005-03-04 01:01  robocop

	* firebird2/src/jrd/ThreadData.cpp (1.2):
	
	Totally misc.

2005-03-04 01:00  robocop

	* firebird2/src/jrd/isc_s_proto.h (1.16):
	
	Please be more careful with the nesting of macros v/s extern "C".

2005-03-04 00:56  robocop

	* firebird2/: builds/posix/firebird.vers (1.8), src/dsql/ddl.cpp
	(1.129), src/jrd/btn.cpp (1.19), src/utilities/guard/util.cpp
	(1.9):
	
	Totally misc.

2005-03-01 18:53  dimitr

	* firebird2/src/jrd/: svc.cpp (1.138), svc.h (1.34):
	
	Apply forgotten patch from v1.5.x which allows "gbak -se" to work
	again.

2005-03-01 16:47  kkuznetsov

	* firebird2/: src/jrd/ThreadData.cpp (1.1), src/jrd/isc_s_proto.h
	(1.15), src/jrd/sch_proto.h (1.7), src/jrd/thd.cpp (1.44),
	builds/posix/Makefile.in.client.gfix (1.12),
	builds/posix/Makefile.in.embed.gfix (1.14),
	builds/posix/firebird.vers (1.7),
	builds/posix/make.shared.variables (1.49),
	builds/posix/prefix.mingw (1.35), builds/posix/prefix.solaris
	(1.14), builds/posix/prefix.solx86 (1.25),
	builds/posix/prefix.solx86gcc (1.15):
	
	Splitting thd.cpp into 2 files ThreadData.cpp - thread control
	class to use in Client thd.cpp -  thread control class to use in
	Server To avoid making global visibility of a lot of THD_*
	ISC_event and so functions in libfbclient.so (Can be breakable but
	needed)

2005-03-01 16:24  kkuznetsov

	* firebird2/src/utilities/: guard/util.cpp (1.8), ibmgr/srvrmgr.cpp
	(1.27):
	
	Make util's compilable on Solaris_mt

2005-03-01 16:10  kkuznetsov

	* firebird2/builds/posix/Makefile.in.client.util (1.23):
	
	Fix error in makefile

2005-03-01 15:53  paul_reeves

	* firebird2/builds/win32/make_examples.bat (1.14):
	
	Append .txt to readme when generating Win32 examples kit.

2005-03-01 15:42  paul_reeves

	* firebird2/examples/readme (1.2):
	
	Bring the instructions up to date

2005-02-27 23:29  arnobrinkman

	* firebird2/src/jrd/btn.cpp (1.18):
	
	Very little optimization

2005-02-26 19:54  hvlad

	* firebird2/builds/win32/make_all.bat (1.31):
	
	output\security.fbk renamed to security2.fbk

2005-02-26 19:22  hvlad

	* firebird2/builds/win32/prepare.bat (1.42):
	
	Correction

2005-02-25 15:17  paul_reeves

	* firebird2/builds/win32/prepare.bat (1.41):
	
	Remove misplaced CR/LF

2005-02-24 18:56  alexpeshkoff

	* firebird2/src/jrd/execute_statement.cpp (1.14):
	
	Fixed SF bug #1124720

2005-02-24 18:09  alexpeshkoff

	* firebird2/configure.in (1.215):
	
	removed dependency from libssl

2005-02-24 13:23  alexpeshkoff

	* firebird2/:
	builds/install/arch-specific/linux/classic/makeInstallImage.sh.in
	(1.8), builds/install/arch-specific/linux/classic/postinstall.sh.in
	(1.8),
	builds/install/arch-specific/linux/classic/preuninstall.sh.in
	(1.2),
	builds/install/arch-specific/linux/super/makeInstallImage.sh.in
	(1.9), builds/install/arch-specific/linux/super/postinstall.sh.in
	(1.7), builds/install/arch-specific/linux/super/preuninstall.sh.in
	(1.6), builds/install/misc/CSchangeRunUser.sh.in (1.5),
	builds/install/misc/CSrestoreRootRunUser.sh.in (1.3),
	builds/posix/Makefile.in.firebird (1.59),
	builds/posix/Makefile.in.refDatabases (1.25),
	builds/posix/make.defaults (1.38), builds/posix/make.shared.targets
	(1.18), builds/win32/make_all.bat (1.30), builds/win32/prepare.bat
	(1.40), src/dbs/security.sql (1.4), src/dsql/dsql.tab.h (1.51),
	src/dsql/parse.cpp (1.144), src/include/gen/ids.h (1.10),
	src/install/arch-specific/solx86gcc/CS/prototype.in (1.3),
	src/jrd/jrd.cpp (1.202), src/jrd/jrd_pwd.h (1.17), src/jrd/svc.cpp
	(1.137), src/misc/upgrade/v2/security_database.txt (1.2),
	src/remote/inet_server.cpp (1.49), src/utilities/gsec/security.epp
	(1.15):
	
	Changed name to security2.fdb

2005-02-24 07:27  robocop

	* firebird2/builds/install/arch-specific/win32/i18n_readme.txt
	(1.2):
	
	Totally misc.

2005-02-22 23:12  arnobrinkman

	* firebird2/src/jrd/opt.cpp (1.228):
	
	Fix bug with index navigation were both dependent streams and free
	streams are performed in a inner join list

2005-02-22 22:04  arnobrinkman

	* firebird2/src/jrd/opt.cpp (1.227):
	
	Fix, aggregate functions were also delivered from HAVING to the
	WHERE clause

2005-02-22 07:32  dimitr

	* firebird2/src/jrd/btr.cpp (1.139):
	
	More complete fix for DESC indices.

2005-02-22 06:51  dimitr

	* firebird2/src/jrd/Optimizer.cpp (1.10):
	
	Fixed more issues with explicit plans.

2005-02-21 21:32  dimitr

	* firebird2/src/jrd/opt.cpp (1.226):
	
	Fixed SEGV related to explicit plans.

2005-02-21 21:07  arnobrinkman

	* firebird2/src/jrd/btr.cpp (1.138):
	
	Fix segment-selectivity values for descending indexes, reported by
	Dmitry Yemanov

2005-02-21 14:18  dimitr

	* firebird2/src/dsql/: ddl.cpp (1.128), pass1.cpp (1.195):
	
	Simplify code paths a bit.

2005-02-21 13:46  dimitr

	* firebird2/src/dsql/: dsql.tab.h (1.50), parse.cpp (1.143),
	parse.y (1.169), pass1.cpp (1.194):
	
	Simplify code paths a bit.

2005-02-21 07:00  robocop

	* firebird2/: doc/README.Optimizer.txt (1.2), src/jrd/isc_file.cpp
	(1.91), src/jrd/opt.cpp (1.225), src/jrd/Optimizer.cpp (1.9):
	
	Misc.

2005-02-20 09:35  dimitr

	* firebird2/src/common/classes/timestamp.cpp (1.8):
	
	no message

2005-02-19 11:37  dimitr

	* firebird2/src/common/classes/timestamp.cpp (1.7):
	
	Fixed bug with WEEKDAY.

2005-02-17 16:04  paul_reeves

	* firebird2/builds/install/arch-specific/win32/:
	FirebirdInstallEnvironmentChecks.inc (1.1),
	FirebirdInstallSupportFunctions.inc (1.1), FirebirdInstall_15.iss
	(1.5), FirebirdInstall_20.iss (1.1), custom_messages.inc (1.1),
	i18n_readme.txt (1.1), installation_scripted.txt (1.1),
	setenvvar.bat (1.2):
	
	Add supporting files to build Win32 packages

2005-02-17 15:53  paul_reeves

	* firebird2/builds/install/arch-specific/win32/:
	BuildExecutableInstall.bat (1.3), Readme.txt (1.2),
	installation_readme.txt (1.2):
	
	Major overhaul of Win32 package building script. Update win32
	readme and install readme.

2005-02-17 15:48  paul_reeves

	* firebird2/builds/install/arch-specific/win32/:
	de/custom_messages_de.inc (1.1), de/installation_liesmich.txt
	(1.1), de/liesmich.txt (1.1), fr/custom_messages_fr.inc (1.1),
	fr/documents-en-francais.txt (1.1), fr/installation_lisezmoi.txt
	(1.1), fr/lisezmoi.txt (1.1), hu/custom_messages_hu.inc (1.1),
	hu/olvass_el.txt (1.1), hu/telepitesi_segedlet.txt (1.1),
	pt/custom_messages_pt.inc (1.1), pt/instalacao_leia-me.txt (1.1),
	pt/leia-me.txt (1.1), si/custom_messages_si.inc (1.1),
	si/instalacija_precitajMe.txt (1.1):
	
	Forward port i18n strings for Win32 installer from Fb 1.5

2005-02-17 14:07  kkuznetsov

	* firebird2/src/jrd/svc.cpp (1.136):
	
	More cleaning

2005-02-17 13:50  kkuznetsov

	* firebird2/src/: extern/editline/configure (1.2),
	extern/editline/configure.in (1.2), gpre/cob.cpp (1.60),
	include/firebird.h (1.31):
	
	SOLARIS cleanup

2005-02-17 13:42  kkuznetsov

	* firebird2/src/common/classes/: locks.h (1.21), semaphore.h
	(1.19):
	
	Comments cleanup

2005-02-17 11:46  paul_reeves

	* firebird2/builds/win32/make_all.bat (1.29):
	
	Tidy up error handling in make_all.bat.

2005-02-17 11:45  paul_reeves

	* firebird2/builds/win32/msvc7/: Firebird2.sln (1.20),
	instclient.vcproj (1.4):
	
	Add instclient to MSVC7 solution.

2005-02-17 08:29  hvlad

	* firebird2/src/jrd/cch.cpp (1.119):
	
	Temporary fix to prevent 100% cpu load in case of write failure

2005-02-17 08:28  hvlad

	* firebird2/src/jrd/os/win32/winnt.cpp (1.27):
	
	Fix wrong error (write failure) detection

2005-02-17 01:19  arnobrinkman

	* firebird2/doc/README.Optimizer.txt (1.1):
	
	First draft optimizer enhancements doc

2005-02-17 01:17  arnobrinkman

	* firebird2/src/jrd/: Optimizer.cpp (1.8), Optimizer.h (1.4):
	
	cosmetic changes

2005-02-16 11:29  kkuznetsov

	* firebird2/configure.in (1.214):
	
	FW fixes from 1.5.2

2005-02-16 09:45  dimitr

	* firebird2/: src/common/classes/alloc.cpp (1.77),
	src/common/classes/alloc.h (1.60),
	builds/win32/msvc7/fbclient.vcproj (1.38):
	
	Fixed the default memory management in fbclient.  Avoid crashing
	the server when fbclient is used in its address space.

2005-02-15 13:17  arnobrinkman

	* firebird2/src/jrd/opt.cpp (1.224):
	
	Allow some more complex expressions to be unmapped

2005-02-15 12:52  dimitr

	* firebird2/src/jrd/: opt.cpp (1.223), Optimizer.cpp (1.7):
	
	Minor stuff.

2005-02-15 11:03  fsg

	* firebird2/src/jrd/Optimizer.cpp (1.6):
	
	Fix Claudio's fix.  FSG

2005-02-15 07:39  robocop

	* firebird2/src/jrd/Optimizer.cpp (1.5):
	
	Temporary fix for problems reported by Alex and Frank.	Since this
	is Arno's new file, I didn't want to touch more.  Folks may prefer
	to use the ugly MIN/MAX macros (which I abhor) instead of the
	template versions in xutility, but I digress.

2005-02-14 22:02  fsg

	* firebird2/builds/posix/make.shared.variables (1.48):
	
	Add Optimizer.cpp to posix build.  FSG

2005-02-14 19:51  arnobrinkman

	* firebird2/src/jrd/: opt.cpp (1.222), Optimizer.cpp (1.4):
	
	simplify code and some cosmetic changes

2005-02-14 14:27  kkuznetsov

	* firebird2/src/jrd/isc_file.cpp (1.90):
	
	Add Solaris coge for Mnt::get

2005-02-14 07:05  robocop

	* firebird2/src/jrd/: Optimizer.cpp (1.3), Optimizer.h (1.3):
	
	Don't know if gcc is going to accept the const member functions.
	There's a MemoryPool in the middle.

2005-02-14 06:54  robocop

	* firebird2/src/dsql/pass1.cpp (1.193):
	
	Do not make a new branch if the code is the same but with a
	different variable.

2005-02-14 06:53  robocop

	* firebird2/src/jrd/: cmp.cpp (1.170), pag.cpp (1.88), opt.cpp
	(1.221):
	
	Misc.

2005-02-14 06:51  robocop

	* firebird2/src/dsql/make.cpp (1.84):
	
	Put common code into functions.

2005-02-13 19:03  alexpeshkoff

	* firebird2/src/common/classes/fb_string.h (1.3):
	
	add constness

2005-02-13 12:38  arnobrinkman

	* firebird2/src/jrd/opt.cpp (1.220):
	
	Fix wrong commit, thanks to Claudio!

2005-02-13 01:37  asfernandes

	* firebird2/src/dsql/make.cpp (1.83):
	
	NULL literals should have DSC_nullable in dsc_flags

2005-02-12 18:06  arnobrinkman

	* firebird2/src/jrd/: Optimizer.cpp (1.2), Optimizer.h (1.2):
	
	Remove some temp-code that was still left

2005-02-11 10:09  robocop

	* firebird2/builds/win32/msvc6/: engine_classic.dsp (1.52),
	engine_embed.dsp (1.31):
	
	Misc.

2005-02-11 08:05  robocop

	* firebird2/: builds/win32/make_examples.bat (1.13),
	builds/win32/prepare.bat (1.39),
	doc/sql.extensions/README.context_variables2 (1.3):
	
	Misc.

2005-02-11 00:05  arnobrinkman

	* firebird2/src/jrd/opt.cpp (1.219):
	
	Remove unneeded comment-blocks

2005-02-10 23:52  arnobrinkman

	* firebird2/: src/jrd/opt.cpp (1.218), src/jrd/Optimizer.cpp (1.1),
	src/jrd/Optimizer.h (1.1), builds/win32/msvc6/engine.dsp (1.56),
	builds/win32/msvc6/engine_classic.dsp (1.51),
	builds/win32/msvc6/engine_embed.dsp (1.30),
	builds/win32/msvc7/engine.vcproj (1.45),
	builds/win32/msvc7/engine_classic.vcproj (1.45),
	builds/win32/msvc7/engine_embed.vcproj (1.33):
	
	Add new optimizer logic for handling : ODS11: - segment-selectivity
	- better support for IS NULL - better support for STARTING WITH -
	matching both OR and AND nodes to indexes - pick better JOIN order
	based on cost rules
	
	ODSx: - Indexed order on OUTER JOIN queries

2005-02-10 22:14  arnobrinkman

	* firebird2/src/dsql/pass1.cpp (1.192):
	
	1) Make ordinal working on select list which contain an asterisk
	
	Examples: SELECT * FROM RDB$RELATIONS ORDER BY 9 SELECT R.* FROM
	RDB$RELATIONS R ORDER BY 9
	
	2) Add ORDER BY <alias> and GROUP BY <alias>
	
	Examples: SELECT RDB$RELATION_ID AS ID FROM RDB$RELATIONS ORDER BY
	ID
	
	SELECT	 RDB$RELATION_NAME AS ID,   Count(*) FROM  
	RDB$RELATION_FIELDS GROUP BY   ID

2005-02-10 14:37  hvlad

	* firebird2/src/jrd/btr.cpp (1.137):
	
	Fix AV when expression index is created

2005-02-10 11:21  kkuznetsov

	* firebird2/src/gpre/gpre.h (1.79):
	
	Fix including FTN_fini refences into gpre_boot while configured
	with fortran

2005-02-10 00:48  skidder

	* firebird2/doc/WhatsNew (1.57):
	
	Improve English

2005-02-10 00:21  skidder

	* firebird2/src/jrd/pag.cpp (1.87):
	
	Please GCC

2005-02-10 00:03  skidder

	* firebird2/src/jrd/: pag.cpp (1.86), ods.h (1.33):
	
	Re-enable the ODS architecture compatibility check disabled by Deej
	10 years ago

2005-02-08 22:23  hvlad

	* firebird2/src/jrd/: btr.cpp (1.136), idx.cpp (1.88):
	
	Fix bug SF #1076858

2005-02-08 15:59  paul_reeves

	* firebird2/builds/win32/: make_all.bat (1.28), make_boot.bat
	(1.26), make_examples.bat (1.12), prepare.bat (1.38), setenvvar.bat
	(1.7):
	
	Some enhancements and fixes for the Win32 build scripts.

2005-02-08 15:55  paul_reeves

	* firebird2/examples/empbuild/: empbld.sql (1.2), empbuild.e (1.5),
	empddl.sql (1.2), intlbld.e (1.4):
	
	Bring employee database up to dialect 3

2005-02-07 10:00  robocop

	* firebird2/src/isql/isql.epp (1.130):
	
	sqldaid and sqldabc are unused crap borrowed from IBM 15 years ago.
	 Don't show them as they contain garbage.

2005-02-06 15:08  dimitr

	* firebird2/src/jrd/cmp.cpp (1.169):
	
	1) Reworked logic of view updates (never apply validation code to
	views) 2) Cleanup and code refactoring My tests didn't notice any
	failures yet, but some issues should be expected anyway.

2005-02-06 14:14  asfernandes

	* firebird2/: doc/WhatsNew (1.56), src/dsql/pass1.cpp (1.191):
	
	Fixed SF #1116809 - Incorrect data type conversion

2005-02-05 13:48  dimitr

	* firebird2/src/dsql/ddl.cpp (1.127):
	
	Fixed some metadata issues with views.

2005-02-05 11:30  fsg

	* firebird2/builds/posix/: Makefile.in.client.gbak (1.9),
	Makefile.in.client.gdef (1.10), Makefile.in.client.gfix (1.11),
	Makefile.in.client.gpre (1.17), Makefile.in.client.isql (1.9),
	Makefile.in.client.qli (1.5), Makefile.in.client.util (1.22):
	
	Fixed posix superserver build.	FSG

2005-02-04 10:58  robocop

	* firebird2/doc/: README.isql_enhancements.txt (1.1),
	sql.extensions/README.ddl.txt (1.1):
	
	To do's.

2005-02-03 15:26  dimitr

	* firebird2/doc/WhatsNew (1.55):
	
	no message

2005-02-03 15:07  dimitr

	* firebird2/src/remote/xnet.cpp (1.64):
	
	Allow XNET connections from the same process (e.g. from UDFs).

2005-02-03 14:57  paul_reeves

	* firebird2/builds/win32/msvc7/: Firebird2_Examples.sln (1.1),
	empbuild.vcproj (1.1), intlbuild.vcproj (1.1):
	
	Add Firebird2_examples solution. Note that this is for VS 7.1, not
	7.0

2005-02-02 12:57  paul_reeves

	* firebird2/builds/win32/msvc7/: alice_classic.vcproj (1.16),
	burp_classic.vcproj (1.19), dsql_server_classic.vcproj (1.17),
	engine_classic.vcproj (1.44), engine_embed.vcproj (1.32),
	fb_inet_server.vcproj (1.18), fb_lock_print.vcproj (1.21),
	fbclient.vcproj (1.37), fbembed.vcproj (1.26), fbguard.vcproj
	(1.20), fbserver.vcproj (1.19), fbudf.vcproj (1.14), gbak.vcproj
	(1.18), gdef.vcproj (1.20), gds32.vcproj (1.19), gfix.vcproj
	(1.19), gpre.vcproj (1.23), gsec.vcproj (1.19), gsplit.vcproj
	(1.12), gstat.vcproj (1.21), ib_udf.vcproj (1.18), ib_util.vcproj
	(1.17), instclient.vcproj (1.3), instreg.vcproj (1.17),
	instsvc.vcproj (1.17), intl.vcproj (1.18), isql.vcproj (1.19),
	lock_classic.vcproj (1.16), nbackup.vcproj (1.7), qli.vcproj
	(1.20), remote_classic.vcproj (1.22), utilities_classic.vcproj
	(1.20):
	
	Set all VS 7.1 project files to output binaries into the same
	directory.

2005-02-02 12:22  alexpeshkoff

	* firebird2/src/common/classes/string_test.cmd (1.3):
	
	misc

2005-02-02 04:59  skidder

	* firebird2/doc/sql.extensions/README.context_variables2 (1.2):
	
	Update documentation for context variables

2005-02-02 03:25  skidder

	* firebird2/src/utilities/ntrace/os/posix/platform.cpp (1.1):
	
	file platform.cpp was initially added on branch B2_0_BV_Stable3.

2005-02-02 03:22  skidder

	* firebird2/src/jrd/os/posix/FileObject.cpp (1.1):
	
	file FileObject.cpp was initially added on branch B2_0_BV_Stable3.

2005-02-02 03:18  skidder

	* firebird2/builds/posix/fbtrace.vers (1.1):
	
	file fbtrace.vers was initially added on branch B2_0_BV_Stable3.

2005-02-02 00:55  arnobrinkman

	* firebird2/doc/sql.extensions/: README.case (1.2), README.coalesce
	(1.2), README.data_type_results_of_aggregations.txt (1.1),
	README.derived_tables.txt (1.3), README.nullif (1.3):
	
	update readme's with method used for determing result data type

2005-02-01 21:05  dimitr

	* firebird2/src/jrd/exe.h (1.66):
	
	Cleanup.

2005-02-01 16:02  hvlad

	* firebird2/src/jrd/: idx.cpp (1.87), vio.cpp (1.127):
	
	Temporary disable precise PK\FK constraints checking logic

2005-02-01 15:39  arnobrinkman

	* firebird2/src/jrd/opt.cpp (1.217):
	
	fix some dependency issues

2005-01-31 08:28  robocop

	* firebird2/src/jrd/dyn_del.epp (1.43):
	
	Fix SF Bug #1111570 by changing the deletion order in sys tables.

2005-01-30 12:44  alexpeshkoff

	* firebird2/src/common/classes/: string_test.cmd (1.2),
	string_test.cpp (1.3):
	
	license + misc

2005-01-30 03:14  robocop

	* firebird2/src/dsql/parse.cpp (1.142):
	
	Regenerate parse.cpp after Nickolay's changes.

2005-01-30 03:13  robocop

	* firebird2/src/dsql/pass1.cpp (1.190):
	
	Misc.

2005-01-29 10:22  robocop

	* firebird2/src/remote/inet.cpp (1.139):
	
	Fix recent commit by Frank. I cannot compile to verify.

2005-01-28 15:07  dimitr

	* firebird2/doc/sql.extensions/: README.expression_indices (1.2),
	README.rows (1.2):
	
	More docs.

2005-01-28 07:52  robocop

	* firebird2/doc/: ambiguity.txt (1.2),
	sql.extensions/README.PSQL_stack_trace.txt (1.2),
	sql.extensions/README.derived_tables.txt (1.2):
	
	Little corrections.

2005-01-27 16:02  arnobrinkman

	* firebird2/src/jrd/: evl.cpp (1.132), idx.cpp (1.86):
	
	little optimalization

2005-01-27 15:33  arnobrinkman

	* firebird2/src/jrd/btr.cpp (1.135):
	
	Fix duplicate checking for unique indexes

2005-01-27 14:19  fsg

	* firebird2/src/remote/inet.cpp (1.138):
	
	get it built again

2005-01-27 04:09  robocop

	* firebird2/examples/: api/api1.c (1.2), api/api10.c (1.2),
	api/api11.c (1.2), api/api12.c (1.2), api/api13.c (1.2),
	api/api14.e (1.2), api/api15.c (1.2), api/api16.c (1.4),
	api/api16t.c (1.2), api/api2.c (1.2), api/api3.c (1.2), api/api4.c
	(1.2), api/api5.c (1.2), api/api6.c (1.2), api/api7.c (1.2),
	api/api8.c (1.2), api/api9.c (1.2), api/api9f.c (1.2),
	api/api9f.def (1.2), api/apifull.c (1.5), api/example.def (1.2),
	api/winevent.c (1.2), api/winevent.def (1.2), api/winevent.rc
	(1.2), dyn/dyn1.e (1.2), dyn/dyn2.e (1.2), dyn/dyn3.e (1.2),
	dyn/dyn4.e (1.2), dyn/dyn5.e (1.2), dyn/dynfull.e (1.4),
	include/align.h (1.2), include/example.h (1.4), stat/stat1.e (1.2),
	stat/stat10.e (1.3), stat/stat11.e (1.3), stat/stat12.e (1.2),
	stat/stat12t.e (1.2), stat/stat2.e (1.2), stat/stat3.e (1.2),
	stat/stat4.e (1.3), stat/stat6.e (1.2), stat/stat7.e (1.2),
	stat/stat8.e (1.2), stat/stat9.e (1.2):
	
	Clean the examples.  When the build scripts are revised, it will be
	able to check the changes.

2005-01-27 00:31  arnobrinkman

	* firebird2/doc/sql.extensions/README.derived_tables.txt (1.1):
	
	no message

2005-01-27 00:30  arnobrinkman

	* firebird2/doc/ambiguity.txt (1.1):
	
	FB2.0 changes regarding ambiguity and aliases

2005-01-26 19:04  skidder

	* firebird2/src/jrd/exe.cpp (1.140):
	
	Fix possible engine lock-up/crash when 'RELEASE SAVEPOINT xxx ONLY'
	syntax is used or when existing savepoint name is reused in
	transaction context (when old savepoint with the save name is
	implicitly released)

2005-01-26 19:01  alexpeshkoff

	* firebird2/src/: common/config/dir_list.cpp (1.24),
	common/config/dir_list.h (1.15), jrd/ext.cpp (1.59):
	
	added feature (requested by Dmitry) - first path in
	ExternalFilesAccess is used as default when external file is to be
	initially created

2005-01-26 15:52  hvlad

	* firebird2/src/dsql/parse.y (1.168):
	
	Allow EXECUTE BLOCK to work with blob parameters.

2005-01-26 15:49  hvlad

	* firebird2/doc/sql.extensions/README.PSQL_stack_trace.txt (1.1):
	
	New readme

2005-01-26 11:37  aafemt

	* firebird2/src/isql/isql.epp (1.129):
	
	LF already have been killed in readNextInputLine()

2005-01-26 09:04  robocop

	* firebird2/src/jrd/dyn_def.epp (1.90):
	
	Fix the error message for SF Bug #1108909 We want to say we don't
	have rights to the base table/view, not to the view we are
	creating, of course.

2005-01-26 09:03  robocop

	* firebird2/src/jrd/cvt2.cpp (1.45):
	
	Fix one cause of SF Bug #1108909 We should honor embedded spaces in
	quoted identifiers.

2005-01-26 08:33  hvlad

	* firebird2/doc/WhatsNew (1.54):
	
	Correction

2005-01-26 05:44  robocop

	* firebird2/src/jrd/met.epp (1.153):
	
	Solve metadata bug with MET_lookup_relation not finding the already
	loaded relation and hence not locking rel_existence_lock when
	required.

2005-01-26 05:21  robocop

	* firebird2/src/misc/headers.sed (1.4):
	
	Our public ibase.h contains references to internal files. Fix the
	build process.

2005-01-26 04:33  robocop

	* firebird2/builds/win32/make_examples.bat (1.11):
	
	Hide error message if there's nothing to delete.

2005-01-26 02:27  robocop

	* firebird2/doc/README.sha1 (1.2):
	
	Minor corrections.

2005-01-25 17:57  alexpeshkoff

	* firebird2/doc/README.sha1 (1.1):
	
	readme for security review

2005-01-25 07:46  robocop

	* firebird2/src/jrd/dfw.epp (1.143):
	
	Fix items 1 & 2 from SF Bug #217042.  A table should have at least
	one "physical" field. A table with only computed fields cannot
	accept data, same than a table with only a check constraint.

2005-01-25 07:41  robocop

	* firebird2/src/jrd/met.epp (1.152):
	
	1.- More variables in context.	2.- Close the blob.

2005-01-25 07:40  robocop

	* firebird2/src/jrd/: inf.cpp (1.51), jrd.h (1.131):
	
	We are only asking for information, so use const.

2005-01-25 07:38  robocop

	* firebird2/src/jrd/: cvt2.cpp (1.44), opt.cpp (1.216):
	
	Misc.

2005-01-25 07:33  robocop

	* firebird2/src/jrd/: btr.cpp (1.134), cch.cpp (1.118), cmp.cpp
	(1.168), idx.cpp (1.85), jrd.cpp (1.201), vio.cpp (1.126):
	
	Welcome to paranoid programming.

2005-01-25 07:24  robocop

	* firebird2/doc/sql.extensions/: README.plan (1.2),
	README.sequence_generators (1.2):
	
	Minor fixes.

2005-01-25 07:23  robocop

	* firebird2/src/jrd/tra.cpp (1.98):
	
	Misc.

2005-01-25 07:22  robocop

	* firebird2/doc/WhatsNew (1.53):
	
	Assigned more documents to myself and others. Did little
	corrections. Please review.

2005-01-25 00:12  arnobrinkman

	* firebird2/src/jrd/opt.cpp (1.215):
	
	fix problems with explicit given PLAN and MERGE

2005-01-25 00:02  arnobrinkman

	* firebird2/src/dsql/pass1.cpp (1.189):
	
	fix derived table issue with derived column list and columnname
	from sub-select

2005-01-24 10:35  dimitr

	* firebird2/src/jrd/: btr.cpp (1.133), idx.cpp (1.84), pcmet.epp
	(1.32):
	
	Fixed expression indices bugs.

2005-01-24 08:58  dimitr

	* firebird2/src/jrd/: cch.cpp (1.117), cch.h (1.27):
	
	Cleanup.

2005-01-24 03:15  stryqx

	* firebird2/builds/posix/prefix.netbsd (1.2):
	
	Fix final instance of gds_delay to gds_relay.

2005-01-23 16:52  dimitr

	* firebird2/src/: dsql/dsql.cpp (1.139), dsql/dsql.h (1.71),
	dsql/gen.cpp (1.78), dsql/make.cpp (1.82), jrd/inf_pub.h (1.4):
	
	Return relation alias via API. SQLDA stays untouched for the time
	being.

2005-01-22 22:21  dimitr

	* firebird2/doc/WhatsNew (1.52):
	
	More docs.

2005-01-22 22:17  dimitr

	* firebird2/doc/: sql.extensions/README.expression_indices (1.1),
	sql.extensions/README.null_value (1.1), sql.extensions/README.rows
	(1.1), sql.extensions/README.select_expressions (1.1),
	sql.extensions/README.view_updates (1.1), README.xnet (1.1):
	
	Placeholders for further docs.

2005-01-22 22:13  dimitr

	* firebird2/doc/sql.extensions/README.iif (1.1):
	
	More docs.

2005-01-22 22:03  dimitr

	* firebird2/doc/sql.extensions/: README.distinct (1.1),
	README.sequence_generators (1.1):
	
	More docs.

2005-01-22 21:26  dimitr

	* firebird2/doc/sql.extensions/: README.context_variables (1.4),
	README.cursors (1.3), README.plan (1.1):
	
	More docs.

2005-01-22 05:23  robocop

	* firebird2/src/jrd/idx.cpp (1.83):
	
	Misc.

2005-01-22 05:16  robocop

	* firebird2/src/jrd/btr.cpp (1.132):
	
	Misc.

2005-01-21 15:09  arnobrinkman

	* firebird2/src/dsql/pass1.cpp (1.188):
	
	Fix alias usage in explicit PLAN

2005-01-21 14:49  alexpeshkoff

	* firebird2/src/jrd/: idx.cpp (1.82), btr.cpp (1.131), btr_proto.h
	(1.31):
	
	fixed my bug with descending indices in referential constraints

2005-01-21 11:45  robocop

	* firebird2/src/jrd/exe.cpp (1.139):
	
	Misc.

2005-01-21 09:54  robocop

	* firebird2/src/dsql/parse.cpp (1.141):
	
	Regenerate parse.cpp after Dmitry's changes.

2005-01-21 09:39  robocop

	* firebird2/src/jrd/opt.cpp (1.214):
	
	1.- Fix unregistered bug where an attempt to use an invalid index
	in an explicit plan causes garbage to be shown in the error message
	instead of the rejected index name.  2.- Use constants instead of
	hardcoded positions in node's arguments.

2005-01-21 09:36  robocop

	* firebird2/src/jrd/: dfw.epp (1.142), exe.h (1.65), met.epp
	(1.151), par.cpp (1.113):
	
	1.- Misc.  2.- Use constants instead of harcoded positions in
	node's arguments.

2005-01-20 13:35  dimitr

	* firebird2/doc/sql.extensions/README.keywords (1.1):
	
	Some docs.

2005-01-20 13:33  dimitr

	* firebird2/src/dsql/parse.y (1.167):
	
	More compatibility modes for the parser.

2005-01-20 12:29  dimitr

	* firebird2/src/burp/restore.epp (1.88):
	
	More correct fix for restore.

2005-01-19 10:00  robocop

	* firebird2/src/utilities/nbackup.cpp (1.45):
	
	We don't seem to be modifying the program arguments, so make them
	const for now.

2005-01-19 09:59  robocop

	* firebird2/src/gpre/cob.cpp (1.59):
	
	Fix SF Bug #527677 for gpre and the ANSI85 switch.

2005-01-19 09:54  robocop

	* firebird2/src/remote/xnet.cpp (1.63):
	
	Misc.

2005-01-19 09:52  robocop

	* firebird2/doc/WhatsNew (1.51):
	
	Requested item in the whatsnew. Added another minor change.

2005-01-18 22:45  dimitr

	* firebird2/src/remote/interface.cpp (1.99):
	
	Disable XNET for the embedded server.

2005-01-18 16:04  dimitr

	* firebird2/src/dsql/utld.cpp (1.34):
	
	Always zero blr/message memory before usage.  Otherwise a reused
	message may cause garbage to be copied to XDR which in turn may
	cause asynchronous exceptions in the asymmetric protocol code.

2005-01-17 16:59  kkuznetsov

	* firebird2/src/utilities/ibmgr/srvrmgr.cpp (1.26):
	
	Some cleanup

2005-01-17 11:05  kkuznetsov

	* firebird2/src/utilities/ibmgr/srvrmgr.cpp (1.25):
	
	Minor fix

2005-01-17 10:16  robocop

	* firebird2/src/dsql/: ddl.cpp (1.126), dsql.tab.h (1.49),
	parse.cpp (1.140), parse.y (1.166):
	
	First attempt to fix SF Bug #512975.  Please let me know if the
	problem disappears or there's a bad side effect that I didn't
	detect.

2005-01-17 09:55  robocop

	* firebird2/src/gpre/sql.cpp (1.62):
	
	Fix SF Bug #1103740 Both quoted and non-quoted cursors should be
	checked for duplication.  Now, duplicate quoted identifiers used
	for cursors will get something like: (E) gpretest.e:29: symbol
	a_nice_long_long_long_cusor_name_for_customer is alrea dy in use

2005-01-17 07:48  robocop

	* firebird2/src/gpre/: par.cpp (1.61), sql.cpp (1.61):
	
	Fix SF Bug #1103683 for gpre.  Now, database aliases can't be
	longer than 31 bytes. Example:	  EXEC SQL		  SET
	DATABASE "DB0" = COMPILETIME
	"G:\\DB\\Firebird\\examples\\EMPLOYEE.GDB" Here DB0 can be longer
	provided that it doesn't go beyond 31 bytes. As pointed out by Paul
	Beach, it makes little sense to have a reference that's longer than
	the physical path of the db.

2005-01-17 07:43  robocop

	* firebird2/src/gpre/c_cxx.cpp (1.64):
	
	Fix SF Bug #1103670.  Now, quoted cursor names can be opened,
	closed and reopened in gpre without losing their names.

2005-01-17 06:41  robocop

	* firebird2/src/gpre/sql.cpp (1.60):
	
	Fix error message.

2005-01-17 06:39  robocop

	* firebird2/src/gpre/: sqe.cpp (1.39), sql.cpp (1.59):
	
	Fix more inconsistencies in gpre related to SF Bug #1103666,
	supposedly caused by the starfishes.

2005-01-17 06:31  robocop

	* firebird2/src/gpre/: par.cpp (1.60), sql.cpp (1.58):
	
	Fix more inconsistencies in gpre related to SF Bug #1103666.  The
	others were fixed as part of fixing SF Bug #504978 about truncation
	of variables.

2005-01-17 06:22  robocop

	* firebird2/src/gpre/: cme.cpp (1.35), exp.cpp (1.38):
	
	Misc.

2005-01-17 06:02  robocop

	* firebird2/src/gpre/: cme.cpp (1.34), exp.cpp (1.37), gpre.cpp
	(1.73), gpre.h (1.78), gpre_meta.epp (1.52), par.cpp (1.59),
	parse.h (1.12), sqe.cpp (1.38), sql.cpp (1.57), sql_proto.h (1.12):
	
	Fix SF Bug #504978. Restore gpre ability to work with variables up
	to 63 bytes in length. Now that the lengths are expressed by
	constants instead of random values in each place, the limit may be
	increased further. The problem happened between IB5 and IB6 at
	Borland.

2005-01-16 13:35  dimitr

	* firebird2/src/common/config/: config.cpp (1.60), config.h (1.35):
	
	Changes and cleanup regarding XNET vs old-style IPC.

2005-01-16 13:31  dimitr

	* firebird2/builds/install/misc/firebird.conf (1.14):
	
	Changes and cleanup regarding XNET vs old-style IPC.

2005-01-16 13:26  dimitr

	* firebird2/src/remote/os/win32/: ibconfig.cpp (1.14), property.cpp
	(1.13), srvr_w32.cpp (1.28), window.cpp (1.13), wnet.cpp (1.31):
	
	Changes and cleanup regarding XNET vs old-style IPC.

2005-01-16 13:20  dimitr

	* firebird2/src/remote/: xnet.cpp (1.62), xnet.h (1.12),
	xnet_proto.h (1.15):
	
	Changes and cleanup regarding XNET vs old-style IPC.

2005-01-16 12:25  dimitr

	* firebird2/src/remote/: inet.cpp (1.137), remote_def.h (1.27):
	
	Changes and cleanup regarding XNET vs old-style IPC.

2005-01-16 11:21  dimitr

	* firebird2/src/include/gen/autoconfig_msvc.h (1.97):
	
	Changes and cleanup regarding XNET vs old-style IPC.

2005-01-15 00:52  skidder

	* firebird2/src/utilities/nbackup.cpp (1.44):
	
	Fix a couple parameter parse errors in NBACKUP utility noted by
	Vlad

2005-01-14 10:56  alexpeshkoff

	* firebird2/src/common/classes/alloc.h (1.59):
	
	fixed multi-threaded client and Win32 embedded problems after
	introducing context memory pools

2005-01-13 11:29  kkuznetsov

	* firebird2/src/install/misc/firebird.init.d.Solaris.in (1.1):
	
	file firebird.init.d.Solaris.in was initially added on branch
	B1_5_Release.

2005-01-13 08:31  aafemt

	* firebird2/src/remote/inet.cpp (1.136):
	
	Fix fearful warning

2005-01-13 08:28  aafemt

	* firebird2/builds/posix/Makefile.in.libfbclient (1.27):
	
	Missed objects

2005-01-12 13:19  alexpeshkoff

	* firebird2/src/jrd/os/win32/thd_priority.cpp (1.27):
	
	fixed AV during SS shutdown on NT

2005-01-12 09:30  robocop

	* firebird2/src/common/config/: config.cpp (1.59), config_file.cpp
	(1.27):
	
	Misc.

2005-01-12 06:50  robocop

	* firebird2/src/gpre/pat.cpp (1.27):
	
	Misc.

2005-01-12 06:09  robocop

	* firebird2/src/dsql/ddl.cpp (1.125):
	
	Fix irrelevant SF Bug #512975.	CR-LF => blank. No trimming is
	made.

2005-01-12 05:33  robocop

	* firebird2/src/: common/classes/locks.cpp (1.7), jrd/y_handle.h
	(1.13), jrd/os/thd_priority.h (1.23), jrd/os/win32/thd_priority.cpp
	(1.26):
	
	Correct the year in Alex' changed licenses.

2005-01-12 05:24  robocop

	* firebird2/src/common/config/: config_file.cpp (1.26),
	config_file.h (1.12):
	
	Change the license.  Also, these two files were done by Dmitry
	Yemanov, not Mark, according to viewCVS.

2005-01-12 05:22  robocop

	* firebird2/src/: dsql/keywords.cpp (1.41), include/editline.h
	(1.2), jrd/os/posix/config_root.cpp (1.14):
	
	Change the license with Mark's permission.

2005-01-12 05:20  robocop

	* firebird2/src/dsql/: dsql.cpp (1.138), keywords.h (1.19),
	pass1.cpp (1.187):
	
	Misc.

2005-01-11 11:08  alexpeshkoff

	* firebird2/src/remote/inet.cpp (1.135):
	
	1. fixed AV during SS shutdown on NT 2. removed duplicated
	WSACleanup() call

2005-01-10 19:04  alexpeshkoff

	* firebird2/src/: jrd/y_handle.h (1.12), jrd/os/thd_priority.h
	(1.22), jrd/os/win32/thd_priority.cpp (1.25),
	common/classes/locks.cpp (1.6):
	
	applied correct license to files, added by me to the project

2005-01-10 17:22  asfernandes

	* firebird2/src/jrd/IntlManager.h (1.1):
	
	file IntlManager.h was initially added on branch B2_0_intl.

2005-01-10 17:22  asfernandes

	* firebird2/src/jrd/IntlManager.cpp (1.1):
	
	file IntlManager.cpp was initially added on branch B2_0_intl.

2005-01-10 17:17  asfernandes

	* firebird2/builds/win32/msvc7/config.vcproj (1.1):
	
	file config.vcproj was initially added on branch B2_0_intl.

2005-01-10 17:17  asfernandes

	* firebird2/builds/win32/msvc6/config.dsp (1.1):
	
	file config.dsp was initially added on branch B2_0_intl.

2005-01-10 17:17  asfernandes

	* firebird2/builds/install/misc/fbintl.conf (1.1):
	
	file fbintl.conf was initially added on branch B2_0_intl.

2005-01-10 17:13  asfernandes

	* firebird2/src/config/ScanDir.h (1.1):
	
	file ScanDir.h was initially added on branch B2_0_intl.

2005-01-10 17:13  asfernandes

	* firebird2/src/config/Lex.cpp (1.1):
	
	file Lex.cpp was initially added on branch B2_0_intl.

2005-01-10 17:13  asfernandes

	* firebird2/src/config/Element.cpp (1.1):
	
	file Element.cpp was initially added on branch B2_0_intl.

2005-01-10 17:13  asfernandes

	* firebird2/src/config/Stream.cpp (1.1):
	
	file Stream.cpp was initially added on branch B2_0_intl.

2005-01-10 17:13  asfernandes

	* firebird2/src/config/Args.cpp (1.1):
	
	file Args.cpp was initially added on branch B2_0_intl.

2005-01-10 17:13  asfernandes

	* firebird2/src/config/Lex.h (1.1):
	
	file Lex.h was initially added on branch B2_0_intl.

2005-01-10 17:13  asfernandes

	* firebird2/src/config/Element.h (1.1):
	
	file Element.h was initially added on branch B2_0_intl.

2005-01-10 17:13  asfernandes

	* firebird2/src/config/InputFile.cpp (1.1):
	
	file InputFile.cpp was initially added on branch B2_0_intl.

2005-01-10 17:13  asfernandes

	* firebird2/src/config/Stream.h (1.1):
	
	file Stream.h was initially added on branch B2_0_intl.

2005-01-10 17:13  asfernandes

	* firebird2/src/config/DirectoryList.cpp (1.1):
	
	file DirectoryList.cpp was initially added on branch B2_0_intl.

2005-01-10 17:13  asfernandes

	* firebird2/src/config/Args.h (1.1):
	
	file Args.h was initially added on branch B2_0_intl.

2005-01-10 17:13  asfernandes

	* firebird2/src/config/InputFile.h (1.1):
	
	file InputFile.h was initially added on branch B2_0_intl.

2005-01-10 17:13  asfernandes

	* firebird2/src/config/DirectoryList.h (1.1):
	
	file DirectoryList.h was initially added on branch B2_0_intl.

2005-01-10 17:13  asfernandes

	* firebird2/src/config/ConfigFile.cpp (1.1):
	
	file ConfigFile.cpp was initially added on branch B2_0_intl.

2005-01-10 17:13  asfernandes

	* firebird2/src/config/AdminException.cpp (1.1):
	
	file AdminException.cpp was initially added on branch B2_0_intl.

2005-01-10 17:13  asfernandes

	* firebird2/src/config/Configuration.cpp (1.1):
	
	file Configuration.cpp was initially added on branch B2_0_intl.

2005-01-10 17:13  asfernandes

	* firebird2/src/config/Parameters.h (1.1):
	
	file Parameters.h was initially added on branch B2_0_intl.

2005-01-10 17:13  asfernandes

	* firebird2/src/config/ConfigFile.h (1.1):
	
	file ConfigFile.h was initially added on branch B2_0_intl.

2005-01-10 17:13  asfernandes

	* firebird2/src/config/InputStream.cpp (1.1):
	
	file InputStream.cpp was initially added on branch B2_0_intl.

2005-01-10 17:13  asfernandes

	* firebird2/src/config/ArgsException.cpp (1.1):
	
	file ArgsException.cpp was initially added on branch B2_0_intl.

2005-01-10 17:13  asfernandes

	* firebird2/src/config/Configuration.h (1.1):
	
	file Configuration.h was initially added on branch B2_0_intl.

2005-01-10 17:13  asfernandes

	* firebird2/src/config/AdminException.h (1.1):
	
	file AdminException.h was initially added on branch B2_0_intl.

2005-01-10 17:13  asfernandes

	* firebird2/src/config/ConfObject.cpp (1.1):
	
	file ConfObject.cpp was initially added on branch B2_0_intl.

2005-01-10 17:13  asfernandes

	* firebird2/src/config/StreamSegment.cpp (1.1):
	
	file StreamSegment.cpp was initially added on branch B2_0_intl.

2005-01-10 17:13  asfernandes

	* firebird2/src/config/FileName.cpp (1.1):
	
	file FileName.cpp was initially added on branch B2_0_intl.

2005-01-10 17:13  asfernandes

	* firebird2/src/config/InputStream.h (1.1):
	
	file InputStream.h was initially added on branch B2_0_intl.

2005-01-10 17:13  asfernandes

	* firebird2/src/config/ConfObj.cpp (1.1):
	
	file ConfObj.cpp was initially added on branch B2_0_intl.

2005-01-10 17:13  asfernandes

	* firebird2/src/config/ArgsException.h (1.1):
	
	file ArgsException.h was initially added on branch B2_0_intl.

2005-01-10 17:13  asfernandes

	* firebird2/src/config/ConfObject.h (1.1):
	
	file ConfObject.h was initially added on branch B2_0_intl.

2005-01-10 17:13  asfernandes

	* firebird2/src/config/ScanDir.cpp (1.1):
	
	file ScanDir.cpp was initially added on branch B2_0_intl.

2005-01-10 17:13  asfernandes

	* firebird2/src/config/StreamSegment.h (1.1):
	
	file StreamSegment.h was initially added on branch B2_0_intl.

2005-01-10 17:13  asfernandes

	* firebird2/src/config/ConfObj.h (1.1):
	
	file ConfObj.h was initially added on branch B2_0_intl.

2005-01-10 17:13  asfernandes

	* firebird2/src/config/FileName.h (1.1):
	
	file FileName.h was initially added on branch B2_0_intl.

2005-01-10 17:13  asfernandes

	* firebird2/src/vulcan/JString.cpp (1.1):
	
	file JString.cpp was initially added on branch B2_0_intl.

2005-01-10 17:13  asfernandes

	* firebird2/src/vulcan/RefObject.h (1.1):
	
	file RefObject.h was initially added on branch B2_0_intl.

2005-01-10 17:13  asfernandes

	* firebird2/src/vulcan/PathName.h (1.1):
	
	file PathName.h was initially added on branch B2_0_intl.

2005-01-10 17:13  asfernandes

	* firebird2/src/vulcan/RefObject.cpp (1.1):
	
	file RefObject.cpp was initially added on branch B2_0_intl.

2005-01-10 17:13  asfernandes

	* firebird2/src/vulcan/JString.h (1.1):
	
	file JString.h was initially added on branch B2_0_intl.

2005-01-10 17:13  asfernandes

	* firebird2/src/vulcan/PathName.cpp (1.1):
	
	file PathName.cpp was initially added on branch B2_0_intl.

2005-01-07 13:17  dimitr

	* firebird2/doc/WhatsNew (1.50):
	
	no message

2005-01-07 10:29  dimitr

	* firebird2/doc/WhatsNew (1.49):
	
	no message

2005-01-07 05:00  robocop

	* firebird2/src/gpre/: c_cxx.cpp (1.63), gpre.cpp (1.72), gpre.h
	(1.77), par.cpp (1.58), pat.cpp (1.26), sqe.cpp (1.37), sql.cpp
	(1.56):
	
	Fixing more inconsistencies.

2005-01-07 04:56  robocop

	* firebird2/doc/sql.extensions/README.cursors (1.2):
	
	Misc.

2005-01-07 03:56  robocop

	* firebird2/doc/WhatsNew (1.48):
	
	Maybe it's just me, but I prefer my name well spelled.	:-)

2005-01-06 19:32  dimitr

	* firebird2/doc/sql.extensions/: README.cursors (1.1),
	README.leave_labels (1.1):
	
	Added some docs.

2005-01-06 19:17  arnobrinkman

	* firebird2/src/dsql/pass1.cpp (1.186):
	
	Fix another check constraint and ambigous field problem.  Are there
	any more options left?, sigh: tablename, NEW, OLD, TEMP

2005-01-06 17:58  dimitr

	* firebird2/doc/WhatsNew (1.47):
	
	A couple of corrections.

2005-01-06 16:06  dimitr

	* firebird2/doc/WhatsNew (1.46):
	
	Added all changes up-to-date.

2005-01-06 14:14  arnobrinkman

	* firebird2/src/dsql/pass1.cpp (1.185):
	
	Fix sub-select in derived table issue (context already in used
	error)

2005-01-05 13:15  dimitr

	* firebird2/src/dsql/make.cpp (1.81):
	
	Minor corrections.

2005-01-05 13:13  dimitr

	* firebird2/src/jrd/cmp.cpp (1.167):
	
	Fixed concatenation desciptor usage (e.g. GROUP BY failures) +
	minor corrections.

2005-01-05 09:25  robocop

	* firebird2/src/gpre/: ada.cpp (1.49), c_cxx.cpp (1.62), cob.cpp
	(1.58), ftn.cpp (1.56), int_cxx.cpp (1.40), pas.cpp (1.50):
	
	Let's prevent accidental modification of some params.

2005-01-05 05:02  robocop

	* firebird2/src/gpre/par.cpp (1.57):
	
	Misc.

2005-01-05 05:00  robocop

	* firebird2/src/gpre/par.cpp (1.56):
	
	1.- More constants.  2.- Support for BASIC language was dropped a
	lot of time ago.

2005-01-05 04:58  robocop

	* firebird2/src/gpre/gpre.cpp (1.71):
	
	More constants.

2005-01-05 03:06  robocop

	* firebird2/src/gpre/: gpre.cpp (1.70), gpre.h (1.76):
	
	More constants.

2005-01-04 14:37  dimitr

	* firebird2/src/jrd/tra.cpp (1.97):
	
	Don't forget to remove user savepoints in the no-op part of the
	commit-retaining implementation.

2005-01-04 14:17  dimitr

	* firebird2/src/dsql/ddl.cpp (1.124):
	
	1. Allowed implicit NOT NULL declaration for a PRIMARY KEY
	constraint (per SQL-99) 2. Minor fixes and cleanup

2005-01-04 14:09  dimitr

	* firebird2/src/jrd/exe.cpp (1.138):
	
	Looper fixes: 1. Slightly changed the error handling to exactly
	correspond the FB1 logic 2. Added code to always cleanup the active
	savepoints, even after nested error handlers 3. Fixed one little
	debug-time issue 4. Replaced VERB_CLEANUP macro with an inline
	function

2005-01-04 11:53  dimitr

	* firebird2/src/gpre/sql.cpp (1.55):
	
	Fixed the build.

2005-01-04 06:42  robocop

	* firebird2/src/isql/show.epp (1.65):
	
	Show system UDF's. According to Ann, she seems to remember that
	"there hasn't been a missing RDB$SYSTEM_FLAG since V2 except
	objects created with direct system table inserts." but if there are
	problems, I will have to do two loops.

2005-01-04 06:19  robocop

	* firebird2/src/gpre/sql.cpp (1.54):
	
	More constants.

2005-01-04 02:16  stryqx

	* firebird2/src/extern/editline/makelist (1.2):
	
	Using tr to map a-z to A-Z doesn't always work as expected on all
	platforms, especially when a locale is set where the number of
	lower case characters is different to the number of upper case
	characters. Using the lower and upper case character classes fixes
	this problem.

2005-01-04 01:18  robocop

	* firebird2/builds/install/misc/: CSchangeRunUser.sh.in (1.4),
	CSrestoreRootRunUser.sh.in (1.2), SSchangeRunUser.sh.in (1.2),
	SSrestoreRootRunUser.sh.in (1.2):
	
	Fix typo reported by Kristof Petr.

2005-01-03 20:24  arnobrinkman

	* firebird2/src/jrd/btr.cpp (1.130):
	
	Fix index bug when a single NULL with recordnumber 0 was 2 times
	removed.  Due this the LevelNode was removed, which of course may
	never happen.

2005-01-03 09:16  robocop

	* firebird2/src/utilities/gstat/: dba.epp (1.55), dbaswi.h (1.6),
	ppg.cpp (1.23), ppg_proto.h (1.10):
	
	Forget the log: it belongs to one of the merry friends WAL and
	JOURNAL that we deprecated and deleted for v2.

2005-01-03 09:11  robocop

	* firebird2/src/gpre/sqe.cpp (1.36):
	
	Misc.

2005-01-03 09:08  robocop

	* firebird2/src/jrd/utl.cpp (1.81):
	
	Avoid possible buffer overflow.

2005-01-03 09:07  robocop

	* firebird2/src/gpre/: ada.cpp (1.48), c_cxx.cpp (1.61), cob.cpp
	(1.57), ftn.cpp (1.55), gpre.h (1.75), int_cxx.cpp (1.39), parse.h
	(1.11), pas.cpp (1.49), sqe.cpp (1.35), sql.cpp (1.53):
	
	Bring some order to the gpre insanity that was using custom,
	disparate lengths for variables that should have the same length.

2005-01-01 02:53  robocop

	* firebird2/src/: extlib/ib_udf2.sql (1.6), jrd/y_handle.h (1.11),
	jrd/os/path_utils.h (1.11), misc/gds_header.txt (1.2),
	misc/ibase_header.txt (1.2):
	
	Totally misc.

2004-12-31 11:41  robocop

	* firebird2/src/dsql/parse.y (1.165):
	
	Totally misc.

2004-12-28 22:12  skidder

	* firebird2/builds/posix/: Makefile.in.boot.gpre (1.21),
	Makefile.in.client.fbudf (1.4), Makefile.in.client.gsec (1.3),
	Makefile.in.embed.lockmgr (1.8), Makefile.in.extlib (1.19),
	Makefile.in.fbserver (1.17), Makefile.in.intl (1.20),
	Makefile.in.libfbclient (1.26), Makefile.in.libfbstatic (1.7),
	Makefile.in.static.gbak (1.9), Makefile.in.static.gpre (1.16),
	Makefile.in.static.isql (1.8):
	
	Honor CFLAGS given by the user in POSIX builds

2004-12-28 22:07  skidder

	* firebird2/configure.in (1.213):
	
	Add support for generic Linux builds (misc platforms)

2004-12-28 22:00  skidder

	* firebird2/builds/posix/prefix.linux_generic (1.1):
	
	Add support for generic Linux builds (misc platforms)

2004-12-28 21:57  skidder

	* firebird2/builds/posix/prefix.linux_sparc32 (1.5):
	
	Update Linux/Sparc build

2004-12-28 06:20  robocop

	* firebird2/src/: iscguard/iscguard.cpp (1.43), remote/protocol.h
	(1.25), remote/xnet.cpp (1.61), remote/os/win32/wnet.cpp (1.30):
	
	Misc.

2004-12-26 16:32  alexpeshkoff

	* firebird2/src/dsql/dsql.cpp (1.137):
	
	dsql_set_cursor_name cleanup

2004-12-26 14:47  alexpeshkoff

	* firebird2/src/remote/: inet.cpp (1.134), protocol.h (1.24),
	xnet.cpp (1.60), os/win32/wnet.cpp (1.29):
	
	user_id clumplet cleanup

2004-12-26 13:36  alexpeshkoff

	* firebird2/src/iscguard/iscguard.cpp (1.42):
	
	restored cleanup, accidentially erased by my previous commit

2004-12-26 13:11  alexpeshkoff

	* firebird2/src/iscguard/iscguard.cpp (1.41):
	
	fixed assertion in guardian

2004-12-26 05:08  robocop

	* firebird2/src/: burp/burp.cpp (1.96), burp/mvol.cpp (1.43),
	iscguard/iscguard.cpp (1.40), jrd/nbak.cpp (1.46), jrd/pwd.cpp
	(1.39), jrd/sdw.cpp (1.56), jrd/utl.cpp (1.80), jrd/vio.cpp
	(1.125), remote/inet.cpp (1.133), utilities/ibmgr/srvrmgr.cpp
	(1.24):
	
	Misc.

2004-12-25 10:43  robocop

	* firebird2/: configure.in (1.212), src/common/classes/locks.h
	(1.20), src/common/classes/rwlock.h (1.25),
	src/common/classes/semaphore.h (1.18), src/isql/isql.epp (1.128),
	src/jrd/btr.cpp (1.129), src/jrd/common.h (1.133), src/jrd/exe.h
	(1.64), src/jrd/filters.cpp (1.43), src/jrd/nbak.cpp (1.45),
	src/jrd/thd.h (1.41), src/remote/inet.cpp (1.132),
	src/utilities/guard/util.cpp (1.7), src/utilities/ibmgr/srvrmgr.cpp
	(1.23):
	
	Misc.

2004-12-24 10:35  kkuznetsov

	* firebird2/: configure.in (1.211), src/common/classes/fb_tls.h
	(1.12), src/common/classes/locks.h (1.19),
	src/common/classes/rwlock.h (1.24), src/common/classes/semaphore.h
	(1.17), src/jrd/isc.h (1.20), src/jrd/thd.cpp (1.43), src/jrd/thd.h
	(1.40), src/utilities/guard/util.cpp (1.6),
	src/utilities/ibmgr/srvrmgr.cpp (1.22):
	
	Some things is moved from R1.5.1.  Starting separating of defines
	accoding SOLARIS -- any threading modes SOLARIS_MT - solaris with
	Sun threading model current nothing - solaris with posix threading
	model

2004-12-24 09:51  robocop

	* firebird2/src/: burp/burp.cpp (1.95), common/classes/auto.h
	(1.10), common/classes/fb_string.h (1.2), dsql/ddl.cpp (1.123),
	dsql/pass1.cpp (1.184), dudley/expand.cpp (1.26), dudley/hsh.cpp
	(1.17), gpre/pas.cpp (1.48), intl/utils/maptest2.c (1.9),
	iscguard/iscguard.cpp (1.39), isql/isql.epp (1.127), jrd/btr.cpp
	(1.128), jrd/dsc.cpp (1.21), jrd/dyn.epp (1.73), jrd/grammar.cpp
	(1.9), jrd/met.epp (1.150), jrd/opt.cpp (1.213), jrd/sch.cpp
	(1.30), jrd/svc.cpp (1.135), jrd/tra.cpp (1.96), jrd/validation.cpp
	(1.2), jrd/why.cpp (1.89), jrd/os/vms/vmsevent.cpp (1.15),
	qli/format.cpp (1.31), remote/os/win32/property.cpp (1.12),
	remote/os/win32/srvr_w32.cpp (1.27), utilities/common/cmd_util.cpp
	(1.9):
	
	Style.

2004-12-23 11:15  aafemt

	* firebird2/src/isql/isql.epp (1.126):
	
	Fix extra EOLN in interactive mode without editline

2004-12-23 07:42  robocop

	* firebird2/src/jrd/utl.cpp (1.79):
	
	Fix a small bug introduced by Borland's copy/paste at unknown date
	before year 2000 and that we inherited when Mark created the
	Firebird tree.

2004-12-23 07:28  robocop

	* firebird2/src/jrd/utl.cpp (1.78):
	
	1.- Misc.  2.- Fix possible buffer overrun.

2004-12-23 04:03  robocop

	* firebird2/src/remote/inet_server.cpp (1.48):
	
	Misc.

2004-12-23 03:59  robocop

	* firebird2/src/jrd/grant.epp (1.49):
	
	Avoid some extra casts.

2004-12-22 19:34  skidder

	* firebird2/: lang_helpers/gds_codes.ftn (1.12),
	lang_helpers/gds_codes.pas (1.12), src/include/gen/codetext.h
	(1.19), src/include/gen/iberror.h (1.18), src/include/gen/msgs.h
	(1.24), src/include/gen/rdb_codes.h (1.19),
	src/include/gen/sql_code.h (1.21), src/jrd/par.cpp (1.112),
	src/msgs/facilities.sql (1.12), src/msgs/messages.sql (1.19),
	src/msgs/system_errors.sql (1.9):
	
	Add check for overly long identifiers when pasing BLR. This helps
	with savepoints problem reported by Vlad and other similar issues
	as well

2004-12-22 18:26  skidder

	* firebird2/builds/win32/msvc7/Firebird2.sln (1.19):
	
	Fix MSVC7 build

2004-12-22 09:50  robocop

	* firebird2/src/: jrd/opt.cpp (1.212), utilities/gsec/gsec.cpp
	(1.44):
	
	Fixing comments.

2004-12-22 09:49  robocop

	* firebird2/src/common/classes/: alloc.cpp (1.76), alloc.h (1.58):
	
	Misc.

2004-12-21 20:30  dimitr

	* firebird2/src/jrd/: drq.h (1.8), dyn_del.epp (1.42):
	
	Fixed DROP TABLE bug.

2004-12-20 18:44  alexpeshkoff

	* firebird2/src/jrd/jrd.cpp (1.200):
	
	verify DatabaseAccess in the same style&place for both attach and
	create

2004-12-20 18:36  alexpeshkoff

	* firebird2/src/jrd/thd.cpp (1.42):
	
	removed unneeded {} block - destructors order not important for
	ContextPoolHolder

2004-12-19 17:29  alexpeshkoff

	* firebird2/src/remote/os/win32/srvr_w32.cpp (1.26):
	
	front-ported one of the latest changes of 1.5.0

2004-12-19 17:19  alexpeshkoff

	* firebird2/builds/install/misc/firebird.conf (1.13):
	
	Added new parameter

2004-12-19 17:16  alexpeshkoff

	* firebird2/src/misc/upgrade/v2/: security_database.sql (1.1),
	security_database.txt (1.1):
	
	Security database upgrade from pre-2.0 format.

2004-12-19 16:24  alexpeshkoff

	* firebird2/src/: jrd/jrd.cpp (1.199), jrd/jrd_proto.h (1.35),
	jrd/pwd.cpp (1.38), jrd/scl.epp (1.68), jrd/scl_proto.h (1.20),
	dbs/security.sql (1.3):
	
	Better way for server to authenticate itself in security database.

2004-12-19 13:26  alexpeshkoff

	* firebird2/src/jrd/thd.cpp (1.41):
	
	fixed inconsistencies, noticed by Claudio

2004-12-17 12:12  alexpeshkoff

	* firebird2/src/: common/classes/alloc.cpp (1.75),
	common/classes/alloc.h (1.57), jrd/thd.cpp (1.40):
	
	use context pool in AutoStorage class

2004-12-17 07:22  robocop

	* firebird2/src/remote/inet.cpp (1.131):
	
	Misc.

2004-12-17 07:21  robocop

	* firebird2/: builds/mac_os_x/CS/CS.pbproj/project.pbxproj (1.11),
	builds/posix/make.shared.variables (1.47),
	builds/win32/msvc6/engine.dsp (1.55),
	builds/win32/msvc6/engine_classic.dsp (1.50),
	builds/win32/msvc6/engine_embed.dsp (1.29),
	builds/win32/msvc7/engine.vcproj (1.44),
	builds/win32/msvc7/engine_classic.vcproj (1.43),
	builds/win32/msvc7/engine_embed.vcproj (1.31), src/jrd/val.cpp
	(1.61), src/jrd/validation.cpp (1.1):
	
	val.h and val.cpp are unrelated.  Change was agreed a year ago in
	the list.

2004-12-17 06:57  robocop

	* firebird2/src/isql/isql.epp (1.125):
	
	Misc.

2004-12-17 06:56  robocop

	* firebird2/src/remote/inet.cpp (1.130):
	
	Minimize forced casts.

2004-12-17 06:41  robocop

	* firebird2/src/include/fb_string.h (1.37):
	
	fb_string.h is moved to common/classes.

2004-12-17 06:40  robocop

	* firebird2/src/common/classes/ClumpletWriter.h (1.8):
	
	Misc.

2004-12-17 06:36  robocop

	* firebird2/src/: common/utils_proto.h (1.9),
	common/classes/ClumpletReader.h (1.11), common/classes/GenericMap.h
	(1.7), common/classes/fb_string.cpp (1.28),
	common/classes/string_test.cpp (1.2), common/config/config.h
	(1.34), common/config/config_file.h (1.11),
	common/config/config_impl.h (1.14), common/config/dir_list.h
	(1.14), dsql/dsql_proto.h (1.18), jrd/all.h (1.21), jrd/db_alias.h
	(1.6), jrd/dfw.epp (1.141), jrd/dyn_def.epp (1.89), jrd/err_proto.h
	(1.23), jrd/isc_f_proto.h (1.19), jrd/jrd.h (1.130),
	jrd/jrd_proto.h (1.34), jrd/plugin_manager.h (1.18), jrd/sha.h
	(1.2), jrd/os/config_root.h (1.8), jrd/os/fbsyslog.h (1.4),
	jrd/os/mod_loader.h (1.5), jrd/os/path_utils.h (1.10),
	jrd/os/darwin/config_root.cpp (1.3), jrd/os/posix/config_root.cpp
	(1.13), jrd/os/win32/config_root.cpp (1.17), remote/inet_proto.h
	(1.12), remote/xnet.cpp (1.59), remote/xnet_proto.h (1.14),
	remote/os/win32/wnet_proto.h (1.9), utilities/gsec/security.epp
	(1.14), utilities/gstat/dba.epp (1.54):
	
	fb_string.h is moved to common/classes.

2004-12-17 06:32  robocop

	* firebird2/src/common/classes/fb_string.h (1.1):
	
	fb_string.h is moved to common/classes.

2004-12-16 13:45  aafemt

	* firebird2/src/isql/isql.epp (1.124):
	
	Fix for AV on EOF in interactive mode

2004-12-16 11:23  aafemt

	* firebird2/src/isql/isql.epp (1.123):
	
	Parser must parse, not input routine

2004-12-16 11:13  aafemt

	* firebird2/src/isql/isql.epp (1.122):
	
	Redundant comment

2004-12-16 04:10  robocop

	* firebird2/src/: gpre/ada.cpp (1.47), gpre/c_cxx.cpp (1.60),
	gpre/ftn.cpp (1.54), gpre/pas.cpp (1.47), gpre/pretty.cpp (1.31),
	gpre/sql.cpp (1.52), jrd/opt.cpp (1.211):
	
	Misc.

2004-12-16 04:05  robocop

	* firebird2/src/utilities/gstat/dba.epp (1.53):
	
	Local variable overrode global, useless variable.

2004-12-16 04:02  robocop

	* firebird2/src/: dudley/extract.epp (1.41), gpre/ada.cpp (1.46),
	gpre/c_cxx.cpp (1.59), gpre/cob.cpp (1.56), gpre/ftn.cpp (1.53),
	gpre/gpre_meta.epp (1.51), gpre/pas.cpp (1.46), gpre/pretty.cpp
	(1.30), gpre/sql.cpp (1.51), jrd/dyn_def.epp (1.88),
	jrd/dyn_del.epp (1.41), jrd/dyn_mod.epp (1.56), jrd/par.cpp
	(1.111), jrd/qatest.cpp (1.17), jrd/svc.cpp (1.134), lock/lock.cpp
	(1.112), lock/print.cpp (1.46), qli/mov.cpp (1.37), qli/show.epp
	(1.39), remote/interface.cpp (1.98), remote/protocol.cpp (1.48),
	remote/server.cpp (1.107), utilities/install/install_svc.cpp
	(1.17), utilities/rebuild/rebuild.cpp (1.17):
	
	Misc.

2004-12-15 21:15  arnobrinkman

	* firebird2/src/dsql/pass1.cpp (1.183):
	
	remove optimization in DSQL, this is now done in the optimizer (the
	place where it belongs)

2004-12-15 21:12  arnobrinkman

	* firebird2/src/jrd/opt.cpp (1.210):
	
	fix wrong join order with parameters/variables/constants after my
	last commits

2004-12-13 20:43  dimitr

	* firebird2/src/jrd/dyn_del.epp (1.40):
	
	Let's remove security class & privileges when a column is dropped.

2004-12-13 16:49  alexpeshkoff

	* firebird2/src/common/classes/ClumpletWriter.cpp (1.9):
	
	fixed bug, noticed by Adriano dos Santos Fernandes

2004-12-13 13:09  alexpeshkoff

	* firebird2/src/jrd/utl.cpp (1.77):
	
	misc.

2004-12-13 13:06  alexpeshkoff

	* firebird2/src/burp/burp.cpp (1.94):
	
	fixed bug in my last commit, noticed by Claudio

2004-12-13 13:05  alexpeshkoff

	* firebird2/src/common/classes/: string_test.cmd (1.1),
	string_test.cpp (1.1):
	
	test for Firebird::string

2004-12-12 07:50  robocop

	* firebird2/src/common/classes/: ClumpletReader.cpp (1.9),
	ClumpletReader.h (1.10):
	
	I can revert the constness if it becomes too restrictive in the
	future.

2004-12-12 03:03  robocop

	* firebird2/src/dsql/utld.cpp (1.33):
	
	Misc.

2004-12-12 03:01  robocop

	* firebird2/src/isql/isql.epp (1.121):
	
	Restore output if copy_table fails.

2004-12-12 02:58  robocop

	* firebird2/src/dsql/utld.cpp (1.32):
	
	Put some variables in context.

2004-12-12 02:57  robocop

	* firebird2/src/dsql/preparse.cpp (1.36):
	
	Restore checks for length. We don't need tokens bigger than 1KB.

2004-12-12 02:55  robocop

	* firebird2/src/include/fb_exception.h (1.16):
	
	Change the license with Mike's permission.

2004-12-12 02:55  robocop

	* firebird2/src/common/classes/: ClumpletWriter.cpp (1.8),
	ClumpletWriter.h (1.7):
	
	Misc.

2004-12-11 01:08  robocop

	* firebird2/src/dsql/preparse.cpp (1.35):
	
	Misc.

2004-12-10 23:54  robocop

	* firebird2/src/: dudley/exe.epp (1.58), gpre/gpre_meta.epp (1.50),
	jrd/utl_proto.h (1.18):
	
	Misc.

2004-12-10 23:50  robocop

	* firebird2/src/: alice/exe.cpp (1.42), alice/tdr.cpp (1.44),
	burp/restore.epp (1.87), common/classes/ClumpletReader.cpp (1.8),
	common/classes/ClumpletReader.h (1.9),
	common/classes/ClumpletWriter.cpp (1.7),
	common/classes/ClumpletWriter.h (1.6):
	
	Misc.

2004-12-10 21:50  robocop

	* firebird2/src/include/: fb_types.h (1.47), firebird.h (1.30):
	
	Changing the license with permission from Mark, Mike and John.

2004-12-10 15:51  robocop

	* firebird2/builds/posix/: Makefile.in.embed.gbak (1.10),
	Makefile.in.embed.gdef (1.9), Makefile.in.embed.gfix (1.13),
	Makefile.in.embed.gpre (1.18), Makefile.in.embed.isql (1.10),
	Makefile.in.embed.qli (1.16), Makefile.in.embed.util (1.18):
	
	Misc.

2004-12-09 20:18  alexpeshkoff

	* firebird2/: builds/posix/Makefile.in.embed.gbak (1.9),
	builds/posix/Makefile.in.embed.gdef (1.8),
	builds/posix/Makefile.in.embed.gfix (1.12),
	builds/posix/Makefile.in.embed.gpre (1.17),
	builds/posix/Makefile.in.embed.isql (1.9),
	builds/posix/Makefile.in.embed.qli (1.15),
	builds/posix/Makefile.in.embed.util (1.17),
	builds/win32/msvc6/Firebird2.dsw (1.34),
	builds/win32/msvc6/build_msg.dsp (1.8),
	builds/win32/msvc6/common_static.dsp (1.7),
	builds/win32/msvc6/fbserver.dsp (1.35), builds/win32/msvc6/isql.dsp
	(1.23), src/alice/exe.cpp (1.41), src/alice/tdr.cpp (1.43),
	src/burp/burp.cpp (1.93), src/burp/burp.h (1.64),
	src/burp/restore.epp (1.86), src/common/classes/ClumpletReader.cpp
	(1.7), src/common/classes/ClumpletReader.h (1.8),
	src/common/classes/ClumpletWriter.cpp (1.6),
	src/common/classes/ClumpletWriter.h (1.5),
	src/common/classes/array.h (1.33), src/dsql/preparse.cpp (1.34),
	src/dudley/exe.epp (1.57), src/gpre/gpre_meta.epp (1.49),
	src/isql/isql.epp (1.120), src/jrd/pwd.cpp (1.37), src/jrd/tra.cpp
	(1.95), src/jrd/utl.cpp (1.76), src/jrd/utl_proto.h (1.17),
	src/jrd/why.cpp (1.88), src/qli/meta.epp (1.53),
	src/utilities/create_db.cpp (1.9), src/utilities/nbackup.cpp
	(1.43), src/utilities/gsec/gsec.cpp (1.43),
	src/utilities/gstat/dba.epp (1.52):
	
	applied Clumplet* classes to dpb where possible

2004-12-09 15:41  kkuznetsov

	* firebird2/src/install/arch-specific/solx86gcc/SS/postinstall.in
	(1.1):
	
	file postinstall.in was initially added on branch B1_5_Release.

2004-12-09 15:41  kkuznetsov

	* firebird2/src/install/arch-specific/solx86gcc/SS/pkginfo.in
	(1.1):
	
	file pkginfo.in was initially added on branch B1_5_Release.

2004-12-09 15:41  kkuznetsov

	* firebird2/src/install/arch-specific/solx86gcc/SS/preinstall.in
	(1.1):
	
	file preinstall.in was initially added on branch B1_5_Release.

2004-12-09 15:41  kkuznetsov

	* firebird2/src/install/arch-specific/solx86gcc/SS/prototype.in
	(1.1):
	
	file prototype.in was initially added on branch B1_5_Release.

2004-12-09 15:41  kkuznetsov

	* firebird2/src/install/arch-specific/solx86gcc/SS/postremove.in
	(1.1):
	
	file postremove.in was initially added on branch B1_5_Release.

2004-12-09 09:20  skidder

	* firebird2/builds/win32/msvc7/regex.vcproj (1.1):
	
	file regex.vcproj was initially added on branch B2_0_BV_Stable3.

2004-12-09 09:16  skidder

	* firebird2/builds/win32/msvc7/fbtrace.vcproj (1.1):
	
	file fbtrace.vcproj was initially added on branch B2_0_BV_Stable3.

2004-12-09 09:06  skidder

	* firebird2/src/common/classes/perf_counter.h (1.1):
	
	file perf_counter.h was initially added on branch B2_0_BV_Stable3.

2004-12-09 09:06  skidder

	* firebird2/src/common/classes/perf_counter.cpp (1.1):
	
	file perf_counter.cpp was initially added on branch
	B2_0_BV_Stable3.

2004-12-09 08:53  skidder

	* firebird2/src/jrd/: PerformanceView.cpp (1.2), PerformanceView.h
	(1.2), TraceManager.cpp (1.2), TraceManager.h (1.2):
	
	Correction of last commit

2004-12-09 08:21  skidder

	* firebird2/src/utilities/ntrace/os/win32/platform.cpp (1.1):
	
	file platform.cpp was initially added on branch B2_0_BV_Stable3.

2004-12-09 08:21  skidder

	* firebird2/src/utilities/ntrace/os/platform.h (1.1):
	
	file platform.h was initially added on branch B2_0_BV_Stable3.

2004-12-09 08:21  skidder

	* firebird2/src/utilities/ntrace/ConfigFileReader.cpp (1.1):
	
	file ConfigFileReader.cpp was initially added on branch
	B2_0_BV_Stable3.

2004-12-09 08:21  skidder

	* firebird2/src/utilities/ntrace/TracePluginConfig.h (1.1):
	
	file TracePluginConfig.h was initially added on branch
	B2_0_BV_Stable3.

2004-12-09 08:21  skidder

	* firebird2/src/utilities/ntrace/fbtrace.conf (1.1):
	
	file fbtrace.conf was initially added on branch B2_0_BV_Stable3.

2004-12-09 08:21  skidder

	* firebird2/src/utilities/ntrace/TraceConfigReader.h (1.1):
	
	file TraceConfigReader.h was initially added on branch
	B2_0_BV_Stable3.

2004-12-09 08:21  skidder

	* firebird2/src/utilities/ntrace/ConfigFileReader.h (1.1):
	
	file ConfigFileReader.h was initially added on branch
	B2_0_BV_Stable3.

2004-12-09 08:21  skidder

	* firebird2/src/utilities/ntrace/paramtable.h (1.1):
	
	file paramtable.h was initially added on branch B2_0_BV_Stable3.

2004-12-09 08:21  skidder

	* firebird2/src/utilities/ntrace/traceplugin.cpp (1.1):
	
	file traceplugin.cpp was initially added on branch B2_0_BV_Stable3.

2004-12-09 08:21  skidder

	* firebird2/src/utilities/ntrace/TracePluginImpl.cpp (1.1):
	
	file TracePluginImpl.cpp was initially added on branch
	B2_0_BV_Stable3.

2004-12-09 08:21  skidder

	* firebird2/src/utilities/ntrace/LogPacketBuilder.cpp (1.1):
	
	file LogPacketBuilder.cpp was initially added on branch
	B2_0_BV_Stable3.

2004-12-09 08:21  skidder

	* firebird2/src/utilities/ntrace/TracePluginImpl.h (1.1):
	
	file TracePluginImpl.h was initially added on branch
	B2_0_BV_Stable3.

2004-12-09 08:21  skidder

	* firebird2/src/utilities/ntrace/LogPacketBuilder.h (1.1):
	
	file LogPacketBuilder.h was initially added on branch
	B2_0_BV_Stable3.

2004-12-09 08:21  skidder

	* firebird2/src/utilities/ntrace/TraceConfigReader.cpp (1.1):
	
	file TraceConfigReader.cpp was initially added on branch
	B2_0_BV_Stable3.

2004-12-09 08:20  skidder

	* firebird2/src/jrd/os/win32/FileObject.cpp (1.1):
	
	file FileObject.cpp was initially added on branch B2_0_BV_Stable3.

2004-12-09 08:20  skidder

	* firebird2/src/jrd/os/FileObject.h (1.1):
	
	file FileObject.h was initially added on branch B2_0_BV_Stable3.

2004-12-09 08:20  skidder

	* firebird2/src/jrd/: PerformanceView.cpp (1.1), PerformanceView.h
	(1.1), TraceManager.cpp (1.1), TraceManager.h (1.1):
	
	Server-side SQL Trace functionality. Also clean up NBACKUP code a
	little bit

2004-12-09 07:53  skidder

	* firebird2/src/jrd/par.cpp (1.110):
	
	Fix the mistake in error message. The third time.

2004-12-09 06:29  skidder

	* firebird2/builds/win32/msvc7/btyacc.vcproj (1.1):
	
	file btyacc.vcproj was initially added on branch B2_0_BV_Stable3.

2004-12-09 03:50  robocop

	* firebird2/src/: burp/backup.epp (1.76), dsql/dsql.cpp (1.136),
	gpre/gpre.cpp (1.68), iscguard/cntl_guard.cpp (1.18), isql/isql.epp
	(1.119), jrd/enc.cpp (1.24), jrd/met.epp (1.149), jrd/met_proto.h
	(1.43), jrd/os/thd_priority.h (1.21), jrd/os/posix/path_utils.cpp
	(1.12), jrd/os/win32/thd_priority.cpp (1.24), qli/dtr.cpp (1.38),
	remote/merge.cpp (1.19), gpre/gpre.cpp (1.69):
	
	Misc.

2004-12-09 03:28  skidder

	* firebird2/src/dsql/btyacc_fb.ske (1.1):
	
	file btyacc_fb.ske was initially added on branch B2_0_BV_Stable3.

2004-12-09 03:15  skidder

	* firebird2/extern/btyacc/test/t1.y (1.1):
	
	file t1.y was initially added on branch B2_0_BV_Stable3.

2004-12-09 03:15  skidder

	* firebird2/extern/btyacc/test/ansiC.y (1.1):
	
	file ansiC.y was initially added on branch B2_0_BV_Stable3.

2004-12-09 03:15  skidder

	* firebird2/extern/btyacc/test/t2.y (1.1):
	
	file t2.y was initially added on branch B2_0_BV_Stable3.

2004-12-09 03:15  skidder

	* firebird2/extern/btyacc/test/ansiC2.y (1.1):
	
	file ansiC2.y was initially added on branch B2_0_BV_Stable3.

2004-12-09 03:15  skidder

	* firebird2/extern/btyacc/test/test.y (1.1):
	
	file test.y was initially added on branch B2_0_BV_Stable3.

2004-12-09 03:15  skidder

	* firebird2/extern/btyacc/test/error.y (1.1):
	
	file error.y was initially added on branch B2_0_BV_Stable3.

2004-12-09 03:15  skidder

	* firebird2/extern/btyacc/test/ftp.y (1.1):
	
	file ftp.y was initially added on branch B2_0_BV_Stable3.

2004-12-09 03:15  skidder

	* firebird2/extern/btyacc/reader.c (1.1):
	
	file reader.c was initially added on branch B2_0_BV_Stable3.

2004-12-09 03:15  skidder

	* firebird2/extern/btyacc/readskel.c (1.1):
	
	file readskel.c was initially added on branch B2_0_BV_Stable3.

2004-12-09 03:15  skidder

	* firebird2/extern/btyacc/skel2c (1.1):
	
	file skel2c was initially added on branch B2_0_BV_Stable3.

2004-12-09 03:15  skidder

	* firebird2/extern/btyacc/skeleton.c (1.1):
	
	file skeleton.c was initially added on branch B2_0_BV_Stable3.

2004-12-09 03:15  skidder

	* firebird2/extern/btyacc/verbose.c (1.1):
	
	file verbose.c was initially added on branch B2_0_BV_Stable3.

2004-12-09 03:15  skidder

	* firebird2/extern/btyacc/warshall.c (1.1):
	
	file warshall.c was initially added on branch B2_0_BV_Stable3.

2004-12-09 03:15  skidder

	* firebird2/extern/btyacc/symtab.c (1.1):
	
	file symtab.c was initially added on branch B2_0_BV_Stable3.

2004-12-09 03:15  skidder

	* firebird2/extern/btyacc/mkpar.c (1.1):
	
	file mkpar.c was initially added on branch B2_0_BV_Stable3.

2004-12-09 03:15  skidder

	* firebird2/extern/btyacc/README (1.1):
	
	file README was initially added on branch B2_0_BV_Stable3.

2004-12-09 03:15  skidder

	* firebird2/extern/btyacc/closure.c (1.1):
	
	file closure.c was initially added on branch B2_0_BV_Stable3.

2004-12-09 03:15  skidder

	* firebird2/extern/btyacc/makefile.dos (1.1):
	
	file makefile.dos was initially added on branch B2_0_BV_Stable3.

2004-12-09 03:15  skidder

	* firebird2/extern/btyacc/mstring.c (1.1):
	
	file mstring.c was initially added on branch B2_0_BV_Stable3.

2004-12-09 03:15  skidder

	* firebird2/extern/btyacc/main.c (1.1):
	
	file main.c was initially added on branch B2_0_BV_Stable3.

2004-12-09 03:15  skidder

	* firebird2/extern/btyacc/empty.y (1.1):
	
	file empty.y was initially added on branch B2_0_BV_Stable3.

2004-12-09 03:15  skidder

	* firebird2/extern/btyacc/defs.h (1.1):
	
	file defs.h was initially added on branch B2_0_BV_Stable3.

2004-12-09 03:15  skidder

	* firebird2/extern/btyacc/btyaccpa.ske (1.1):
	
	file btyaccpa.ske was initially added on branch B2_0_BV_Stable3.

2004-12-09 03:15  skidder

	* firebird2/extern/btyacc/manpage (1.1):
	
	file manpage was initially added on branch B2_0_BV_Stable3.

2004-12-09 03:15  skidder

	* firebird2/extern/btyacc/mstring.h (1.1):
	
	file mstring.h was initially added on branch B2_0_BV_Stable3.

2004-12-09 03:15  skidder

	* firebird2/extern/btyacc/error.c (1.1):
	
	file error.c was initially added on branch B2_0_BV_Stable3.

2004-12-09 03:15  skidder

	* firebird2/extern/btyacc/lalr.c (1.1):
	
	file lalr.c was initially added on branch B2_0_BV_Stable3.

2004-12-09 03:15  skidder

	* firebird2/extern/btyacc/push.skel (1.1):
	
	file push.skel was initially added on branch B2_0_BV_Stable3.

2004-12-09 03:15  skidder

	* firebird2/extern/btyacc/Makefile (1.1):
	
	file Makefile was initially added on branch B2_0_BV_Stable3.

2004-12-09 03:15  skidder

	* firebird2/extern/btyacc/README.BYACC (1.1):
	
	file README.BYACC was initially added on branch B2_0_BV_Stable3.

2004-12-09 03:15  skidder

	* firebird2/extern/btyacc/lr0.c (1.1):
	
	file lr0.c was initially added on branch B2_0_BV_Stable3.

2004-12-09 03:15  skidder

	* firebird2/extern/btyacc/output.c (1.1):
	
	file output.c was initially added on branch B2_0_BV_Stable3.

2004-12-09 02:53  skidder

	* firebird2/src/isql/isql.epp (1.118):
	
	Fix POSIX build after Claudio cleanup

2004-12-08 07:06  robocop

	* firebird2/src/: jrd/common.h (1.132), lock/lock.cpp (1.111):
	
	Misc.

2004-12-08 07:03  robocop

	* firebird2/src/lock/lock.cpp (1.110):
	
	1.- Minimize buffer overrun.  2.- Stack variable should not be
	referenced once the owning function finishes. Make it static.

2004-12-08 06:59  robocop

	* firebird2/src/dsql/dsql.cpp (1.135):
	
	Prevent buffer overrun.

2004-12-08 06:58  robocop

	* firebird2/src/: dsql/ddl.cpp (1.122), dsql/sqlda.h (1.10),
	dsql/sqlda_pub.h (1.4), dudley/expr.cpp (1.26),
	include/fb_exception.h (1.15), intl/lc_narrow.cpp (1.12),
	intl/ldcommon.h (1.20), jrd/common.h (1.131), jrd/cvt.cpp (1.62),
	jrd/evl_string.h (1.19), jrd/sha.cpp (1.6), jrd/sqz.cpp (1.20):
	
	Misc.

2004-12-08 05:14  robocop

	* firebird2/src/jrd/os/posix/: mod_loader.cpp (1.7), path_utils.cpp
	(1.11):
	
	Putting the license on John's files after asking him for
	permission.

2004-12-08 05:11  robocop

	* firebird2/src/: jrd/gds.cpp (1.166), jrd/os/posix/fbsyslog.cpp
	(1.3), remote/xnet.cpp (1.58), utilities/install/install.cpp (1.7),
	utilities/install/services.cpp (1.15):
	
	Misc.

2004-12-08 03:36  robocop

	* firebird2/src/jrd/os/darwin/config_root.cpp (1.2):
	
	1.- Changing the license on John's files after asking him for
	permission.  2.- Misc.

2004-12-07 20:21  skidder

	* firebird2/builds/win32/msvc7/common_static.vcproj (1.8):
	
	Fix MSVC7 makefiles

2004-12-07 02:40  robocop

	* firebird2/src/: extlib/ib_udf2.sql (1.5),
	jrd/os/win32/isc_ipc.cpp (1.17):
	
	Misc.

2004-12-07 02:19  skidder

	* firebird2/src/jrd/: btr.cpp (1.127), cmp.cpp (1.166), cmp_proto.h
	(1.27), exe.cpp (1.137), idx.cpp (1.81), pcmet.epp (1.31), req.h
	(1.45), rse.cpp (1.84), tra.cpp (1.94), tra.h (1.45), tra_proto.h
	(1.17):
	
	Fix the memory leak from transaction pool when selectable stored
	procedures are called from PSQL or in subqueries

2004-12-07 02:17  robocop

	* firebird2/src/jrd/scl.epp (1.67):
	
	Nickolay compiler caught line without effect mine because I forgot
	the assignment.

2004-12-07 01:55  robocop

	* firebird2/src/jrd/os/darwin/mod_loader.cpp (1.5):
	
	1.- Changing the license on John's files after asking him for
	permission.  2.- Misc.

2004-12-07 01:43  robocop

	* firebird2/src/jrd/os/win32/isc_ipc.cpp (1.16):
	
	Misc.

2004-12-07 01:38  robocop

	* firebird2/src/isql/isql.epp (1.117):
	
	1.- Get rid of the std::string from the STL.  2.- Add a couple of
	missing deallocations.

2004-12-07 01:32  robocop

	* firebird2/src/: jrd/opt.cpp (1.209), isql/extract.epp (1.52),
	isql/show.epp (1.64):
	
	Misc.

2004-12-07 01:29  robocop

	* firebird2/src/extlib/: ib_udf.cpp (1.6), ib_udf2.sql (1.4):
	
	Slavomir Skopalik contributed IB_UDF_frac.

2004-12-06 11:16  robocop

	* firebird2/src/jrd/os/: posix/config_root.cpp (1.12),
	posix/mod_loader.cpp (1.6), posix/path_utils.cpp (1.10),
	win32/config_root.cpp (1.16), win32/path_utils.cpp (1.13):
	
	Misc.

2004-12-06 11:05  robocop

	* firebird2/src/jrd/os/: mod_loader.h (1.4), path_utils.h (1.9):
	
	Changing the license on John's files after asking him for
	permission.

2004-12-06 10:58  robocop

	* firebird2/src/include/: fb_map.h (1.5), fb_vector.h (1.7):
	
	Changing the license on John's files after asking him for
	permission.

2004-12-06 10:55  robocop

	* firebird2/src/jrd/: evl_string.h (1.18), plugin_manager.h (1.17):
	
	Misc.

2004-12-05 12:57  alexpeshkoff

	* firebird2/src/dsql/preparse.cpp (1.33):
	
	use new classes to preparse 'create database' statement

2004-12-05 12:56  alexpeshkoff

	* firebird2/src/include/fb_string.h (1.36):
	
	misc

2004-12-05 12:51  alexpeshkoff

	* firebird2/src/dsql/: dsql.cpp (1.134), dsql.h (1.70):
	
	a bit better approach to setup dsql thread context

2004-12-04 09:30  robocop

	* firebird2/src/isql/: extract.epp (1.51), show.epp (1.63):
	
	Misc and solve a couple of missing deallocations.

2004-12-04 08:00  robocop

	* firebird2/src/jrd/ibase.h (1.99):
	
	Misc.

2004-12-04 07:58  robocop

	* firebird2/src/jrd/ibase.h (1.98):
	
	Function was deprecated in May 2001.

2004-12-04 07:50  robocop

	* firebird2/src/jrd/btr.cpp (1.126):
	
	Style.

2004-12-04 00:56  arnobrinkman

	* firebird2/src/jrd/opt.cpp (1.208):
	
	Improve cross join and merge/sort handeling

2004-12-03 08:56  dimitr

	* firebird2/src/jrd/cmp.cpp (1.165):
	
	Fixed SF #1077595.

2004-12-03 08:55  hvlad

	* firebird2/src/jrd/: btr.cpp (1.125), btr.h (1.37):
	
	Don't check uniqueness for null keys - this leads to big waste of
	time

2004-12-03 08:23  robocop

	* firebird2/src/isql/show.epp (1.62):
	
	Close the blob before returning an error.

2004-12-03 08:22  robocop

	* firebird2/src/isql/extract.epp (1.50):
	
	Misc.

2004-12-03 08:06  dimitr

	* firebird2/src/dsql/: parse.cpp (1.139), parse.y (1.164):
	
	Fixed issues spotted by Claudio.

2004-12-03 07:49  dimitr

	* firebird2/src/dsql/ddl.cpp (1.121):
	
	Restored datatype.

2004-12-03 07:23  robocop

	* firebird2/src/: common/classes/GenericMap.h (1.6),
	dsql/keywords.cpp (1.40), dsql/pass1.cpp (1.182),
	jrd/os/win32/guid.cpp (1.11):
	
	Misc.

2004-12-03 06:36  dimitr

	* firebird2/src/jrd/dyn.epp (1.72):
	
	Implemented REVOKE ADMIN OPTION FROM

2004-12-02 23:51  dimitr

	* firebird2/src/dsql/: ddl.cpp (1.120), keywords.cpp (1.39),
	parse.y (1.163), dsql.tab.h (1.48), parse.cpp (1.138):
	
	1. Parser cleanup 2. SQL-99 synonyms for generators DDL/DML 3.
	Implemented REVOKE ADMIN OPTION FROM

2004-12-02 19:57  arnobrinkman

	* firebird2/src/dsql/pass1.cpp (1.181):
	
	Fix check constraint bug with "ambigous fieldname" error

2004-12-02 13:15  aafemt

	* firebird2/src/jrd/os/win32/guid.cpp (1.10):
	
	MinGW windows.h does not include wincrypt.h

2004-12-02 13:11  aafemt

	* firebird2/src/common/classes/GenericMap.h (1.5):
	
	Shut up warning

2004-12-02 01:42  skidder

	* firebird2/src/burp/backup.epp (1.75):
	
	Fix for another problem with backing up stream blobs - zero-length
	stream blob may have non-zero segment count

2004-12-01 09:25  robocop

	* firebird2/src/isql/isql.epp (1.116):
	
	First attempt to fix the double charset reporting bug that our dear
	Blas left in isql more than half a year ago.

2004-12-01 09:16  robocop

	* firebird2/src/burp/backup.epp (1.74):
	
	Misc.

2004-12-01 08:38  alexpeshkoff

	* firebird2/src/jrd/jrd.h (1.129):
	
	removed fault comment

2004-12-01 01:02  skidder

	* firebird2/src/burp/backup.epp (1.73):
	
	Cure regressions introduced by Ann's cleanup in Firebird 1.0

2004-11-30 21:17  skidder

	* firebird2/src/: burp/backup.epp (1.72), jrd/jrd.cpp (1.198):
	
	Second attempt to fix backing up of stream blobs.  This time it
	should work with XNET and INET too.  Rollback earlier engine fix
	which now seems incorrect to me.

2004-11-30 07:17  robocop

	* firebird2/src/: common/classes/class_perf.cpp (1.16),
	common/classes/fb_tls.h (1.11), dsql/ddl.cpp (1.119),
	dudley/generate.cpp (1.19), intl/kanji.cpp (1.7), isql/extract.epp
	(1.49), jrd/cch.cpp (1.116), jrd/cvt2.cpp (1.43), jrd/dyn.h (1.22),
	jrd/enc.cpp (1.23), jrd/evl.cpp (1.131), jrd/execute_statement.cpp
	(1.13), jrd/flu.cpp (1.49), jrd/flu.h (1.10), jrd/fun.epp (1.69),
	jrd/gds.cpp (1.165), jrd/intl.cpp (1.72), jrd/met.epp (1.148),
	jrd/opt.cpp (1.207), jrd/pag.cpp (1.85), jrd/sha.cpp (1.4),
	jrd/os/posix/path_utils.cpp (1.9), jrd/os/win32/path_utils.cpp
	(1.12), msgs/enter_msgs.epp (1.15), remote/allr.cpp (1.30),
	utilities/nbackup.cpp (1.42), utilities/gstat/ppg.cpp (1.22),
	utilities/ibmgr/srvrmgr.cpp (1.20), utilities/install/services.cpp
	(1.14), jrd/sha.cpp (1.5), utilities/ibmgr/srvrmgr.cpp (1.21):
	
	Misc.

2004-11-30 07:08  robocop

	* firebird2/src/isql/show.epp (1.61):
	
	Don't show system functions.

2004-11-30 07:08  robocop

	* firebird2/src/jrd/why.cpp (1.87):
	
	Delete the crud.

2004-11-30 04:22  skidder

	* firebird2/src/isql/extract.epp (1.48):
	
	Do not include system functions in database metadata script
	generated by ISQL

2004-11-29 21:27  skidder

	* firebird2/src/burp/backup.epp (1.71):
	
	Do not store system functions in backup files

2004-11-29 12:15  alexpeshkoff

	* firebird2/src/jrd/: flu.cpp (1.48), flu.h (1.9), flu_proto.h
	(1.11), fun.epp (1.68), fun_proto.h (1.13), jrd.cpp (1.197), jrd.h
	(1.128), met.epp (1.147), why.cpp (1.86):
	
	1. rewritten flu.cpp using modern firebird classes library 2. fixed
	diagnostic about missing/unusable UDF module

2004-11-29 11:14  alexpeshkoff

	* firebird2/src/jrd/common.h (1.130):
	
	completely dropped support for ignored since 1.5 environment
	variable INTERBASE_EXT_LIB_PATH, firebird.conf UdfAccess is used
	instead

2004-11-29 11:12  alexpeshkoff

	* firebird2/src/jrd/pwd.cpp (1.36):
	
	SortedObjectsArray related changes

2004-11-29 11:11  alexpeshkoff

	* firebird2/src/jrd/ext.cpp (1.58):
	
	always check for readability of file in DirectoryList

2004-11-29 11:07  alexpeshkoff

	* firebird2/src/common/: classes/fb_pair.h (1.14),
	classes/objects_array.h (1.15), config/config_file.h (1.10),
	config/dir_list.cpp (1.23), config/dir_list.h (1.13):
	
	make SortedObjectsArray easier to use in simple cases

2004-11-29 11:06  alexpeshkoff

	* firebird2/src/utilities/nbackup.cpp (1.41):
	
	fixed gcc warning

2004-11-29 10:59  robocop

	* firebird2/src/common/classes/stack.h (1.17):
	
	"elem" is size_t, assert on it.

2004-11-29 10:09  robocop

	* firebird2/src/: dsql/ddl.cpp (1.118), jrd/constants.h (1.21),
	jrd/dfw.epp (1.140), jrd/dyn_def.epp (1.87), jrd/dyn_mod.epp
	(1.55):
	
	frb_sys_flag becomes fb_sys_flag

2004-11-29 10:05  robocop

	* firebird2/src/: jrd/inf_pub.h (1.3), dsql/pass1.cpp (1.180):
	
	Misc.

2004-11-29 05:39  skidder

	* firebird2/src/remote/: allr.cpp (1.29), server.cpp (1.106):
	
	Address the security issue in remote address handling code pointed
	by Claudio. Hack REMOTE server-side exception handling to make it
	not crash when exceptions actually happen. The latter seems to be
	the very old problem, in IB6 code looks the same

2004-11-29 02:08  skidder

	* firebird2/src/common/classes/GenericMap.h (1.4):
	
	Fix GCC build curing MSVC build at the same time

2004-11-29 00:09  arnobrinkman

	* firebird2/src/jrd/opt.cpp (1.206):
	
	1) Try to make new nodes from conjunctions applied to the top RSE
	of a UNION.	 Deliver the new nodes (created per rse inside the
	union) to the optimizing phase of every rse.  2) Little refactoring
	of above function and the one for aggregate

2004-11-28 23:38  arnobrinkman

	* firebird2/src/dsql/pass1.cpp (1.179):
	
	bugfix: Making a derived field on a mapping failed when the mapping
	was mapping to another derived field.	 Make also a derived field
	from a derived field node.

2004-11-28 09:36  robocop

	* firebird2/src/jrd/evl.cpp (1.130):
	
	Misc.

2004-11-28 09:36  robocop

	* firebird2/src/isql/isql.epp (1.115):
	
	Apply Adriano change with the following explanation: Fix a bug that
	occur when a BLOB column is added after the start of the DML
	transaction.

2004-11-28 09:25  robocop

	* firebird2/src/jrd/evl.cpp (1.129):
	
	Change my FB1 logic that returned the table's owner for the role
	when a not null field with default CURRENT_ROLE is added, the table
	has records already and the user does a SELECT. Now, if
	CURRENT_USER==table's owner, then the CURRENT_ROLE is returned,
	otherwise NONE.

2004-11-28 08:05  robocop

	* firebird2/src/isql/isql.epp (1.114):
	
	Completed (I hope) Damyan Ivanov's patch that didn't work with
	insertions, updates and deletions.

2004-11-28 05:59  robocop

	* firebird2/src/gpre/cob.cpp (1.55):
	
	Overwrote the good version of the file thanks to the CVS Id tag.

2004-11-28 04:44  robocop

	* firebird2/src/dsql/: node.h (1.54), pass1.cpp (1.178):
	
	Silence warning.

2004-11-28 04:43  robocop

	* firebird2/src/gpre/cob.cpp (1.54):
	
	Misc.

2004-11-28 02:00  robocop

	* firebird2/: builds/posix/firebird.vers (1.6),
	builds/win32/defs/fbclient.def (1.12), builds/win32/defs/gds32.def
	(1.10), src/alice/alice.cpp (1.75), src/burp/burp.cpp (1.92),
	src/isql/isql.epp (1.113), src/jrd/gds.cpp (1.164),
	src/jrd/gds_proto.h (1.39), src/jrd/ibase.h (1.97),
	src/jrd/os/vms/dfloat_stub.cpp (1.11), src/remote/server.cpp
	(1.105), src/remote/os/win32/ibconfig.cpp (1.13),
	src/utilities/gsec/gsec.cpp (1.42), src/utilities/gstat/dba.epp
	(1.51):
	
	isc_interpret is fb_interpret again.  Please do a full rebuild.

2004-11-27 22:19  dimitr

	* firebird2/src/dsql/pass1.cpp (1.177):
	
	Fixed bug introduced some time ago by myself.

2004-11-27 21:54  dimitr

	* firebird2/src/jrd/opt.cpp (1.205):
	
	Improved optimization of mixed AND/OR predicates.

2004-11-27 09:13  robocop

	* firebird2/src/common/classes/ClumpletWriter.cpp (1.5):
	
	Corrections.

2004-11-27 07:57  robocop

	* firebird2/src/jrd/scl.epp (1.66):
	
	Handle possible buffer overrun.  Constant for non-specified role.

2004-11-27 07:54  robocop

	* firebird2/src/jrd/: constants.h (1.20), dyn.epp (1.71),
	dyn_def.epp (1.86):
	
	Constant for non-specified role.

2004-11-27 07:51  robocop

	* firebird2/src/jrd/: jrd.cpp (1.196), functions.cpp (1.22):
	
	Misc.

2004-11-27 06:45  robocop

	* firebird2/src/remote/server.cpp (1.104):
	
	Comment no longer applies.

2004-11-27 06:44  robocop

	* firebird2/src/jrd/: functions.cpp (1.21), functions.h (1.5),
	ini.epp (1.64):
	
	Leave room to register the example UDF's with the new macros.

2004-11-27 04:33  robocop

	* firebird2/src/remote/: inet_server.cpp (1.47),
	os/win32/srvr_w32.cpp (1.25):
	
	It seems to me those debugging reports are better read as text
	files.

2004-11-27 04:31  robocop

	* firebird2/src/common/classes/stack.h (1.16):
	
	Extra assertion and acknowledge "elem" is size_t.

2004-11-27 04:30  robocop

	* firebird2/src/common/classes/objects_array.h (1.14):
	
	Formatting and a couple of assertions.

2004-11-27 04:30  robocop

	* firebird2/src/common/classes/: ClumpletReader.h (1.7), fb_pair.h
	(1.13):
	
	const.

2004-11-27 01:52  arnobrinkman

	* firebird2/src/jrd/opt.cpp (1.204):
	
	Distribute HAVING clause conjunctions to the WHERE clause when
	possible.  This will improve VIEWs that contain a aggregate query
	and comparisons are done on fields from that VIEW that are also
	part of the GROUP BY clause.

2004-11-26 02:00  skidder

	* firebird2/src/: jrd/functions.cpp (1.20), jrd/ibase.h (1.96),
	jrd/jrd.cpp (1.195), jrd/jrd.h (1.127), remote/inet.cpp (1.129),
	remote/remote.h (1.43), remote/server.cpp (1.103), remote/xnet.cpp
	(1.57), remote/os/win32/wnet.cpp (1.28):
	
	CLIENT_ADDRESS and NETWORK_PROTOCOL variables support

2004-11-25 21:07  dimitr

	* firebird2/src/jrd/tra.h (1.44):
	
	An attempt to tune the number after some testing. Allows to reduce
	number of fetches (1.5-2x) in subsequent updates.  Perhaps could be
	increased to 64KB, but IMO more than 100K rows cannot be undone
	effectively in the current implementation.

2004-11-25 17:10  alexpeshkoff

	* firebird2/src/common/classes/GenericMap.h (1.3):
	
	make it compile with VC6

2004-11-25 17:09  alexpeshkoff

	* firebird2/src/jrd/: jrd.cpp (1.194), jrd.h (1.126):
	
	applied fixes, suggested by Claudio made get_options method of
	class DatabaseOptions

2004-11-25 03:28  skidder

	* firebird2/src/common/classes/GenericMap.h (1.2):
	
	Fix POSIX build

2004-11-25 02:41  skidder

	* firebird2/src/jrd/functions.cpp (1.19):
	
	Implement Dmitry suggestions regarding rdb$get_context
	functionality

2004-11-25 02:38  skidder

	* firebird2/src/dsql/parse.cpp (1.137):
	
	Regenerate parse.cpp

2004-11-25 01:45  skidder

	* firebird2/src/: dsql/parse.y (1.162), jrd/cmp.cpp (1.164),
	jrd/exe.cpp (1.136):
	
	Dmitry asked me to add support for calling UDF routines ignoring
	return arguments so did I

2004-11-24 21:48  skidder

	* firebird2/src/jrd/: jrd.h (1.125), tra.h (1.43):
	
	Implement Claudio suggestion regarding clean generic map class

2004-11-24 21:44  skidder

	* firebird2/builds/: posix/make.shared.variables (1.46),
	win32/msvc6/common.dsp (1.30), win32/msvc6/common_classic.dsp
	(1.24), win32/msvc7/common.vcproj (1.20),
	win32/msvc7/common_classic.vcproj (1.18):
	
	Update makefiles

2004-11-24 21:38  skidder

	* firebird2/src/common/classes/: GenericMap.h (1.1), StringMap.cpp
	(1.3), StringMap.h (1.4), fb_pair.h (1.12):
	
	Implement Claudio suggestion regarding clean generic map class

2004-11-24 19:24  alexpeshkoff

	* firebird2/: src/common/classes/ClumpletReader.cpp (1.6),
	src/common/classes/ClumpletReader.h (1.6), src/jrd/jrd.cpp (1.193),
	builds/posix/make.shared.variables (1.45),
	builds/win32/msvc6/common.dsp (1.29),
	builds/win32/msvc6/common_classic.dsp (1.23):
	
	use ClumpletReader to parse dpb options

2004-11-24 19:23  alexpeshkoff

	* firebird2/src/include/fb_string.h (1.35):
	
	new method in string

2004-11-24 19:11  alexpeshkoff

	* firebird2/src/jrd/isc_file.cpp (1.89):
	
	fixed regression in isc_file due to my last commit

2004-11-24 14:33  dimitr

	* firebird2/src/dsql/pass1.cpp (1.176):
	
	Fixed my SEGV, thanks to Adriano.

2004-11-24 10:32  robocop

	* firebird2/builds/win32/make_boot.bat (1.25):
	
	Rebuild was used always because the intermediates and/or the
	executables for build_msg and codes where written to the same dir
	for the debug and release versions. Since that was fixed time ago
	in msvc6, rebuild is not needed. I don't know about the msvc7
	configuration, so I didn't touch it.

2004-11-24 10:19  robocop

	* firebird2/src/jrd/: gds.cpp (1.163), gds_proto.h (1.38),
	ibsetjmp.h (1.7), intl.h (1.10), intlobj.h (1.26), jrd.cpp (1.192),
	jrd.h (1.124), ods.h (1.32), quad.h (1.4), que.h (1.8), sort.cpp
	(1.73), svc.cpp (1.133), thd.h (1.39):
	
	Misc: style.

2004-11-24 10:16  robocop

	* firebird2/src/jrd/: os/vms/rdbint.cpp (1.15),
	os/win32/isc_ipc.cpp (1.15), btr.cpp (1.124), cch.cpp (1.115),
	cmp.cpp (1.163), common.h (1.129), cvt.cpp (1.61), dflt.h (1.6),
	dfw.epp (1.139), dpm.epp (1.58), dyn.h (1.21), evl_proto.h (1.20),
	fields.h (1.8):
	
	Misc: style.

2004-11-24 10:11  robocop

	* firebird2/src/: lock/lock.cpp (1.109), misc/align.cpp (1.9),
	msgs/check_msgs.epp (1.12), qli/dtr.h (1.21), qli/meta.epp (1.52),
	qli/report.cpp (1.16), remote/allr_proto.h (1.9),
	remote/interface.cpp (1.97), remote/server.cpp (1.102),
	remote/xnet.cpp (1.56), remote/xnet.h (1.11), utilities/drop.cpp
	(1.30):
	
	Misc: style.

2004-11-24 10:08  robocop

	* firebird2/src/: dudley/parse.cpp (1.48), gpre/gpre.cpp (1.67),
	gpre/gpreswi.h (1.11), gpre/hsh.h (1.6), include/fb_blk.h (1.11),
	include/fb_map.h (1.4):
	
	Misc: style.

2004-11-24 10:05  robocop

	* firebird2/src/: common/classes/alloc.cpp (1.74),
	common/classes/alloc.h (1.56), common/classes/array.h (1.32),
	common/classes/class_perf.cpp (1.15), common/classes/fb_tls.h
	(1.10), common/classes/semaphore.h (1.16), common/classes/tree.h
	(1.45), common/config/config.cpp (1.58), dsql/parse.cpp (1.136),
	dsql/parse.y (1.161):
	
	Misc: style.

2004-11-24 10:04  robocop

	* firebird2/src/isql/isql.epp (1.112):
	
	Allow the -m2 option to work.

2004-11-24 10:00  robocop

	* firebird2/src/msgs/: history.sql (1.7), msg.sql (1.6):
	
	Fix the messages database's history.

2004-11-24 09:58  robocop

	* firebird2/src/: isql/extract.epp (1.47), isql/isql.epp (1.111),
	isql/isql.h (1.40), msgs/facilities.sql (1.11), msgs/messages.sql
	(1.18):
	
	Applying Damyan Ivanov's isql patch.  Document it in the
	interactive help isql -? Document also the m2 option (merge
	diagnostics).

2004-11-24 09:55  robocop

	* firebird2/builds/win32/prepare.bat (1.37):
	
	More verbosity to know where to look at when there are problems.

2004-11-23 23:43  arnobrinkman

	* firebird2/src/jrd/opt.cpp (1.203):
	
	fix bug with partially matched lower bounds on descending multi
	segment index.

2004-11-23 13:48  asfernandes

	* firebird2/builds/win32/make_icu.bat (1.1):
	
	file make_icu.bat was initially added on branch B2_0_intl.

2004-11-23 12:03  robocop

	* firebird2/src/isql/: extra_proto.h (1.8), extract.epp (1.46),
	show.epp (1.60), show_proto.h (1.16):
	
	Misc.

2004-11-23 11:29  robocop

	* firebird2/src/msgs/: facilities.sql (1.10), messages.sql (1.17):
	
	Preparing to commit Damyan Ivanov's isql patch, first step.

2004-11-23 11:11  robocop

	* firebird2/src/jrd/constants.h (1.19):
	
	Debris of rdb$current_database. :-)

2004-11-23 10:55  robocop

	* firebird2/builds/win32/msvc6/: common.dsp (1.28),
	common_classic.dsp (1.22):
	
	Fix MSVC6 build after Nickolay's changes.

2004-11-23 07:48  robocop

	* firebird2/src/jrd/cmp.cpp (1.162):
	
	Totally misc.

2004-11-23 07:03  robocop

	* firebird2/src/jrd/isc_file.cpp (1.88):
	
	Misc.

2004-11-23 06:36  skidder

	* firebird2/src/utilities/nbackup.cpp (1.40):
	
	Fix the nbackup problem on big-endian machines noted by Claudio

2004-11-23 06:34  robocop

	* firebird2/src/jrd/ini.epp (1.63):
	
	Bad comment caused by copy/paste.

2004-11-23 06:26  skidder

	* firebird2/doc/sql.extensions/README.context_variables2 (1.1):
	
	Preliminary explanation for new context variables logic

2004-11-23 06:06  skidder

	* firebird2/src/jrd/functions.h (1.4):
	
	Correct mistake in comment which Claudio noted

2004-11-23 05:14  skidder

	* firebird2/src/jrd/: functions.cpp (1.18), functions.h (1.3):
	
	Correction

2004-11-23 05:05  robocop

	* firebird2/src/: dsql/pass1.cpp (1.175),
	common/classes/StringMap.h (1.3):
	
	Misc.

2004-11-23 05:03  robocop

	* firebird2/src/jrd/blp.h (1.17):
	
	BLR values in blp.h must not shift!

2004-11-23 03:45  skidder

	* firebird2/src/jrd/functions.h (1.2):
	
	Little correction in context vars support

2004-11-23 02:12  skidder

	* firebird2/src/jrd/inf.cpp (1.50):
	
	Let's use out new database ID for isc_info_db_id

2004-11-22 23:33  skidder

	* firebird2/builds/posix/make.shared.variables (1.44):
	
	Fix POSIX build

2004-11-22 23:31  skidder

	* firebird2/src/common/classes/: StringMap.cpp (1.2), StringMap.h
	(1.2):
	
	Fix POSIX build warning

2004-11-22 21:53  skidder

	* firebird2/src/dsql/: dsql.tab.h (1.47), parse.cpp (1.135):
	
	Regenerate parse.cpp

2004-11-22 21:49  skidder

	* firebird2/src/: dsql/dsql.cpp (1.133), dsql/gen.cpp (1.77),
	dsql/keywords.cpp (1.38), dsql/make.cpp (1.80), dsql/node.h (1.53),
	dsql/parse.y (1.160), dsql/pass1.cpp (1.174), jrd/blp.h (1.16),
	jrd/blr.h (1.18), jrd/cmp.cpp (1.161), jrd/evl.cpp (1.128),
	jrd/exe.h (1.63), jrd/nod.h (1.14), jrd/opt.cpp (1.202),
	jrd/par.cpp (1.109), misc/blrtable.cpp (1.17):
	
	Remove CURRENT_DATABASE keyword

2004-11-22 21:21  skidder

	* firebird2/: builds/win32/msvc7/common.vcproj (1.19),
	builds/win32/msvc7/common_classic.vcproj (1.17),
	lang_helpers/gds_codes.ftn (1.11), lang_helpers/gds_codes.pas
	(1.11), src/common/classes/StringMap.cpp (1.1),
	src/common/classes/StringMap.h (1.1), src/include/gen/codetext.h
	(1.18), src/include/gen/iberror.h (1.17), src/include/gen/msgs.h
	(1.23), src/include/gen/rdb_codes.h (1.18),
	src/include/gen/sql_code.h (1.20), src/jrd/constants.h (1.18),
	src/jrd/flu_proto.h (1.10), src/jrd/functions.cpp (1.17),
	src/jrd/functions.h (1.1), src/jrd/ini.epp (1.62), src/jrd/jrd.h
	(1.123), src/jrd/tra.h (1.42):
	
	Context variables support

2004-11-22 20:45  skidder

	* firebird2/src/msgs/: facilities.sql (1.9), messages.sql (1.16),
	system_errors.sql (1.8):
	
	Add messages for context variables and correct bad SQL code used
	for couple messages added earlier

2004-11-22 15:00  paul_reeves

	*
	
	file telepitesi_segedlet.txt was initially added on branch
	B1_5_Release.
	firebird2/src/install/arch-specific/win32/hu/telepitesi_segedlet.tx
	t (1.1):

2004-11-22 15:00  paul_reeves

	* firebird2/src/install/arch-specific/win32/hu/olvass_el.txt (1.1):
	
	file olvass_el.txt was initially added on branch B1_5_Release.

2004-11-22 09:00  robocop

	* firebird2/src/isql/: isql.epp (1.110), isql.h (1.39):
	
	Allow basic leaks reporting, fix a couple of leaks and delete
	obsolete comment.

2004-11-22 07:27  robocop

	* firebird2/lang_helpers/: gds_codes.ftn (1.10), gds_codes.pas
	(1.10):
	
	Update misc files.

2004-11-21 17:46  alexpeshkoff

	* firebird2/src/jrd/isc_file.cpp (1.87):
	
	fixed work with NFS mount points

2004-11-21 17:25  alexpeshkoff

	* firebird2/src/jrd/alt.cpp (1.58):
	
	comment

2004-11-20 13:15  dimitr

	* firebird2/src/jrd/rse.cpp (1.83):
	
	no message

2004-11-19 04:52  robocop

	* firebird2/src/msgs/msg.sql (1.5):
	
	The obvious missing constraints, at least for me.

2004-11-19 04:51  robocop

	* firebird2/src/msgs/messages.sql (1.15):
	
	Get rid of journal-related messages.

2004-11-19 04:51  robocop

	* firebird2/src/msgs/history.sql (1.6):
	
	Keep history up to date by hand.

2004-11-19 04:50  robocop

	* firebird2/src/msgs/facilities.sql (1.8):
	
	The facilities's MAX_NUMBER is one more than the last used number
	in messages.sql for each facility. It worked nicely for years until
	the utilities became obsolete.

2004-11-19 00:00  arnobrinkman

	* firebird2/src/jrd/: btn.cpp (1.17), btn.h (1.14):
	
	Final ODS index structure change

2004-11-18 20:53  skidder

	*
	
	Fix problem with XP SP2 clients talking to POSIX server
	(SF#1065511)
	firebird2/builds/install/arch-specific/linux/misc/firebird.xinetd.i
	n (1.3):

2004-11-18 14:58  hvlad

	* firebird2/src/jrd/: exe.cpp (1.135), exe.h (1.62):
	
	1. Use isc_stack_trace instead of isc_random 2. Correct exception
	handling when dynamic string is used. See comments in exe.cpp

2004-11-18 14:50  hvlad

	* firebird2/src/: include/gen/codetext.h (1.17),
	include/gen/iberror.h (1.16), include/gen/msgs.h (1.22),
	include/gen/rdb_codes.h (1.17), include/gen/sql_code.h (1.19),
	msgs/facilities.sql (1.7), msgs/messages.sql (1.14),
	msgs/system_errors.sql (1.7):
	
	Added new isc_stack_trace error code for PL-SQL stack trace

2004-11-18 10:14  dimitr

	* firebird2/src/jrd/evl.cpp (1.127):
	
	Cleanup.

2004-11-18 09:40  robocop

	* firebird2/src/remote/server.cpp (1.101):
	
	Misc.

2004-11-18 09:09  dimitr

	* firebird2/src/msgs/facilities.sql (1.6):
	
	no message

2004-11-17 23:01  arnobrinkman

	* firebird2/src/dsql/pass1.cpp (1.173):
	
	Fix bug in aggregate-functions which burried EXISTS/SINGULAR
	predicate.
	
	See bug #1063254

2004-11-17 21:41  hvlad

	* firebird2/src/jrd/par.cpp (1.108):
	
	Fixed broken stored procedures default parameters handling. Thanks
	to Nickolay

2004-11-17 20:45  dimitr

	* firebird2/src/jrd/evl.cpp (1.126):
	
	no message

2004-11-17 20:33  dimitr

	* firebird2/src/jrd/: cmp.cpp (1.160), exe.h (1.61), opt.cpp
	(1.201):
	
	Fixed bugs SF #459059 and #543106.

2004-11-17 19:27  dimitr

	* firebird2/src/dsql/: dsql.h (1.69), misc_func.cpp (1.8),
	pass1.cpp (1.172):
	
	Some corrections and cleanup.

2004-11-17 19:18  dimitr

	* firebird2/src/jrd/: blp.h (1.15), gds.cpp (1.162):
	
	Added missing BLR handling to the internal blob filter

2004-11-17 16:23  dimitr

	* firebird2/src/msgs/: messages.sql (1.13), system_errors.sql
	(1.6):
	
	1) Reworked error reporting 2) Allowed positioned updates for
	explicit cursors 3) Fixed some possible server crashes

2004-11-17 16:17  dimitr

	* firebird2/src/: jrd/exe.cpp (1.134), include/gen/codetext.h
	(1.16), include/gen/iberror.h (1.15), include/gen/msgs.h (1.21),
	include/gen/rdb_codes.h (1.16), include/gen/sql_code.h (1.18):
	
	1) Reworked error reporting 2) Allowed positioned updates for
	explicit cursors 3) Fixed some possible server crashes

2004-11-17 16:01  dimitr

	* firebird2/src/msgs/: messages.sql (1.12), system_errors.sql
	(1.5):
	
	1) Reworked error reporting 2) Allowed positioned updates for
	explicit cursors 3) Fixed some possible server crashes

2004-11-17 15:48  dimitr

	* firebird2/src/: dsql/dsql.cpp (1.132), dsql/dsql.tab.h (1.46),
	dsql/node.h (1.52), dsql/parse.cpp (1.134), dsql/parse.y (1.159),
	dsql/pass1.cpp (1.171), dsql/user_dsql.cpp (1.43),
	include/gen/codetext.h (1.15), include/gen/iberror.h (1.14),
	include/gen/msgs.h (1.20), include/gen/rdb_codes.h (1.15),
	include/gen/sql_code.h (1.17):
	
	1) Reworked error reporting 2) Allowed positioned updates for
	explicit cursors 3) Fixed some possible server crashes

2004-11-17 13:33  dimitr

	* firebird2/src/jrd/evl.cpp (1.125):
	
	Fixed bug found by Claudio.

2004-11-17 13:25  hvlad

	* firebird2/src/remote/server.cpp (1.100):
	
	Fix buffer overflow when string carried with status vector is too
	large. String will be truncated to 1023 bytes

2004-11-17 13:20  hvlad

	* firebird2/src/isql/isql.h (1.38):
	
	Allow isql to show large exception messages

2004-11-17 13:19  hvlad

	* firebird2/src/jrd/: exe.h (1.60), fields.h (1.7), ini.epp (1.61),
	ini.h (1.20), status.h (1.5):
	
	Enlarge exception messages from 80 to 1023 bytes

2004-11-17 09:59  robocop

	* firebird2/src/jrd/mov.cpp (1.21):
	
	Misc and comment.

2004-11-17 09:57  robocop

	* firebird2/src/jrd/svc.cpp (1.132):
	
	Totally misc.

2004-11-17 09:57  robocop

	* firebird2/src/jrd/sha.cpp (1.3):
	
	If sha_info.data is already BYTE*, why casting it to BYTE* again?

2004-11-17 09:55  robocop

	* firebird2/src/: common/classes/alloc.cpp (1.73),
	common/classes/alloc.h (1.55), jrd/gds.cpp (1.161),
	remote/os/win32/window.cpp (1.12):
	
	Poor man's version of the old gds_alloc_report.

2004-11-17 09:39  robocop

	* firebird2/src/jrd/inuse.cpp (1.8):
	
	Misc.

2004-11-17 06:20  robocop

	* firebird2/src/utilities/run_service.cpp (1.12):
	
	Correction.

2004-11-17 06:19  robocop

	* firebird2/src/utilities/print_pool.cpp (1.9):
	
	Misc.

2004-11-17 06:18  robocop

	* firebird2/src/utilities/gsec/call_service.cpp (1.7):
	
	Prevent garbage from being used.

2004-11-16 12:44  alexpeshkoff

	* firebird2/src/utilities/gsec/call_service.cpp (1.6):
	
	style

2004-11-16 12:43  alexpeshkoff

	* firebird2/src/remote/interface.cpp (1.96):
	
	restored broken by me const-correctness in remote

2004-11-16 12:41  alexpeshkoff

	* firebird2/src/jrd/jrd_pwd.h (1.16):
	
	take autoconfig.h into account

2004-11-16 12:38  alexpeshkoff

	* firebird2/src/include/fb_string.h (1.34):
	
	restored STL's copy_from - it's useless for us, but safe

2004-11-16 09:52  robocop

	* firebird2/src/jrd/: sha.cpp (1.2), svc.cpp (1.131), thd.cpp
	(1.39):
	
	Misc.

2004-11-16 09:35  robocop

	* firebird2/src/: jrd/pwd.cpp (1.35), common/classes/timestamp.cpp
	(1.6):
	
	Misc.

2004-11-16 09:34  robocop

	* firebird2/src/jrd/os/win32/guid.cpp (1.9):
	
	We don't need reinterpret_cast from void*

2004-11-16 07:22  robocop

	* firebird2/src/common/classes/: ClumpletReader.cpp (1.5),
	ClumpletReader.h (1.5):
	
	Misc: where did those phantom spaces come from?

2004-11-16 07:16  robocop

	* firebird2/src/remote/inet.cpp (1.128):
	
	Totally misc: consistency with the other places.

2004-11-16 06:03  robocop

	* firebird2/src/common/fb_exception.cpp (1.16):
	
	Totally misc.

2004-11-16 06:02  robocop

	* firebird2/src/common/classes/alloc.h (1.54):
	
	Totally misc: comment.

2004-11-16 04:06  bellardo

	* firebird2/src/jrd/: plugin_manager.cpp (1.21), plugin_manager.h
	(1.16):
	
	Fix the copyright header.

2004-11-15 17:34  alexpeshkoff

	* firebird2/src/common/classes/: ClumpletReader.cpp (1.4),
	ClumpletReader.h (1.4), ClumpletWriter.cpp (1.4), ClumpletWriter.h
	(1.4), array.h (1.31):
	
	1. const-correctness of Clumplet classes 2. changed datatype to
	store ClumpletWriter buffer to avoid a lot of casts 3. added
	methods to support PathName operations

2004-11-15 16:52  alexpeshkoff

	* firebird2/src/remote/: inet.cpp (1.127), inet_proto.h (1.11),
	xnet.cpp (1.55), xnet_proto.h (1.13), os/win32/wnet.cpp (1.27),
	os/win32/wnet_proto.h (1.8):
	
	restored broken by me const-correctness in remote

2004-11-15 08:35  alexpeshkoff

	* firebird2/builds/win32/msvc6/: engine.dsp (1.54),
	engine_classic.dsp (1.49), engine_embed.dsp (1.28):
	
	replaced platform-dependent SHA1 with in-tree sha.cpp

2004-11-15 05:15  skidder

	* firebird2/builds/posix/: Makefile.in.embed.util (1.16),
	make.shared.variables (1.43):
	
	Fix posix build

2004-11-15 05:06  skidder

	* firebird2/src/jrd/vio.cpp (1.124):
	
	Fix GCC build

2004-11-15 01:32  skidder

	* firebird2/src/utilities/nbackup.cpp (1.39):
	
	Add workaround to NBACKUP for Windows problem causing OS to go down
	when somebody reads a large file

2004-11-15 01:21  skidder

	* firebird2/builds/win32/msvc7/: engine.vcproj (1.43),
	engine_classic.vcproj (1.42), engine_embed.vcproj (1.30):
	
	Update MSVC7 makefiles

2004-11-14 22:08  skidder

	* firebird2/src/jrd/evl.cpp (1.124):
	
	Fix the bug I recently added to CURRENT_TIME precision handling

2004-11-14 21:59  skidder

	* firebird2/src/common/classes/timestamp.cpp (1.5):
	
	Minor correction of previous commit

2004-11-14 21:49  skidder

	* firebird2/src/common/classes/: timestamp.h (1.8), timestamp.cpp
	(1.4):
	
	Add time routines to TimeStamp class

2004-11-14 19:08  alexpeshkoff

	* firebird2/src/jrd/: jrd_pwd.h (1.15), pwd.cpp (1.34), sha.cpp
	(1.1), sha.h (1.1), os/sha.h (1.2), os/posix/sha.cpp (1.2),
	os/win32/sha.cpp (1.2):
	
	replaced platform-dependent SHA1 with in-tree sha.cpp

2004-11-14 19:07  alexpeshkoff

	* firebird2/src/utilities/gsec/: call_service.cpp (1.5),
	call_service.h (1.2):
	
	misc cleanup

2004-11-14 19:05  alexpeshkoff

	* firebird2/src/: common/classes/fb_string.cpp (1.27),
	include/fb_string.h (1.33), jrd/dfw.epp (1.138), jrd/dyn_def.epp
	(1.85), jrd/gds.cpp (1.160), jrd/isc_f_proto.h (1.18):
	
	cleanup of methods, storing data in plain char*

2004-11-14 19:02  alexpeshkoff

	* firebird2/src/jrd/os/: guid.h (1.8), posix/guid.cpp (1.7),
	win32/guid.cpp (1.8):
	
	added related feature - platform-dependent random genearator

2004-11-14 19:01  alexpeshkoff

	* firebird2/src/utilities/gsec/security.epp (1.13):
	
	dropped temp fix after bug with views was fixed by Dmitry Yemanov

2004-11-14 18:58  alexpeshkoff

	* firebird2/src/jrd/isc_file.cpp (1.86):
	
	style

2004-11-14 17:37  alexpeshkoff

	* firebird2/src/jrd/cvt.cpp (1.60):
	
	fixed debug build

2004-11-14 08:50  robocop

	* firebird2/src/msgs/: history.sql (1.5), messages.sql (1.11):
	
	Sync messages with Alex' changes in gsec.

2004-11-12 15:48  paul_reeves

	*
	
	file instalacija_precitajMe.txt was initially added on branch
	B1_5_Release.
	firebird2/src/install/arch-specific/win32/si/instalacija_precitajMe
	.txt (1.1):

2004-11-12 15:48  paul_reeves

	*
	firebird2/src/install/arch-specific/win32/si/custom_messages_si.inc
	(1.1):
	
	file custom_messages_si.inc was initially added on branch
	B1_5_Release.

2004-11-12 06:32  dimitr

	* firebird2/src/jrd/: cvt.cpp (1.59), evl.cpp (1.123):
	
	Restored missing asserts.

2004-11-11 22:45  skidder

	* firebird2/src/: common/fb_exception.cpp (1.15),
	include/fb_exception.h (1.14):
	
	Commit change adding method used by ClumpletReader/ClumpletWriter

2004-11-11 11:27  skidder

	* firebird2/src/jrd/blp.h (1.14):
	
	Remove unneeded item as Claudio noted

2004-11-11 11:21  hvlad

	* firebird2/src/jrd/vio.cpp (1.123):
	
	Corrected typos pointed by Claudio

2004-11-11 11:17  hvlad

	* firebird2/src/jrd/jrd.cpp (1.191):
	
	GC policy config entry don't need to be case-sensitive

2004-11-11 06:37  skidder

	* firebird2/src/: dsql/dsql.cpp (1.131), dsql/gen.cpp (1.76),
	dsql/keywords.cpp (1.37), dsql/make.cpp (1.79), dsql/node.h (1.51),
	dsql/parse.y (1.158), dsql/pass1.cpp (1.170), jrd/blp.h (1.13),
	jrd/blr.h (1.17), jrd/cmp.cpp (1.159), jrd/constants.h (1.17),
	jrd/evl.cpp (1.122), jrd/exe.h (1.59), jrd/jrd.cpp (1.190),
	jrd/jrd.h (1.122), jrd/nod.h (1.13), jrd/opt.cpp (1.200),
	jrd/par.cpp (1.107), misc/blrtable.cpp (1.16):
	
	CURRENT_DATABASE implementation. Established identity may also be
	used for isc_info_db_id datum

2004-11-11 05:57  skidder

	* firebird2/src/utilities/gsec/call_service.cpp (1.4):
	
	long is 64-bit datatype, but here encoded as 32-bit value. correct
	confusion

2004-11-11 05:47  skidder

	* firebird2/src/jrd/enc.cpp (1.22):
	
	Port ENC_crypt to 64 bits

2004-11-11 02:34  skidder

	* firebird2/src/utilities/gsec/call_service.cpp (1.3):
	
	Fix 64-bit build

2004-11-11 00:02  skidder

	* firebird2/src/jrd/jrd.cpp (1.189):
	
	Use case-sensitive comparisons for GC policy configuration entires.
	stricmp does not exist on Linux.

2004-11-10 14:32  hvlad

	* firebird2/src/jrd/jrd.h (1.121):
	
	Removed unneeded method as Nickolay suggested

2004-11-10 12:29  makowski

	*
	
	file documents-en-français.txt was initially added on branch
	B1_5_Release.
	firebird2/src/install/arch-specific/win32/fr/documents-en-français.
	txt (1.1):

2004-11-10 09:28  robocop

	* firebird2/src/jrd/isc_file.cpp (1.85):
	
	Misc.

2004-11-10 09:16  robocop

	* firebird2/src/burp/backup.epp (1.70):
	
	fb-checkins shows that I didn't commit the correct version of the
	file.

2004-11-10 06:19  robocop

	* firebird2/src/jrd/: jrd.cpp (1.188), vio.cpp (1.122):
	
	Misc.

2004-11-10 05:41  robocop

	* firebird2/src/jrd/fun.epp (1.67):
	
	Fix SF Bug #1057538.

2004-11-10 05:35  robocop

	* firebird2/src/jrd/: isc_sync.cpp (1.97), svc.cpp (1.130):
	
	Misc.

2004-11-10 05:33  robocop

	* firebird2/src/burp/backup.epp (1.69):
	
	Avoid backup corruption with too long file names.

2004-11-10 05:32  robocop

	* firebird2/src/gpre/cob.cpp (1.53):
	
	Fix with double quotes handling in case someone still uses gpre and
	COBOL.

2004-11-10 05:29  robocop

	* firebird2/src/utilities/sbc_print.cpp (1.30):
	
	This file cannot be compiled in its current state and references a
	project (shared cache) abandoned years ago.

2004-11-10 05:26  robocop

	* firebird2/src/utilities/: analyse.cpp (1.11), drop.cpp (1.29),
	gsec/call_service.cpp (1.2), gsec/gsec.cpp (1.41):
	
	Treat string literals and string constants with more respect.

2004-11-10 05:25  robocop

	* firebird2/src/utilities/nbackup.cpp (1.38):
	
	Protect from whatever possible (future) programming error that
	could cause a B.O. Probably the best fix is to make the constructor
	private and force all usage through the static raise() member
	function.

2004-11-10 05:22  robocop

	* firebird2/src/: msgs/change_msgs.epp (1.18), msgs/enter_msgs.epp
	(1.14), msgs/include.epp (1.11), msgs/modify_msgs.epp (1.13),
	qli/dtr.cpp (1.37), qli/eval.cpp (1.45), qli/exe.cpp (1.46),
	qli/help.epp (1.23), qli/lex.cpp (1.32), qli/lex_proto.h (1.9),
	qli/parse.cpp (1.37), qli/picstr.cpp (1.26):
	
	Treat string literals and string constants with more respect.

2004-11-10 05:18  robocop

	* firebird2/src/: gpre/c_cxx.cpp (1.58), gpre/cob.cpp (1.52),
	gpre/gpre.cpp (1.66), gpre/gpre.h (1.74), gpre/gpre_meta.epp
	(1.48), gpre/gpre_meta_boot.cpp (1.46), gpre/par.cpp (1.55),
	gpre/pas.cpp (1.45), gpre/pat.cpp (1.25), gpre/sql.cpp (1.50),
	isql/extract.epp (1.45), isql/isql.epp (1.109), isql/isql_win.cpp
	(1.18), jrd/cch.cpp (1.114), jrd/dbg.cpp (1.30), jrd/exe.cpp
	(1.133), jrd/exe_proto.h (1.13), jrd/jlx.c (1.9), jrd/log.cpp
	(1.21), jrd/mem.cpp (1.3), jrd/opt.cpp (1.199), jrd/pwd.cpp (1.33),
	jrd/sqz.cpp (1.19), jrd/utl.cpp (1.75):
	
	Treat string literals and string constants with more respect.

2004-11-10 05:14  robocop

	* firebird2/src/: alice/alice.cpp (1.74), alice/alice_meta.epp
	(1.44), dsql/pass1.cpp (1.169), dudley/ddl.h (1.33), dudley/exe.epp
	(1.56), dudley/expr.cpp (1.25), dudley/extract.epp (1.40),
	dudley/lex.cpp (1.28), dudley/parse.cpp (1.47), dudley/trn.cpp
	(1.35):
	
	Treat string literals and string constants with more respect.

2004-11-09 15:35  paul_reeves

	*
	
	file installation_readme_hu.txt was initially added on branch
	B1_5_Release.
	firebird2/src/install/arch-specific/win32/hu/installation_readme_hu
	.txt (1.1):

2004-11-09 15:23  paul_reeves

	*
	firebird2/src/install/arch-specific/win32/pt/instalação_leia-me.txt
	(1.1):
	
	file instalação_leia-me.txt was initially added on branch
	B1_5_Release.

2004-11-09 14:06  hvlad

	* firebird2/builds/install/misc/firebird.conf (1.12):
	
	Added config file parameter for the garbage collection policy

2004-11-09 13:59  hvlad

	* firebird2/src/: common/config/config.cpp (1.57),
	common/config/config.h (1.33), jrd/jrd.cpp (1.187), jrd/jrd.h
	(1.120), jrd/tra.cpp (1.93), jrd/vio.cpp (1.121):
	
	Add config file parameter for the garbage collection policy

2004-11-08 13:53  asfernandes

	* firebird2/builds/win32/msvc7/: engine.vcproj (1.42),
	engine_classic.vcproj (1.41), engine_embed.vcproj (1.29),
	fbclient.vcproj (1.36), gsec.vcproj (1.18), utilities.vcproj
	(1.20), utilities_classic.vcproj (1.19):
	
	Fix MSVC7 build after Alex changes

2004-11-08 10:38  hvlad

	* firebird2/src/jrd/svc.cpp (1.129):
	
	Fix wrong thread priority

2004-11-08 09:29  robocop

	* firebird2/src/jrd/isc_file.cpp (1.84):
	
	Totally misc.

2004-11-08 09:01  robocop

	* firebird2/src/jrd/jrd.cpp (1.186):
	
	Misc.

2004-11-08 08:09  robocop

	* firebird2/src/remote/interface.cpp (1.95):
	
	Consistency.

2004-11-08 08:08  robocop

	* firebird2/src/remote/inet_server.cpp (1.46):
	
	Misc.

2004-11-08 07:16  robocop

	* firebird2/src/jrd/: alt.cpp (1.57), os/win32/winnt.cpp (1.26):
	
	Misc.

2004-11-08 07:15  robocop

	* firebird2/src/jrd/os/vms/vms.cpp (1.23):
	
	Fix Alex' commit.

2004-11-08 06:50  robocop

	* firebird2/builds/posix/Makefile.in.client.gsec (1.2):
	
	Change the license.

2004-11-08 06:38  robocop

	* firebird2/src/: remote/os/win32/ibconfig.cpp (1.12),
	utilities/install/install.cpp (1.6),
	utilities/install/install_client.cpp (1.6),
	utilities/install/install_reg.cpp (1.12),
	utilities/install/install_svc.cpp (1.16), qli/meta.epp (1.51):
	
	Treat string literals and string constants with more respect.

2004-11-08 06:17  robocop

	* firebird2/src/qli/: dtr.h (1.20), expand.cpp (1.29), hsh.cpp
	(1.16), parse.cpp (1.36), report.h (1.8):
	
	Treat string literals and string constants with more respect.

2004-11-08 06:13  robocop

	* firebird2/src/jrd/why.cpp (1.85):
	
	Find a better way to handle ISC_lookup_entrypoint calls than to
	throw away constness.

2004-11-08 04:36  robocop

	* firebird2/src/jrd/os/vms/dfloat_stub.cpp (1.10):
	
	Pre-ANSI C file?

2004-11-08 04:33  robocop

	* firebird2/src/: misc/align.cpp (1.8), lock/driver.cpp (1.17),
	jrd/grammar.cpp (1.8), jrd/jlx.c (1.8), msgs/load.epp (1.12):
	
	Treat string literals and string constants with more respect.

2004-11-08 04:29  robocop

	* firebird2/src/gpre/: c_cxx.cpp (1.57), cmd.cpp (1.39), cob.cpp
	(1.51), dyntable.cpp (1.9), gpre.h (1.73), hsh.cpp (1.21), pas.cpp
	(1.44):
	
	Treat string literals and string constants with more respect.

2004-11-08 04:19  robocop

	* firebird2/src/dudley/: ddl.h (1.32), exe.epp (1.55), expand.cpp
	(1.25), generate.cpp (1.18), hsh.cpp (1.16), hsh_proto.h (1.7),
	parse.cpp (1.46), parse_proto.h (1.9):
	
	Treat string literals and string constants with more respect.

2004-11-08 04:15  robocop

	* firebird2/src/dsql/movd.cpp (1.17):
	
	Const and use symbolic constants instead of harcoded 20.

2004-11-08 04:12  robocop

	* firebird2/src/: burp/burp.h (1.63), burp/restore.epp (1.85),
	burp/spit.cpp (1.30), dsql/preparse.cpp (1.32), dsql/utld.cpp
	(1.31), dsql/utld_proto.h (1.10):
	
	Treat string literals and string constants with more respect.

2004-11-08 04:09  robocop

	* firebird2/src/: utilities/cache.cpp (1.16), gpre/ftn.cpp (1.52),
	misc/memtest.cpp (1.5), remote/os/win32/property.cpp (1.11):
	
	Misc.

2004-11-08 03:57  robocop

	* firebird2/src/: alice/exe.cpp (1.40), common/classes/stack.h
	(1.15), common/classes/tree.h (1.44):
	
	Misc and mark suspicious place(s).

2004-11-07 15:50  alexpeshkoff

	* firebird2/src/: jrd/alt.cpp (1.56), jrd/ibase.h (1.95),
	jrd/jrd.cpp (1.185), jrd/jrd_pwd.h (1.14), jrd/pwd.cpp (1.32),
	jrd/svc.cpp (1.128), jrd/os/sha.h (1.1), jrd/os/posix/sha.cpp
	(1.1), jrd/os/win32/sha.cpp (1.1), utilities/gsec/call_service.cpp
	(1.1), utilities/gsec/call_service.h (1.1), utilities/gsec/gsec.cpp
	(1.40), utilities/gsec/gsec.h (1.20), utilities/gsec/gsecswi.h
	(1.4), utilities/gsec/secur_proto.h (1.7),
	utilities/gsec/security.epp (1.12):
	
	security fix 1. Use SHA1 hash instead of ENC_crypt.  2. Disable any
	remote (non-embedded) access to security.fdb.  3. Use services in
	gsec and isc_*_user() fucntions.      In gsec switch -database
	replaced with -server.	4. Protect from attempts to brut-force
	accounts/passwords.

2004-11-07 15:44  alexpeshkoff

	* firebird2/src/remote/: inet.cpp (1.126), inet_proto.h (1.10),
	inet_server.cpp (1.45), interface.cpp (1.94), server.cpp (1.99),
	xnet.cpp (1.54), xnet_proto.h (1.12), os/win32/wnet.cpp (1.26),
	os/win32/wnet_proto.h (1.7):
	
	more active use of Firebird::string in remote

2004-11-07 15:43  alexpeshkoff

	* firebird2/src/: jrd/dfw.epp (1.137), jrd/dyn_def.epp (1.84),
	jrd/isc_f_proto.h (1.17), jrd/isc_file.cpp (1.83), jrd/sdw.cpp
	(1.55), jrd/why.cpp (1.84), jrd/os/pio_proto.h (1.14),
	jrd/os/posix/unix.cpp (1.35), jrd/os/vms/vms.cpp (1.22),
	jrd/os/win32/winnt.cpp (1.25), utilities/sbc_print.cpp (1.29):
	
	1.fixed problem with double-opened databases on LanMan mounted
	disk.	  might cause database corruption.  2.more active use of
	Firebird::string in isc_file.cpp

2004-11-07 15:38  alexpeshkoff

	* firebird2/src/utilities/ibmgr/: ibmgr.h (1.9), srvrmgr.cpp
	(1.19):
	
	dropped unused function, which became absolutely senseless

2004-11-07 15:35  alexpeshkoff

	* firebird2/src/jrd/scl.epp (1.65):
	
	fixed problem with lost "authenticator" and "sweeper" user names

2004-11-07 15:33  alexpeshkoff

	* firebird2/src/jrd/plugin_manager.cpp (1.20):
	
	avoid gds__prefix() in favour of getRootDirectory()

2004-11-07 15:30  alexpeshkoff

	* firebird2/src/jrd/exe.cpp (1.132):
	
	avoid warnings in gcc

2004-11-07 15:27  alexpeshkoff

	* firebird2/src/jrd/: enc.cpp (1.21), enc_proto.h (1.4):
	
	1. make ENC_crypt thread safe 2. don't use libcrypt

2004-11-07 15:25  alexpeshkoff

	* firebird2/src/jrd/: cch.cpp (1.113), dyn_del.epp (1.39),
	dyn_mod.epp (1.54):
	
	avoid warnings in gcc

2004-11-07 15:23  alexpeshkoff

	* firebird2/src/include/fb_string.h (1.32):
	
	security fix added method to save string data into char[] buffer
	safe

2004-11-07 15:20  alexpeshkoff

	* firebird2/src/gpre/cdbtable.h (1.2):
	
	added new dpb parameters

2004-11-07 15:17  alexpeshkoff

	* firebird2/src/dbs/security.sql (1.2):
	
	security fix 1. dropped table host_info 2. applied (modified a bit)
	patch of Ivan Prenosil letting user modify his password 3. expanded
	PASSWD field to fit new hashes

2004-11-07 15:12  alexpeshkoff

	* firebird2/src/common/config/: config.cpp (1.56), config.h (1.32):
	
	security fix added LegacyHash parameter to firebird.conf - setting
	to true makes it possible to check for old (crypt) hashes in
	security.fdb

2004-11-07 15:01  alexpeshkoff

	* firebird2/builds/win32/prepare.bat (1.36):
	
	security fix use SQL instead of gbak to create security database

2004-11-07 14:49  alexpeshkoff

	* firebird2/builds/win32/msvc6/: engine.dsp (1.53),
	engine_classic.dsp (1.48), engine_embed.dsp (1.27), fbclient.dsp
	(1.49), gsec.dsp (1.17), utilities.dsp (1.16),
	utilities_classic.dsp (1.14):
	
	security fix added new files to win32 VC6 build

2004-11-07 14:47  alexpeshkoff

	* firebird2/builds/posix/: Makefile.in.client.gsec (1.1),
	Makefile.in.client.util (1.21), Makefile.in.embed.util (1.15),
	Makefile.in.firebird (1.58), Makefile.in.refDatabases (1.24),
	make.shared.variables (1.42):
	
	security fix 1. added separate gsec.client build 2. added new files
	to posix build

2004-11-07 14:43  alexpeshkoff

	* firebird2/configure.in (1.210):
	
	security fixes - added check for libssl and gsec.client build

2004-11-07 11:52  robocop

	* firebird2/src/: common/classes/array.h (1.30),
	common/classes/locks.h (1.18), common/classes/objects_array.h
	(1.13), common/classes/rwlock.h (1.23), common/classes/semaphore.h
	(1.15), common/classes/vector.h (1.13), utilities/relay.cpp (1.7):
	
	Misc: extra semicolons do not help. :-)

2004-11-07 11:47  robocop

	* firebird2/src/jrd/: btn.cpp (1.16), cvt.cpp (1.58), dyn.epp
	(1.70), evl.cpp (1.121), gds.cpp (1.159), isc_sync.cpp (1.96),
	jrd.cpp (1.184), par.cpp (1.106), val.cpp (1.60), vio.cpp (1.120):
	
	Misc: extra semicolons do not help. :-)

2004-11-07 11:35  robocop

	* firebird2/src/: dsql/dsql.cpp (1.130), dsql/gen.cpp (1.75),
	dsql/parse.cpp (1.133), dsql/parse.y (1.157), dsql/pass1.cpp
	(1.168), remote/inet.cpp (1.125), remote/interface.cpp (1.93),
	remote/server.cpp (1.98), remote/xnet.cpp (1.53), lock/print.cpp
	(1.45):
	
	Misc: extra semicolons do not help. :-)

2004-11-07 11:30  robocop

	* firebird2/src/isql/: extract.epp (1.44), isql.epp (1.108),
	show.epp (1.59):
	
	Misc: extra semicolons do not help. :-)

2004-11-07 11:20  robocop

	* firebird2/src/isql/isql.epp (1.107):
	
	When the XSQLDA is reallocated, set the version again (from my
	uncommitted FB1 fixes).

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/tzcode/tz2icu.cpp (1.1):
	
	file tz2icu.cpp was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/tzcode/patch-icu-tzcode (1.1):
	
	file patch-icu-tzcode was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/tzcode/tz.alias (1.1):
	
	file tz.alias was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/tzcode/tz2icu.h (1.1):
	
	file tz2icu.h was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/toolutil/uperf.h (1.1):
	
	file uperf.h was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/toolutil/ucm.h (1.1):
	
	file ucm.h was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/toolutil/toolutil.vcproj (1.1):
	
	file toolutil.vcproj was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/toolutil/uparse.c (1.1):
	
	file uparse.c was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/toolutil/uparse.h (1.1):
	
	file uparse.h was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/toolutil/ucbuf.c (1.1):
	
	file ucbuf.c was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/toolutil/unewdata.c (1.1):
	
	file unewdata.c was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/toolutil/ucbuf.h (1.1):
	
	file ucbuf.h was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/toolutil/utimer.h (1.1):
	
	file utimer.h was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/toolutil/ucmpwrit.c (1.1):
	
	file ucmpwrit.c was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/toolutil/toolutil.c (1.1):
	
	file toolutil.c was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/toolutil/unewdata.h (1.1):
	
	file unewdata.h was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/toolutil/toolutil.dsp (1.1):
	
	file toolutil.dsp was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/toolutil/ucmpwrit.h (1.1):
	
	file ucmpwrit.h was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/toolutil/toolutil.h (1.1):
	
	file toolutil.h was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/toolutil/uoptions.c (1.1):
	
	file uoptions.c was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/toolutil/uperf.cpp (1.1):
	
	file uperf.cpp was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/toolutil/ucm.c (1.1):
	
	file ucm.c was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/toolutil/uoptions.h (1.1):
	
	file uoptions.h was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/toolutil/ucmstate.c (1.1):
	
	file ucmstate.c was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/pkgdata/pkgtypes.c (1.1):
	
	file pkgtypes.c was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/pkgdata/pkgdata.c (1.1):
	
	file pkgdata.c was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/pkgdata/pkgtypes.h (1.1):
	
	file pkgtypes.h was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/pkgdata/pkgdata.vcproj (1.1):
	
	file pkgdata.vcproj was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/pkgdata/make.c (1.1):
	
	file make.c was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/pkgdata/pkgdata.1.in (1.1):
	
	file pkgdata.1.in was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/pkgdata/pkgdata.dsp (1.1):
	
	file pkgdata.dsp was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/pkgdata/dllmode.c (1.1):
	
	file dllmode.c was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/pkgdata/makefile.h (1.1):
	
	file makefile.h was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/pkgdata/cmnmode.c (1.1):
	
	file cmnmode.c was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/pkgdata/sttcmode.c (1.1):
	
	file sttcmode.c was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/pkgdata/winmode.c (1.1):
	
	file winmode.c was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/pkgdata/filemode.c (1.1):
	
	file filemode.c was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/makeconv/misc/ucmstrip.c (1.1):
	
	file ucmstrip.c was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/makeconv/misc/ucmmerge.c (1.1):
	
	file ucmmerge.c was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/makeconv/misc/canonucm.c (1.1):
	
	file canonucm.c was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/makeconv/misc/rptp2ucm.c (1.1):
	
	file rptp2ucm.c was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/makeconv/makeconv.1.in (1.1):
	
	file makeconv.1.in was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/makeconv/makeconv.dsp (1.1):
	
	file makeconv.dsp was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/makeconv/ucnvstat.c (1.1):
	
	file ucnvstat.c was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/makeconv/makeconv.h (1.1):
	
	file makeconv.h was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/makeconv/genmbcs.c (1.1):
	
	file genmbcs.c was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/makeconv/makeconv.c (1.1):
	
	file makeconv.c was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/makeconv/genmbcs.h (1.1):
	
	file genmbcs.h was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/makeconv/makeconv.vcproj (1.1):
	
	file makeconv.vcproj was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/makeconv/gencnvex.c (1.1):
	
	file gencnvex.c was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/icuswap/icuswap.dsp (1.1):
	
	file icuswap.dsp was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/icuswap/icuswap.vcproj (1.1):
	
	file icuswap.vcproj was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/icuswap/icuswap.cpp (1.1):
	
	file icuswap.cpp was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/genuca/genuca.dsp (1.1):
	
	file genuca.dsp was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/genuca/genuca.h (1.1):
	
	file genuca.h was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/genuca/genuca.cpp (1.1):
	
	file genuca.cpp was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/genuca/genuca.vcproj (1.1):
	
	file genuca.vcproj was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/genuca/genuca.8.in (1.1):
	
	file genuca.8.in was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/gentest/gentest.h (1.1):
	
	file gentest.h was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/gentest/genres32.c (1.1):
	
	file genres32.c was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/gentest/gentest.c (1.1):
	
	file gentest.c was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/gentest/gentest.vcproj (1.1):
	
	file gentest.vcproj was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/gentest/gentest.dsp (1.1):
	
	file gentest.dsp was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/gensprep/gensprep.dsp (1.1):
	
	file gensprep.dsp was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/gensprep/gensprep.h (1.1):
	
	file gensprep.h was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/gensprep/filterRFC3454.pl
	(1.1):
	
	file filterRFC3454.pl was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/gensprep/gensprep.c (1.1):
	
	file gensprep.c was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/gensprep/gensprep.vcproj (1.1):
	
	file gensprep.vcproj was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/gensprep/gensprep.8.in (1.1):
	
	file gensprep.8.in was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/genren/genren.pl (1.1):
	
	file genren.pl was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/genren/Makefile (1.1):
	
	file Makefile was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/genren/README (1.1):
	
	file README was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/genrb/gendtjar.pl (1.1):
	
	file gendtjar.pl was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/genrb/rle.h (1.1):
	
	file rle.h was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/genrb/reslist.h (1.1):
	
	file reslist.h was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/genrb/derb.vcproj (1.1):
	
	file derb.vcproj was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/genrb/genrb.c (1.1):
	
	file genrb.c was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/genrb/ustr.c (1.1):
	
	file ustr.c was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/genrb/wrtxml.c (1.1):
	
	file wrtxml.c was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/genrb/errmsg.c (1.1):
	
	file errmsg.c was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/genrb/genrb.dsp (1.1):
	
	file genrb.dsp was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/genrb/genrb.h (1.1):
	
	file genrb.h was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/genrb/ustr.h (1.1):
	
	file ustr.h was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/genrb/errmsg.h (1.1):
	
	file errmsg.h was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/genrb/prscmnts.cpp (1.1):
	
	file prscmnts.cpp was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/genrb/parse.c (1.1):
	
	file parse.c was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/genrb/read.c (1.1):
	
	file read.c was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/genrb/util.c (1.1):
	
	file util.c was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/genrb/prscmnts.h (1.1):
	
	file prscmnts.h was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/genrb/genrb.vcproj (1.1):
	
	file genrb.vcproj was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/genrb/wrtjava.c (1.1):
	
	file wrtjava.c was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/genrb/parse.h (1.1):
	
	file parse.h was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/genrb/read.h (1.1):
	
	file read.h was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/genrb/genrb.1.in (1.1):
	
	file genrb.1.in was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/genrb/rle.c (1.1):
	
	file rle.c was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/genrb/util.h (1.1):
	
	file util.h was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/genrb/genrbjar.pl (1.1):
	
	file genrbjar.pl was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/genrb/reslist.c (1.1):
	
	file reslist.c was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/genrb/derb.1.in (1.1):
	
	file derb.1.in was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/genrb/derb.dsp (1.1):
	
	file derb.dsp was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/genrb/derb.c (1.1):
	
	file derb.c was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/genprops/misc/ucdstrip.pl
	(1.1):
	
	file ucdstrip.pl was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/genprops/misc/ucdmerge.c (1.1):
	
	file ucdmerge.c was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/genprops/misc/ucdstrip.c (1.1):
	
	file ucdstrip.c was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/genprops/genprops.vcproj (1.1):
	
	file genprops.vcproj was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/genprops/propsvec.h (1.1):
	
	file propsvec.h was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/genprops/genprops.8.in (1.1):
	
	file genprops.8.in was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/genprops/genprops.dsp (1.1):
	
	file genprops.dsp was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/genprops/propsvec.c (1.1):
	
	file propsvec.c was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/genprops/genprops.h (1.1):
	
	file genprops.h was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/genprops/genprops.c (1.1):
	
	file genprops.c was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/genprops/props2.c (1.1):
	
	file props2.c was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	*
	
	file SyntheticPropertyAliases.txt was initially added on branch
	B2_0_intl.
	firebird2/extern/icu/source/tools/genpname/SyntheticPropertyAliases
	.txt (1.1):

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/genpname/data.h (1.1):
	
	file data.h was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/genpname/genpname.dsp (1.1):
	
	file genpname.dsp was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/genpname/genpname.cpp (1.1):
	
	file genpname.cpp was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/genpname/preparse.pl (1.1):
	
	file preparse.pl was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/genpname/genpname.vcproj (1.1):
	
	file genpname.vcproj was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/gennorm/gennorm.vcproj (1.1):
	
	file gennorm.vcproj was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/gennorm/gennorm.8.in (1.1):
	
	file gennorm.8.in was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/gennorm/gennorm.dsp (1.1):
	
	file gennorm.dsp was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/gennorm/gennorm.h (1.1):
	
	file gennorm.h was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/: gennorm/store.c (1.1),
	genprops/store.c (1.1), gensprep/store.c (1.1):
	
	file store.c was initially added on branch B2_0_intl.

2004-11-07 00:59  asfernandes

	* firebird2/extern/icu/source/tools/gennorm/gennorm.c (1.1):
	
	file gennorm.c was initially added on branch B2_0_intl.

2004-11-07 00:58  asfernandes

	* firebird2/extern/icu/source/tools/gennames/gennames.vcproj (1.1):
	
	file gennames.vcproj was initially added on branch B2_0_intl.

2004-11-07 00:58  asfernandes

	* firebird2/extern/icu/source/tools/gennames/gennames.8.in (1.1):
	
	file gennames.8.in was initially added on branch B2_0_intl.

2004-11-07 00:58  asfernandes

	* firebird2/extern/icu/source/tools/gennames/gennames.dsp (1.1):
	
	file gennames.dsp was initially added on branch B2_0_intl.

2004-11-07 00:58  asfernandes

	* firebird2/extern/icu/source/tools/gennames/gennames.c (1.1):
	
	file gennames.c was initially added on branch B2_0_intl.

2004-11-07 00:58  asfernandes

	* firebird2/extern/icu/source/tools/gendraft/gendraft.pl (1.1):
	
	file gendraft.pl was initially added on branch B2_0_intl.

2004-11-07 00:58  asfernandes

	* firebird2/extern/icu/source/tools/gencnval/gencnval.vcproj (1.1):
	
	file gencnval.vcproj was initially added on branch B2_0_intl.

2004-11-07 00:58  asfernandes

	* firebird2/extern/icu/source/tools/gencnval/gencnval.1.in (1.1):
	
	file gencnval.1.in was initially added on branch B2_0_intl.

2004-11-07 00:58  asfernandes

	* firebird2/extern/icu/source/tools/gencnval/gencnval.dsp (1.1):
	
	file gencnval.dsp was initially added on branch B2_0_intl.

2004-11-07 00:58  asfernandes

	* firebird2/extern/icu/source/tools/gencnval/gencnval.c (1.1):
	
	file gencnval.c was initially added on branch B2_0_intl.

2004-11-07 00:58  asfernandes

	* firebird2/extern/icu/source/tools/gencmn/gencmn.vcproj (1.1):
	
	file gencmn.vcproj was initially added on branch B2_0_intl.

2004-11-07 00:58  asfernandes

	* firebird2/extern/icu/source/tools/gencmn/gencmn.dsp (1.1):
	
	file gencmn.dsp was initially added on branch B2_0_intl.

2004-11-07 00:58  asfernandes

	* firebird2/extern/icu/source/tools/gencmn/decmn.c (1.1):
	
	file decmn.c was initially added on branch B2_0_intl.

2004-11-07 00:58  asfernandes

	* firebird2/extern/icu/source/tools/gencmn/decmn.vcproj (1.1):
	
	file decmn.vcproj was initially added on branch B2_0_intl.

2004-11-07 00:58  asfernandes

	* firebird2/extern/icu/source/tools/gencmn/gencmn.c (1.1):
	
	file gencmn.c was initially added on branch B2_0_intl.

2004-11-07 00:58  asfernandes

	* firebird2/extern/icu/source/tools/gencmn/decmn.8.in (1.1):
	
	file decmn.8.in was initially added on branch B2_0_intl.

2004-11-07 00:58  asfernandes

	* firebird2/extern/icu/source/tools/gencmn/gencmn.8.in (1.1):
	
	file gencmn.8.in was initially added on branch B2_0_intl.

2004-11-07 00:58  asfernandes

	* firebird2/extern/icu/source/tools/gencmn/decmn.dsp (1.1):
	
	file decmn.dsp was initially added on branch B2_0_intl.

2004-11-07 00:58  asfernandes

	* firebird2/extern/icu/source/tools/genccode/genccode.c (1.1):
	
	file genccode.c was initially added on branch B2_0_intl.

2004-11-07 00:58  asfernandes

	* firebird2/extern/icu/source/tools/genccode/genccode.vcproj (1.1):
	
	file genccode.vcproj was initially added on branch B2_0_intl.

2004-11-07 00:58  asfernandes

	* firebird2/extern/icu/source/tools/genccode/genccode.8.in (1.1):
	
	file genccode.8.in was initially added on branch B2_0_intl.

2004-11-07 00:58  asfernandes

	* firebird2/extern/icu/source/tools/genccode/genccode.dsp (1.1):
	
	file genccode.dsp was initially added on branch B2_0_intl.

2004-11-07 00:58  asfernandes

	* firebird2/extern/icu/source/tools/genbrk/genbrk.cpp (1.1):
	
	file genbrk.cpp was initially added on branch B2_0_intl.

2004-11-07 00:58  asfernandes

	* firebird2/extern/icu/source/tools/genbrk/genbrk.vcproj (1.1):
	
	file genbrk.vcproj was initially added on branch B2_0_intl.

2004-11-07 00:58  asfernandes

	* firebird2/extern/icu/source/tools/genbrk/genbrk.dsp (1.1):
	
	file genbrk.dsp was initially added on branch B2_0_intl.

2004-11-07 00:58  asfernandes

	* firebird2/extern/icu/source/tools/dumpce/dumpce.dsw (1.1):
	
	file dumpce.dsw was initially added on branch B2_0_intl.

2004-11-07 00:58  asfernandes

	* firebird2/extern/icu/source/tools/dumpce/dumpce.dsp (1.1):
	
	file dumpce.dsp was initially added on branch B2_0_intl.

2004-11-07 00:58  asfernandes

	* firebird2/extern/icu/source/tools/dumpce/dumpce.cpp (1.1):
	
	file dumpce.cpp was initially added on branch B2_0_intl.

2004-11-07 00:58  asfernandes

	* firebird2/extern/icu/source/tools/ctestfw/unicode/testdata.h
	(1.1):
	
	file testdata.h was initially added on branch B2_0_intl.

2004-11-07 00:58  asfernandes

	* firebird2/extern/icu/source/tools/ctestfw/unicode/testlog.h
	(1.1):
	
	file testlog.h was initially added on branch B2_0_intl.

2004-11-07 00:58  asfernandes

	* firebird2/extern/icu/source/tools/ctestfw/unicode/testtype.h
	(1.1):
	
	file testtype.h was initially added on branch B2_0_intl.

2004-11-07 00:58  asfernandes

	* firebird2/extern/icu/source/tools/ctestfw/unicode/ctest.h (1.1):
	
	file ctest.h was initially added on branch B2_0_intl.

2004-11-07 00:58  asfernandes

	* firebird2/extern/icu/source/tools/ctestfw/unicode/tstdtmod.h
	(1.1):
	
	file tstdtmod.h was initially added on branch B2_0_intl.

2004-11-07 00:58  asfernandes

	* firebird2/extern/icu/source/tools/ctestfw/unicode/datamap.h
	(1.1):
	
	file datamap.h was initially added on branch B2_0_intl.

2004-11-07 00:58  asfernandes

	* firebird2/extern/icu/source/tools/ctestfw/datamap.cpp (1.1):
	
	file datamap.cpp was initially added on branch B2_0_intl.

2004-11-07 00:58  asfernandes

	* firebird2/extern/icu/source/tools/ctestfw/ctestfw.vcproj (1.1):
	
	file ctestfw.vcproj was initially added on branch B2_0_intl.

2004-11-07 00:58  asfernandes

	* firebird2/extern/icu/source/tools/ctestfw/testdata.cpp (1.1):
	
	file testdata.cpp was initially added on branch B2_0_intl.

2004-11-07 00:58  asfernandes

	* firebird2/extern/icu/source/tools/ctestfw/ctest.c (1.1):
	
	file ctest.c was initially added on branch B2_0_intl.

2004-11-07 00:58  asfernandes

	* firebird2/extern/icu/source/tools/ctestfw/tstdtmod.cpp (1.1):
	
	file tstdtmod.cpp was initially added on branch B2_0_intl.

2004-11-07 00:58  asfernandes

	* firebird2/extern/icu/source/tools/ctestfw/ctestfw.dsp (1.1):
	
	file ctestfw.dsp was initially added on branch B2_0_intl.

2004-11-07 00:58  asfernandes

	* firebird2/extern/icu/source/tools/cpysearch/cpysearch.pl (1.1):
	
	file cpysearch.pl was initially added on branch B2_0_intl.

2004-11-07 00:58  asfernandes

	* firebird2/extern/icu/source/tools/: cpysearch/readme.txt (1.1),
	tzcode/readme.txt (1.1):
	
	file readme.txt was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/stubdata/stubdata.vcproj (1.1):
	
	file stubdata.vcproj was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/stubdata/stubdata.c (1.1):
	
	file stubdata.c was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/stubdata/stubdata.dsp (1.1):
	
	file stubdata.dsp was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layoutex/layout/ParagraphLayout.h
	(1.1):
	
	file ParagraphLayout.h was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layoutex/layout/RunArrays.h (1.1):
	
	file RunArrays.h was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layoutex/RunArrays.cpp (1.1):
	
	file RunArrays.cpp was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layoutex/layoutex.dsp (1.1):
	
	file layoutex.dsp was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layoutex/LXUtilities.cpp (1.1):
	
	file LXUtilities.cpp was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layoutex/ParagraphLayout.cpp (1.1):
	
	file ParagraphLayout.cpp was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layoutex/layoutex.vcproj (1.1):
	
	file layoutex.vcproj was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layoutex/LXUtilities.h (1.1):
	
	file LXUtilities.h was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layoutex/layoutex.rc (1.1):
	
	file layoutex.rc was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/unicode/loengine.h (1.1):
	
	file loengine.h was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/LigatureSubstProc.h (1.1):
	
	file LigatureSubstProc.h was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/LEInsertionList.cpp (1.1):
	
	file LEInsertionList.cpp was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/StateTableProcessor.cpp (1.1):
	
	file StateTableProcessor.cpp was initially added on branch
	B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/SingleTableProcessor.cpp
	(1.1):
	
	file SingleTableProcessor.cpp was initially added on branch
	B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/LETypes.h (1.1):
	
	file LETypes.h was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/ScriptAndLanguage.cpp (1.1):
	
	file ScriptAndLanguage.cpp was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/LELanguages.h (1.1):
	
	file LELanguages.h was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/Lookups.cpp (1.1):
	
	file Lookups.cpp was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/SimpleArrayProcessor.h (1.1):
	
	file SimpleArrayProcessor.h was initially added on branch
	B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/LEGlyphStorage.h (1.1):
	
	file LEGlyphStorage.h was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/ThaiShaping.cpp (1.1):
	
	file ThaiShaping.cpp was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/layout.rc (1.1):
	
	file layout.rc was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/SegmentArrayProcessor.cpp
	(1.1):
	
	file SegmentArrayProcessor.cpp was initially added on branch
	B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/LookupTables.cpp (1.1):
	
	file LookupTables.cpp was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/MarkToLigaturePosnSubtables.h
	(1.1):
	
	file MarkToLigaturePosnSubtables.h was initially added on branch
	B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/SubtableProcessor.h (1.1):
	
	file SubtableProcessor.h was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/LayoutEngine.h (1.1):
	
	file LayoutEngine.h was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/ThaiLayoutEngine.cpp (1.1):
	
	file ThaiLayoutEngine.cpp was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/LEScripts.h (1.1):
	
	file LEScripts.h was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/layout.dsp (1.1):
	
	file layout.dsp was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/MarkArrays.h (1.1):
	
	file MarkArrays.h was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/MorphTables.h (1.1):
	
	file MorphTables.h was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/OpenTypeLayoutEngine.cpp
	(1.1):
	
	file OpenTypeLayoutEngine.cpp was initially added on branch
	B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/SimpleArrayProcessor.cpp
	(1.1):
	
	file SimpleArrayProcessor.cpp was initially added on branch
	B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/PairPositioningSubtables.h
	(1.1):
	
	file PairPositioningSubtables.h was initially added on branch
	B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/LEInsertionList.h (1.1):
	
	file LEInsertionList.h was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/MarkToBasePosnSubtables.cpp
	(1.1):
	
	file MarkToBasePosnSubtables.cpp was initially added on branch
	B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/SingleTableProcessor.h (1.1):
	
	file SingleTableProcessor.h was initially added on branch
	B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/OpenTypeUtilities.cpp (1.1):
	
	file OpenTypeUtilities.cpp was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/loengine.cpp (1.1):
	
	file loengine.cpp was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/ScriptAndLanguage.h (1.1):
	
	file ScriptAndLanguage.h was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	*
	firebird2/extern/icu/source/layout/IndicRearrangementProcessor.cpp
	(1.1):
	
	file IndicRearrangementProcessor.cpp was initially added on branch
	B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/OpenTypeTables.h (1.1):
	
	file OpenTypeTables.h was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/ValueRecords.h (1.1):
	
	file ValueRecords.h was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/ThaiShaping.h (1.1):
	
	file ThaiShaping.h was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/TrimmedArrayProcessor.h (1.1):
	
	file TrimmedArrayProcessor.h was initially added on branch
	B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/IndicRearrangement.h (1.1):
	
	file IndicRearrangement.h was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/SegmentArrayProcessor.h (1.1):
	
	file SegmentArrayProcessor.h was initially added on branch
	B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/LigatureSubstSubtables.h
	(1.1):
	
	file LigatureSubstSubtables.h was initially added on branch
	B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/LookupProcessor.cpp (1.1):
	
	file LookupProcessor.cpp was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/MarkArrays.cpp (1.1):
	
	file MarkArrays.cpp was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/LayoutTables.h (1.1):
	
	file LayoutTables.h was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/MarkToMarkPosnSubtables.cpp
	(1.1):
	
	file MarkToMarkPosnSubtables.cpp was initially added on branch
	B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/LigatureSubstitution.h (1.1):
	
	file LigatureSubstitution.h was initially added on branch
	B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/ThaiLayoutEngine.h (1.1):
	
	file ThaiLayoutEngine.h was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/LEGlyphFilter.h (1.1):
	
	file LEGlyphFilter.h was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/MorphTables.cpp (1.1):
	
	file MorphTables.cpp was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/MultipleSubstSubtables.cpp
	(1.1):
	
	file MultipleSubstSubtables.cpp was initially added on branch
	B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/ThaiStateTables.cpp (1.1):
	
	file ThaiStateTables.cpp was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	*
	firebird2/extern/icu/source/layout/SingleSubstitutionSubtables.cpp
	(1.1):
	
	file SingleSubstitutionSubtables.cpp was initially added on branch
	B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/SubstitutionLookups.cpp (1.1):
	
	file SubstitutionLookups.cpp was initially added on branch
	B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/OpenTypeLayoutEngine.h (1.1):
	
	file OpenTypeLayoutEngine.h was initially added on branch
	B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/ValueRecords.cpp (1.1):
	
	file ValueRecords.cpp was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/TrimmedArrayProcessor.cpp
	(1.1):
	
	file TrimmedArrayProcessor.cpp was initially added on branch
	B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/LigatureSubstSubtables.cpp
	(1.1):
	
	file LigatureSubstSubtables.cpp was initially added on branch
	B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/MarkToBasePosnSubtables.h
	(1.1):
	
	file MarkToBasePosnSubtables.h was initially added on branch
	B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/OpenTypeUtilities.h (1.1):
	
	file OpenTypeUtilities.h was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/IndicRearrangementProcessor.h
	(1.1):
	
	file IndicRearrangementProcessor.h was initially added on branch
	B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/IndicReordering.cpp (1.1):
	
	file IndicReordering.cpp was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/MPreFixups.h (1.1):
	
	file MPreFixups.h was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/SinglePositioningSubtables.cpp
	(1.1):
	
	file SinglePositioningSubtables.cpp was initially added on branch
	B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/SegmentSingleProcessor.h
	(1.1):
	
	file SegmentSingleProcessor.h was initially added on branch
	B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/LookupProcessor.h (1.1):
	
	file LookupProcessor.h was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/ScriptAndLanguageTags.h (1.1):
	
	file ScriptAndLanguageTags.h was initially added on branch
	B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/NonContextualGlyphSubstProc.h
	(1.1):
	
	file NonContextualGlyphSubstProc.h was initially added on branch
	B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/IndicLayoutEngine.h (1.1):
	
	file IndicLayoutEngine.h was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/LigatureSubstProc.cpp (1.1):
	
	file LigatureSubstProc.cpp was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/LEFontInstance.h (1.1):
	
	file LEFontInstance.h was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/MarkToMarkPosnSubtables.h
	(1.1):
	
	file MarkToMarkPosnSubtables.h was initially added on branch
	B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/LESwaps.h (1.1):
	
	file LESwaps.h was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/MultipleSubstSubtables.h
	(1.1):
	
	file MultipleSubstSubtables.h was initially added on branch
	B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/MorphStateTables.h (1.1):
	
	file MorphStateTables.h was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/SingleSubstitutionSubtables.h
	(1.1):
	
	file SingleSubstitutionSubtables.h was initially added on branch
	B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/LEGlyphStorage.cpp (1.1):
	
	file LEGlyphStorage.cpp was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/NonContextualGlyphSubst.h
	(1.1):
	
	file NonContextualGlyphSubst.h was initially added on branch
	B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/StateTableProcessor.h (1.1):
	
	file StateTableProcessor.h was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/SubstitutionLookups.h (1.1):
	
	file SubstitutionLookups.h was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/layout.vcproj (1.1):
	
	file layout.vcproj was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	*
	firebird2/extern/icu/source/layout/MarkToLigaturePosnSubtables.cpp
	(1.1):
	
	file MarkToLigaturePosnSubtables.cpp was initially added on branch
	B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/Lookups.h (1.1):
	
	file Lookups.h was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/SubtableProcessor.cpp (1.1):
	
	file SubtableProcessor.cpp was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/MPreFixups.cpp (1.1):
	
	file MPreFixups.cpp was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/LayoutEngine.cpp (1.1):
	
	file LayoutEngine.cpp was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/SegmentSingleProcessor.cpp
	(1.1):
	
	file SegmentSingleProcessor.cpp was initially added on branch
	B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/LookupTables.h (1.1):
	
	file LookupTables.h was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/ScriptAndLanguageTags.cpp
	(1.1):
	
	file ScriptAndLanguageTags.cpp was initially added on branch
	B2_0_intl.

2004-11-07 00:57  asfernandes

	*
	firebird2/extern/icu/source/layout/NonContextualGlyphSubstProc.cpp
	(1.1):
	
	file NonContextualGlyphSubstProc.cpp was initially added on branch
	B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/IndicLayoutEngine.cpp (1.1):
	
	file IndicLayoutEngine.cpp was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/LEFontInstance.cpp (1.1):
	
	file LEFontInstance.cpp was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/IndicReordering.h (1.1):
	
	file IndicReordering.h was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/SinglePositioningSubtables.h
	(1.1):
	
	file SinglePositioningSubtables.h was initially added on branch
	B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/StateTables.h (1.1):
	
	file StateTables.h was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/PairPositioningSubtables.cpp
	(1.1):
	
	file PairPositioningSubtables.cpp was initially added on branch
	B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/CoverageTables.cpp (1.1):
	
	file CoverageTables.cpp was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/HebrewShaping.cpp (1.1):
	
	file HebrewShaping.cpp was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/GlyphDefinitionTables.cpp
	(1.1):
	
	file GlyphDefinitionTables.cpp was initially added on branch
	B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/GlyphSubstLookupProc.h (1.1):
	
	file GlyphSubstLookupProc.h was initially added on branch
	B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/CanonData.cpp (1.1):
	
	file CanonData.cpp was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/ContextualGlyphInsertion.h
	(1.1):
	
	file ContextualGlyphInsertion.h was initially added on branch
	B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/DeviceTables.cpp (1.1):
	
	file DeviceTables.cpp was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/ArabicShaping.cpp (1.1):
	
	file ArabicShaping.cpp was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/GDEFMarkFilter.h (1.1):
	
	file GDEFMarkFilter.h was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/ContextualGlyphSubstitution.h
	(1.1):
	
	file ContextualGlyphSubstitution.h was initially added on branch
	B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/CursiveAttachmentSubtables.cpp
	(1.1):
	
	file CursiveAttachmentSubtables.cpp was initially added on branch
	B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/GlyphPositionAdjustments.h
	(1.1):
	
	file GlyphPositionAdjustments.h was initially added on branch
	B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/HanLayoutEngine.h (1.1):
	
	file HanLayoutEngine.h was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/GlyphPositioningTables.cpp
	(1.1):
	
	file GlyphPositioningTables.cpp was initially added on branch
	B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/GlyphPosnLookupProc.cpp (1.1):
	
	file GlyphPosnLookupProc.cpp was initially added on branch
	B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/GlyphIterator.h (1.1):
	
	file GlyphIterator.h was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/ContextualGlyphSubstProc.h
	(1.1):
	
	file ContextualGlyphSubstProc.h was initially added on branch
	B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/ArabicLayoutEngine.cpp (1.1):
	
	file ArabicLayoutEngine.cpp was initially added on branch
	B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/AnchorTables.cpp (1.1):
	
	file AnchorTables.cpp was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/GXLayoutEngine.h (1.1):
	
	file GXLayoutEngine.h was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/IndicClassTables.cpp (1.1):
	
	file IndicClassTables.cpp was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/ArabicLigatureData.cpp (1.1):
	
	file ArabicLigatureData.cpp was initially added on branch
	B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/GlyphLookupTables.cpp (1.1):
	
	file GlyphLookupTables.cpp was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/ClassDefinitionTables.cpp
	(1.1):
	
	file ClassDefinitionTables.cpp was initially added on branch
	B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/AlternateSubstSubtables.h
	(1.1):
	
	file AlternateSubstSubtables.h was initially added on branch
	B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/CanonShaping.h (1.1):
	
	file CanonShaping.h was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/GlyphSubstitutionTables.h
	(1.1):
	
	file GlyphSubstitutionTables.h was initially added on branch
	B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/ContextualSubstSubtables.h
	(1.1):
	
	file ContextualSubstSubtables.h was initially added on branch
	B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/GlyphSubstLookupProc.cpp
	(1.1):
	
	file GlyphSubstLookupProc.cpp was initially added on branch
	B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/Features.h (1.1):
	
	file Features.h was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/CharSubstitutionFilter.h
	(1.1):
	
	file CharSubstitutionFilter.h was initially added on branch
	B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/GDEFMarkFilter.cpp (1.1):
	
	file GDEFMarkFilter.cpp was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/ExtensionSubtables.h (1.1):
	
	file ExtensionSubtables.h was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/HanLayoutEngine.cpp (1.1):
	
	file HanLayoutEngine.cpp was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/HindiFeatureTags.h (1.1):
	
	file HindiFeatureTags.h was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/HebrewShaping.h (1.1):
	
	file HebrewShaping.h was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/CoverageTables.h (1.1):
	
	file CoverageTables.h was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/GlyphDefinitionTables.h (1.1):
	
	file GlyphDefinitionTables.h was initially added on branch
	B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/DefaultCharMapper.h (1.1):
	
	file DefaultCharMapper.h was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/GlyphIterator.cpp (1.1):
	
	file GlyphIterator.cpp was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/DeviceTables.h (1.1):
	
	file DeviceTables.h was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/ContextualGlyphSubstProc.cpp
	(1.1):
	
	file ContextualGlyphSubstProc.cpp was initially added on branch
	B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/ArabicShaping.h (1.1):
	
	file ArabicShaping.h was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/AttachmentPosnSubtables.h
	(1.1):
	
	file AttachmentPosnSubtables.h was initially added on branch
	B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/GXLayoutEngine.cpp (1.1):
	
	file GXLayoutEngine.cpp was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/CursiveAttachmentSubtables.h
	(1.1):
	
	file CursiveAttachmentSubtables.h was initially added on branch
	B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/HebrewLigatureData.cpp (1.1):
	
	file HebrewLigatureData.cpp was initially added on branch
	B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/AlternateSubstSubtables.cpp
	(1.1):
	
	file AlternateSubstSubtables.cpp was initially added on branch
	B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/GlyphPositioningTables.h
	(1.1):
	
	file GlyphPositioningTables.h was initially added on branch
	B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/GlyphPosnLookupProc.h (1.1):
	
	file GlyphPosnLookupProc.h was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/AnchorTables.h (1.1):
	
	file AnchorTables.h was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/ArabicLayoutEngine.h (1.1):
	
	file ArabicLayoutEngine.h was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/GlyphSubstitutionTables.cpp
	(1.1):
	
	file GlyphSubstitutionTables.cpp was initially added on branch
	B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/ContextualSubstSubtables.cpp
	(1.1):
	
	file ContextualSubstSubtables.cpp was initially added on branch
	B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/GlyphLookupTables.h (1.1):
	
	file GlyphLookupTables.h was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/Features.cpp (1.1):
	
	file Features.cpp was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/ClassDefinitionTables.h (1.1):
	
	file ClassDefinitionTables.h was initially added on branch
	B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/layout/ExtensionSubtables.cpp (1.1):
	
	file ExtensionSubtables.cpp was initially added on branch
	B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/runConfigureICU (1.1):
	
	file runConfigureICU was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/Doxyfile.in (1.1):
	
	file Doxyfile.in was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/config.guess (1.1):
	
	file config.guess was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/aclocal.m4 (1.1):
	
	file aclocal.m4 was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/config.sub (1.1):
	
	file config.sub was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/icudefs.mk.in (1.1):
	
	file icudefs.mk.in was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/install-sh (1.1):
	
	file install-sh was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/acconfig.h (1.1):
	
	file acconfig.h was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/mkinstalldirs (1.1):
	
	file mkinstalldirs was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/configure (1.1):
	
	file configure was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/: Makefile.in (1.1),
	layout/Makefile.in (1.1), layoutex/Makefile.in (1.1),
	stubdata/Makefile.in (1.1), tools/Makefile.in (1.1),
	tools/ctestfw/Makefile.in (1.1), tools/dumpce/Makefile.in (1.1),
	tools/genbrk/Makefile.in (1.1), tools/genccode/Makefile.in (1.1),
	tools/gencmn/Makefile.in (1.1), tools/gencnval/Makefile.in (1.1),
	tools/gennames/Makefile.in (1.1), tools/gennorm/Makefile.in (1.1),
	tools/genpname/Makefile.in (1.1), tools/genprops/Makefile.in (1.1),
	tools/genrb/Makefile.in (1.1), tools/gensprep/Makefile.in (1.1),
	tools/gentest/Makefile.in (1.1), tools/genuca/Makefile.in (1.1),
	tools/icuswap/Makefile.in (1.1), tools/makeconv/Makefile.in (1.1),
	tools/pkgdata/Makefile.in (1.1), tools/toolutil/Makefile.in (1.1):
	
	file Makefile.in was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/source/configure.in (1.1):
	
	file configure.in was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/readme.html (1.1):
	
	file readme.html was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/: .cvsignore (1.1), source/.cvsignore (1.1),
	source/layout/.cvsignore (1.1), source/layoutex/.cvsignore (1.1),
	source/stubdata/.cvsignore (1.1), source/tools/.cvsignore (1.1),
	source/tools/ctestfw/.cvsignore (1.1),
	source/tools/dumpce/.cvsignore (1.1),
	source/tools/genbrk/.cvsignore (1.1),
	source/tools/genccode/.cvsignore (1.1),
	source/tools/gencmn/.cvsignore (1.1),
	source/tools/gencnval/.cvsignore (1.1),
	source/tools/gennames/.cvsignore (1.1),
	source/tools/gennorm/.cvsignore (1.1),
	source/tools/genpname/.cvsignore (1.1),
	source/tools/genprops/.cvsignore (1.1),
	source/tools/genrb/.cvsignore (1.1),
	source/tools/gensprep/.cvsignore (1.1),
	source/tools/gentest/.cvsignore (1.1),
	source/tools/genuca/.cvsignore (1.1),
	source/tools/icuswap/.cvsignore (1.1),
	source/tools/makeconv/.cvsignore (1.1),
	source/tools/pkgdata/.cvsignore (1.1),
	source/tools/toolutil/.cvsignore (1.1):
	
	file .cvsignore was initially added on branch B2_0_intl.

2004-11-07 00:57  asfernandes

	* firebird2/extern/icu/license.html (1.1):
	
	file license.html was initially added on branch B2_0_intl.

2004-11-07 00:55  asfernandes

	* firebird2/extern/icu/source/test/utfperf/utfperf.dsp (1.1):
	
	file utfperf.dsp was initially added on branch B2_0_intl.

2004-11-07 00:55  asfernandes

	* firebird2/extern/icu/source/test/utfperf/utfperf.c (1.1):
	
	file utfperf.c was initially added on branch B2_0_intl.

2004-11-07 00:55  asfernandes

	* firebird2/extern/icu/source/test/usetperf/bitset.h (1.1):
	
	file bitset.h was initially added on branch B2_0_intl.

2004-11-07 00:55  asfernandes

	* firebird2/extern/icu/source/test/usetperf/usetperf.dsp (1.1):
	
	file usetperf.dsp was initially added on branch B2_0_intl.

2004-11-07 00:55  asfernandes

	* firebird2/extern/icu/source/test/usetperf/bitset.cpp (1.1):
	
	file bitset.cpp was initially added on branch B2_0_intl.

2004-11-07 00:55  asfernandes

	* firebird2/extern/icu/source/test/usetperf/timer.h (1.1):
	
	file timer.h was initially added on branch B2_0_intl.

2004-11-07 00:55  asfernandes

	* firebird2/extern/icu/source/test/usetperf/usetperf.cpp (1.1):
	
	file usetperf.cpp was initially added on branch B2_0_intl.

2004-11-07 00:55  asfernandes

	* firebird2/extern/icu/source/test/unalignedtest/unaligned.c (1.1):
	
	file unaligned.c was initially added on branch B2_0_intl.

2004-11-07 00:55  asfernandes

	* firebird2/extern/icu/source/test/unalignedtest/readme (1.1):
	
	file readme was initially added on branch B2_0_intl.

2004-11-07 00:55  asfernandes

	* firebird2/extern/icu/source/test/threadtest/stringtest.cpp (1.1):
	
	file stringtest.cpp was initially added on branch B2_0_intl.

2004-11-07 00:55  asfernandes

	* firebird2/extern/icu/source/test/threadtest/threadtest.cpp (1.1):
	
	file threadtest.cpp was initially added on branch B2_0_intl.

2004-11-07 00:55  asfernandes

	* firebird2/extern/icu/source/test/threadtest/converttest.cpp
	(1.1):
	
	file converttest.cpp was initially added on branch B2_0_intl.

2004-11-07 00:55  asfernandes

	* firebird2/extern/icu/source/test/threadtest/threadtest.dsw (1.1):
	
	file threadtest.dsw was initially added on branch B2_0_intl.

2004-11-07 00:55  asfernandes

	* firebird2/extern/icu/source/test/threadtest/threadtest.dsp (1.1):
	
	file threadtest.dsp was initially added on branch B2_0_intl.

2004-11-07 00:55  asfernandes

	* firebird2/extern/icu/source/test/threadtest/threadtest.h (1.1):
	
	file threadtest.h was initially added on branch B2_0_intl.

2004-11-07 00:55  asfernandes

	* firebird2/extern/icu/source/test/thaitest/space.txt (1.1):
	
	file space.txt was initially added on branch B2_0_intl.

2004-11-07 00:55  asfernandes

	* firebird2/extern/icu/source/test/thaitest/thaitest.dsp (1.1):
	
	file thaitest.dsp was initially added on branch B2_0_intl.

2004-11-07 00:55  asfernandes

	* firebird2/extern/icu/source/test/thaitest/thaitest.cpp (1.1):
	
	file thaitest.cpp was initially added on branch B2_0_intl.

2004-11-07 00:55  asfernandes

	* firebird2/extern/icu/source/test/testmap/testmap.dsp (1.1):
	
	file testmap.dsp was initially added on branch B2_0_intl.

2004-11-07 00:55  asfernandes

	* firebird2/extern/icu/source/test/testmap/testmap.c (1.1):
	
	file testmap.c was initially added on branch B2_0_intl.

2004-11-07 00:55  asfernandes

	* firebird2/extern/icu/source/test/testdata/translit_rules.txt
	(1.1):
	
	file translit_rules.txt was initially added on branch B2_0_intl.

2004-11-07 00:55  asfernandes

	* firebird2/extern/icu/source/test/testdata/te_IN.txt (1.1):
	
	file te_IN.txt was initially added on branch B2_0_intl.

2004-11-07 00:55  asfernandes

	* firebird2/extern/icu/source/test/testdata/testempty.txt (1.1):
	
	file testempty.txt was initially added on branch B2_0_intl.

2004-11-07 00:55  asfernandes

	*
	
	file testdata_icu26_testtypes.res was initially added on branch
	B2_0_intl.
	firebird2/extern/icu/source/test/testdata/testdata_icu26_testtypes.
	res (1.1):

2004-11-07 00:55  asfernandes

	* firebird2/extern/icu/source/test/testdata/test4x.ucm (1.1):
	
	file test4x.ucm was initially added on branch B2_0_intl.

2004-11-07 00:55  asfernandes

	* firebird2/extern/icu/source/test/testdata/testaliases.txt (1.1):
	
	file testaliases.txt was initially added on branch B2_0_intl.

2004-11-07 00:55  asfernandes

	* firebird2/extern/icu/source/test/testdata/testdata.mk (1.1):
	
	file testdata.mk was initially added on branch B2_0_intl.

2004-11-07 00:55  asfernandes

	* firebird2/extern/icu/source/test/testdata/root.txt (1.1):
	
	file root.txt was initially added on branch B2_0_intl.

2004-11-07 00:55  asfernandes

	* firebird2/extern/icu/source/test/testdata/te_IN.goo (1.1):
	
	file te_IN.goo was initially added on branch B2_0_intl.

2004-11-07 00:55  asfernandes

	*
	
	file testdata_icu26e_testtypes.res was initially added on branch
	B2_0_intl.
	firebird2/extern/icu/source/test/testdata/testdata_icu26e_testtypes
	.res (1.1):

2004-11-07 00:55  asfernandes

	* firebird2/extern/icu/source/test/testdata/testtypes.txt (1.1):
	
	file testtypes.txt was initially added on branch B2_0_intl.

2004-11-07 00:55  asfernandes

	* firebird2/extern/icu/source/test/testdata/test1.ucm (1.1):
	
	file test1.ucm was initially added on branch B2_0_intl.

2004-11-07 00:55  asfernandes

	* firebird2/extern/icu/source/test/testdata/uni-text.bin (1.1):
	
	file uni-text.bin was initially added on branch B2_0_intl.

2004-11-07 00:55  asfernandes

	* firebird2/extern/icu/source/test/testdata/test3.ucm (1.1):
	
	file test3.ucm was initially added on branch B2_0_intl.

2004-11-07 00:55  asfernandes

	* firebird2/extern/icu/source/test/testdata/test4.ucm (1.1):
	
